// common.js
var IS_RSSM_PAGE = true;

var com={};
com.ibm={};
com.ibm.sysmgmt={};
com.ibm.sysmgmt.scm={};
com.ibm.sysmgmt.scm.common={};
com.ibm.sysmgmt.rbce={};
com.ibm.sysmgmt.rbce.gui={};
com.ibm.sysmgmt.rbce.gui.storage={};

var CONNED_CFG_NAME_PREFIX="CannedConfig";
var MAX_HOSTS_NUM = 6;

function LZ(x) {return(x<0||x>9?"":"0")+x}

// ------------------------------- String Operation ---------------------------
String.prototype.trim = function () {
    return this.replace(/^\s*/, "").replace(/\s*$/, "");
}

//return true if the string ends up with subStr
String.prototype.endWith = function(subStr)
{
	if(subStr)
	{
		if(0 > this.lastIndexOf(subStr))
		{
			return false;
		}
		else
		{
			return this.lastIndexOf(subStr) + subStr.length == this.length;
		}
	}
	else
	{
		return false;
	}
}

String.prototype.insertBefore = function(before, value)
{
	var index = this.toLowerCase().indexOf(before.toLowerCase());
	if(-1 == index)
	{
		return this;
	}
	else
	{
		return this.substr(0, index) + value + this.substr(index, this.length - index);
	}
}

String.prototype.removeBetween = function(after, before)
{
	
	var indexAfter = this.toLowerCase().indexOf(after.toLowerCase());
	var indexBefore = this.toLowerCase().indexOf(before.toLowerCase());
	
	if(-1 == indexAfter || -1 == indexBefore || indexAfter >= indexBefore)
	{
		return this;
	}
	else
	{
		return this.substring(0, indexAfter + after.length) + this.substring(indexBefore, this.length);
	}
}

// newFunction
function doClose() {

	try{
		document.getElementById(namespace_g + "myForm:messagesSubview:messageArea").style.display = "none";
	}
	catch(err){
		
	}
	return false;
}
var IP_ADDRESS_EXP = /^(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})$/;
function isIPValidate(ipStr){
	if(ipStr==null || ipStr.trim().length==0)
		return false;
	ipStr = ipStr.trim();
	if(!IP_ADDRESS_EXP.test(ipStr)){
		return false;
	}
	var IPArray = ipStr.match(IP_ADDRESS_EXP);
	for(var i=1;i<IPArray.length+1;i++){
				var octet = IPArray[i];
				if ((i == 1) || (i == 4)) {
					if ((octet <= 0) || (octet > 255)) {						
						return false;
					}
				}
				else {
					if (octet > 255 || octet < 0) {						
						return false;
					}	
				}												
	}
	
	//if(ipStr=="255.255.255.255" || ipStr=="0.0.0.0")
	  //return false;
	  
	return true;
}



var DeviceNaemRegex = new RegExp("[0-9a-zA-Z_]+");

function isDeviceNameValid(value){
	
	if(value==null)
		return false;

	if (value==value.match(DeviceNaemRegex))
	{ 
		return true;
	}
	return false;
}

/**
* show wait cursor when clicking a button or a linkage.
*/
function showWaitCursor(thisObj, thisEvent) {
	document.body.style.cursor='wait';
	thisObj.style.cursor='wait';
}

/**
* This function is used when a window is opened in a dialog
need to stop the "load" image
*/
function stopLoadImage(dialogName){
	try{
		window.parent.stopWait('utility_dialog');
	}
	catch(err){
	}
}


/**
 * Rewrite the add method.
 *
 */
function accAdd(arg1, arg2) {
	var r1, r2, m;
	try {
		r1 = arg1.toString().split(".")[1].length;
	} catch(e){ 
		r1 = 0;
	}
	
	try {
		r2 = arg2.toString().split(".")[1].length;
	} catch(e) {
		r2 = 0;
	}
	m = Math.pow(10, Math.max(r1, r2));
    var result = (arg1*m + arg2*m) / m;
	return result;
}

/**
* Common page load with ajax 
*/
function commonPageLoad() {
	disableRefreshButton (true); // Disable the refresh button before common page load. 
	initErrorMessage(); // Initialise the error message for the page.
	if(document.all){ // IE
			lazySendAjaxCall(); 
		}else{ // FF
			hX_5.addBehavior("#body", "onload", new hX_5.JSFBehaviorGeneric("action:get;", "target:"+ namespace_g +"myForm:ajaxpanel")); 
		}
}

function lazySendAjaxCall(){
	setTimeout(sendAjaxCall,1);  // Defer the ajax request after all onload event handlers' processing completely.
}

function sendAjaxCall(){
	document.getElementById(namespace_g + "myForm:onloadBehaviorBtn").click();
}	

function getTopRSSMWindow()
{
	var parentDom = parent;
	var childDom = self;
	
	while(parentDom && parentDom.IS_RSSM_PAGE && parentDom != self)
	{
		childDom = parentDom;
		parentDom = parentDom.parent;
	}

	return childDom;
}

function commonAjaxOnError(){
    var msgValue = "";
	var msgKey = document.getElementById("view:scmInnMessages:innMessageForm:msgKeyField");
	
	if(msgKey){
		msgValue = msgKey.value
	}
	
	var topWindow = getTopRSSMWindow();
	topWindow.location = document.global_context_path+"/faces/page/rbce/error/ErrorPage.jsp?msgKey="+msgValue+"&fromURL="+window.location;
}
function onLoad_ErrorPage(){
	initErrorMessage();
	document.getElementById("criticalTable:innerMsgCloseBtn").style.display="none";
}
/*
 * Function : Show Progress Indicator (spinning image)
 * If need to pass the parameter across page,use parameter "divObj"
 */
function showProgressIndicator(divId,divObj){	
	if( divId !=  null){
		var _tempDivObj = document.getElementById(divId);
		if( _tempDivObj){
		    _tempDivObj.innerHTML = "<img id=\"waiting_image\" src=\"" + current_context + "/images/sort_of_slow_progress_bar.gif\" title=\"" + bundle.Image_Waiting + "\" alt=\"" + bundle.Image_Waiting + "\" align=\"middle\" valign=\"top\"></img>";
		    return ;
		}
	} 
	
	if( divObj != null){	
		divObj.innerHTML = "<img id=\"waiting_image\" src=\"" + current_context + "/images/sort_of_slow_progress_bar.gif\" title=\"" + bundle.Image_Waiting + "\" alt=\"" + bundle.Image_Waiting + "\" align=\"middle\" valign=\"top\"></img>";
	}	
}

/*
 * Function : Hide Progress Indicator (spinning image)
 * If need to pass the parameter across page,use parameter "divObj"
 */
function hideProgressIndicator(divId){
	if( divId !=  null){
		var _tempDivObj = document.getElementById(divId);
		if( _tempDivObj){
		    _tempDivObj.innerHTML = "";
		}
	} 
}

/*
 * Function : disable button
 * parameter should be the disabled button id. eg. disableButton(id1,id2,...)
 */
function disableButton(){
	for( var i = 0; i < arguments.length; i++){
		 var buttonID = arguments[i];
		 if( buttonID != null){
		 	 var buttonObject = document.getElementById(buttonID);
		 	 if( buttonObject){
		 	     buttonObject.disabled = true;
		 	 }
		 }
	}
}

function common_refresh() {
	if (hX_5.brw.isIE()) {
		if (document.getElementById(namespace_g + "myForm:refreshBtn")) {
			innerMessagesInstance.clearAllMessage();
			document.getElementById(namespace_g + "myForm:refreshBtn").click();
		} else {
			location.reload();
		}
	} else {
		location.reload();
	}
}

function setWizardFormTarget() {
	document.getElementById(namespace_g + "myForm").target = "_parent";
}

/////////////////////////////////////////////////////////////////////////////////////////////
//			HANDLE FORM SUBMIT
//
/////////////////////////////////////////////////////////////////////////////////////////////	

SubmitUtil = function() {
	var _enterSubmitButtonID = "ENTER_SUBMIT_INDICATOR";
	var _formSubmitSubViewID = "scmFormSubmitRestrict:";
	var _submitFlagID = "FORM_SUBMIT_FLAG";
	var _formID = namespace_g + "myForm";
	var _formPrefix = _formID + ":";
	var _cancelSubmitFlagID = "CANCEL_SUBMIT_FLAG";
	/*
	 * set form id
	 */
	this.setFormPrefix = function(formPrefix){
		_formID = formPrefix;
		_formPrefix = formPrefix + ":";
	}

	/*
	 * form onsubmit event handler
	 */
	this.submitBlocker = function(evt) {	
		var submitFlagobj = document.getElementById(_formPrefix + _formSubmitSubViewID + _submitFlagID);
		var formobj = document.getElementById(_formID);
		
		//if page include this flag[CANCEL_SUBMIT_FLAG],page can be submited every time.
		var _cancelSubmitFlagobj = document.getElementById(_formPrefix + _cancelSubmitFlagID);
		
		// submit form and redirect to other page,don't set flag
		if (formobj && formobj.target != "" && formobj.target != "_self") {
			return true;
		}

		if (submitFlagobj && submitFlagobj.innerHTML == "false") {
			submitFlagobj.innerHTML = "true";
			
			//if flag[CANCEL_SUBMIT_FLAG] exist,submitFlag should always be "false".
			if( _cancelSubmitFlagobj){
				submitFlagobj.innerHTML = "false";
			}
			
			return true;
		} else {
			return false;
		}
	}

	/*
	 * onkeydown event handler
	 */
	this.submitHandler = function(evt) {
	    // handle click "Enter" key
		if (evt.keyCode == 13) {
		    // begin : if already focus on button,click the selected button,cancel the bubble process 
			var focusElement = null;
			if (document.activeElement) {
				focusElement = document.activeElement;
			} else {
				focusElement = evt.explicitOriginalTarget;
			}

			if (focusElement && focusElement.tagName.toLowerCase() == "input" && !focusElement.disabled && focusElement.style.display != "none") {
			    if(focusElement.type == "submit" || focusElement.type == "button" || focusElement.type == "reset"){
			       focusElement.click();
			       cancelFurtherOperation(evt);
				   return false;
			    }
			}
			// end

			// find page predefined submit button		
			var submitIDobj = document.getElementById(_formPrefix + _formSubmitSubViewID + _enterSubmitButtonID);			
			if (submitIDobj) {
			    // find page submit button			   
				var clickobj = document.getElementById(_formPrefix + submitIDobj.innerHTML);
				var valobj = document.getElementById(_formPrefix + _formSubmitSubViewID + _submitFlagID);
				if (clickobj && valobj.innerHTML == "false") {
					clickobj.click();
				}
			}

			cancelFurtherOperation(evt);
			return false;
		}
	}

	/*
	 * handle clicking "Enter" key in wizard.
	 */
	this.clickNextButtonInwizard = function(defaultSubmitButtonID){	    
	    // In wizard, find "Next" button
		var nextButton = parent.document.getElementById(parent.namespace_g + "myForm:btnNext");
		if(nextButton){
		    // invoke "Next" button
		    nextButton.click();
		    return;
		}

		// In standalone, find default submit button
		if (defaultSubmitButtonID != null && typeof defaultSubmitButtonID != "undefined") {
			var defaultSubmitButton = document.getElementById(_formPrefix + defaultSubmitButtonID);
			// invoke default button
			if( defaultSubmitButton){
			    defaultSubmitButton.click();
			}
		}
	}

	/*
	 * cancel the bubble process 
	 */	
	function cancelFurtherOperation(evt) {
		if (hX_5.brw.isIE()) {
			evt.cancelBubble = true;
		} else {
			evt.stopPropagation();
		}
	}
}

// get a instance of SubmitUtil class
var submitUtilReference = new SubmitUtil();
var SUPPORTED_BACKSPACE_TYPE_LIST = ",TEXT,PASSWORD,FILE";
function rssmOnkeydown(e) {
	var e = window.event || e;
	var target = (e.target)?e.target:e.srcElement;
	
	if(target && target.tagName && target.tagName.toUpperCase() != 'INPUT' && target.tagName.toUpperCase() != 'TEXTAREA'){
		return preventBackSpace(e);
	}else if(target && target.type && target.tagName.toUpperCase() == 'INPUT' && SUPPORTED_BACKSPACE_TYPE_LIST.indexOf(target.type.toUpperCase())<0){
		return preventBackSpace(e);
	}
	return true;
}
function preventBackSpace(e){
	var bool = (e.keyCode==8);
	if (bool && e.preventDefault){
		e.preventDefault();
	}
	else if(bool){ 
		e.returnValue = false;
		e.cancelBubble = true;
		return false;
	}
	return true;
}

window.onkeydown = rssmOnkeydown;
document.onkeydown = rssmOnkeydown;

function gotoAllResourcesPage(){
	//location.href = document.global_context_path + "/faces/page/rbce/domain/ViewAllBladeCenter.jsp";
	window.parent.location.href = "/ibm/console/navigation.do?pageID=node.fa084c5591&moduleRef=com.ibm.scm.gui.rbce.portlet&ISC.TASKTYPE=0";
	//https://localhost/ibm/console/navigation.do?pageID=node.fa084c5591&moduleRef=com.ibm.scm.gui.rbce.portlet&ISC.TASKTYPE=0
}


function getLocalizedCurrentTimeStamp(){
	var cvt = hX.getConverterById("RSSMFDTCVT");
	if(null == cvt)
	{
		// decimalFormatPattern is defined in Header.jsp
		hX.addConverter("RSSMFDTCVT", new hX.DateTimeConverter(datetimeFormatPattern, "ICU4J:true"));
	}
	var cvt = hX.getConverterById("RSSMFDTCVT");
	var d = new Date();
	return cvt.valueToString(d);
}

function getLocalizedTimeStamp(milliseconds){
	var cvt = hX.getConverterById("RSSMFDTCVT");
	if(null == cvt)
	{
		// decimalFormatPattern is defined in Header.jsp
		hX.addConverter("RSSMFDTCVT", new hX.DateTimeConverter(datetimeFormatPattern, "ICU4J:true"));
	}
	var cvt = hX.getConverterById("RSSMFDTCVT");
	var d = new Date();
	d.setTime(milliseconds);
	return cvt.valueToString(d);
}

function currentTimeMillis(){
	var d = new Date();
	return d.getTime();
}

//find the first matched tag by its id suffix
//this function is intended for subview page use only, as these pages usually do not know its tag full id 
function getElementsByIdSuffix(tagName, tagType)
{
	var oElems = new Array();
	var oTags = document.getElementsByTagName(tagType);
	if(oTags)
	{
		for(var i=0; i< oTags.length; i++)
		{
			if(oTags[i].id.endWith(tagName))
			{
				oElems.push(oTags[i])
			}
		}
	}
	return oElems;
}

function click(elem)
{
	if(elem.click)
	{
		elem.click();
	}
	else
	{
		var evt = document.createEvent("MouseEvents");  
		evt.initEvent("click",true,true);  
		elem.dispatchEvent(evt); 
	}
}

// beep function
function beepWhenRefresh(){
	defaultAjaxOnComplete();
}

function defaultAjaxOnComplete(){
	if (alertUserWhenAJAXCompletes) {
		try
		{
	       	var userAgent = navigator.userAgent.toLowerCase();
	        var isIE = ( userAgent.indexOf( "msie" ) != -1 );
			if (!isIE) {
				if (navigator.javaEnabled != null && navigator.javaEnabled()) {
					java.awt.Toolkit.getDefaultToolkit().beep();
				}
			} else {
				var beepobj = document.getElementById("beepid");
			
				if (beepobj != null && typeof(beepobj.Play) != "undefined") {
					beepobj.Play();
				}
			}
		}catch(e){}
   	}
}

function trim(str,delimiter)
{
	var regStr = "^(["+delimiter+"]*)(.*?)(["+delimiter+"]*)$";
	var result = str.replace(new RegExp(regStr),"$2");
	return result;
}

function alignHeaderTableAndContentTable(headerTableDivId,contentTableId)
{
	if(contentTableId){
		headerTableDivId = (headerTableDivId)?headerTableDivId:"headerTableDivId";
		if(!document.getElementById(contentTableId)){
			contentTableId = (contentTableId.indexOf(":")>0)?contentTableId:(namespace_g+"myForm:"+contentTableId);
		}
		var headerDiv = document.getElementById(headerTableDivId);
		var bodyTable = document.getElementById(contentTableId);
		if (headerDiv != null && bodyTable != null) {
			var divWidth = headerDiv.clientWidth;
			var bodyTableWidth = bodyTable.offsetWidth;
			var paddingRightWidth = 0;
			if (divWidth > bodyTableWidth) {
				//the body table has the scroll bar
				paddingRightWidth = divWidth - bodyTableWidth;
			}
			headerDiv.style.paddingRight = paddingRightWidth;
		}
	}	
}

// NLS related function and collections
var bundle = bundle ? bundle : {
	prototype : {
		append : function(collection) {
			for (var p in collection) {
				bundle[p] = collection[p];
			}
		}
	}
};
function getNumberConverter(){
	var cvt = hX.getConverterById("RSSMNumberCVT");
	if(null == cvt)
	{
		// decimalFormatPattern is defined in Header.jsp
		hX.addConverter("RSSMNumberCVT", new hX.NumberConverter(decimalFormatPattern, decimalFormatSymbols, "ICU4J:true"));
	}
	return hX.getConverterById("RSSMNumberCVT");
}
function formatDecimal(value)
{
	cvt = getNumberConverter();
	var output = cvt.valueToString(value);
	//JWL NumberConventor leaves decimal separator whe nformatting a number without fraction
	if(output.endWith(decimalSeparatorSymbol))
	{
		output = output.replace(new RegExp("\\" + decimalSeparatorSymbol + "*$"), "");
	}
	return output;
}
function parseDecimalEscapeHTMLTag(string){
	string = string.replace(/&nbsp;/g," ");
	cvt = getNumberConverter();
	return cvt.stringToValue(string);
}
function parseDecimal(string)
{
	string = string.replace(/\u00A0/g," ");
	cvt = getNumberConverter();
	return cvt.stringToValue(string);
}
function getDecimal(value){
	var a = Number(value);
	var b = parseInt(a);
	var c = a-b;
	var lenDiff = String(a).length-String(b).length+1;
	if(String(c).length>lenDiff){
		c = String(c).substring(0,lenDiff);
	}
	return Number(c);
}

function parseSimpleFormatDate(dateString)
{
	// datetimeSimpleFormatPattern is defined in Header.jsp
	var cvt = hX.getConverterById("RSSMDateCVT");
	if(null == cvt)
	{
		// decimalFormatPattern is defined in Header.jsp
		hX.addConverter("RSSMDateCVT", new hX.DateTimeConverter(datetimeSimpleFormatPattern, "ICU4J:true"));
	}
	cvt = hX.getConverterById("RSSMDateCVT");
	return cvt.stringToValue(dateString);
}

/// dialog should get focus when it popup
function focusDialog(theObj,theEvt){
	var theObject = theObj;
	var theEvent = theEvt;
	this.lazyFocus = function(){
		setTimeout(focus,800);
	}
	function focus(){
		if(theObject){
			theObject.setAttribute("role","dialog");
			theObject.setAttribute("aria-haspopup","true");
			theObject.tabIndex=-1;
			theObject.focus();
		}	
	}
	this.lazyFocus();
}

//make elment visible/invisible using ARIA
function setElementAriaVisibility(obj, isVisible)
{
	if(true == isVisible)
	{
		obj.removeAttribute('role');
	}
	else
	{
		obj.setAttribute('role','presentation');
	}
}

//string compare algorithm for sorting
function stringCompareAlgorithm(str1,str2)
{
	var result = 0;
	if(null == str1 || str1.length == 0){
			result = -1;
		}else if(null == str2 || str2.length == 0){
			result = 1;
		}else{
			if(str1.toUpperCase() == str2.toUpperCase())
			{
				//currently str1 and str2 have the same length
				for(var i=0; i<str1.length && i<str2.length; i++)
				{
					if(str1.charAt(i) == str2.charAt(i))
					{
						continue;
					}
					else
					{
						result = str2.charCodeAt(i) - str1.charCodeAt(i);
						break;
					}
				}
			}
			else if(str1.toUpperCase() > str2.toUpperCase())
			{
				result = 1;
			}
			else
			{
				result = -1;
			}
		}
	return result;
}