<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/rbce/domain/SwitchModule.java" --%><%-- /jsf:pagecode --%>
<%-- tpl:insert page="/page/templates/SCMObjectProperties.jtpl" --%><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>
<%@ include file="/page/rbce/common/Header.jsp"%>
<BASE href="<%=basePath%>" />
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />
<META http-equiv="Content-Style-Type" content="text/css" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbstyle.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbtables.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/tabpanel.css" title="Style" />
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/templates/template_common.js"></SCRIPT>
<%-- tpl:put name="scriptarea" --%>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/domain/domain.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/InnMessages.js"></SCRIPT>

<%-- /tpl:put--%>
<%-- tpl:put name="headarea" --%>
	<TITLE>SwitchModule</TITLE>
<%-- /tpl:put --%>
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/tabpanel.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/stylesheet.css" title="Style" />
</HEAD>
<f:view>
	<BODY onload="customOnLoad();">
	<%-- tpl:put name="scriptcollectorarea"--%>
		<hx:scriptCollector id="scriptCollector1" preRender="#{pc_SwitchModule.onPageLoadBegin}">
		<jsp:include page="/page/rbce/common/InnMessages.jsp">
			 <jsp:param name="SCM_MSGHOLDERKEY_PARAM" value="SwitchModule" />
		</jsp:include>
	<%-- /tpl:put --%>	
	<h:form id="myForm" styleClass="dmc_outputText" onsubmit="return submitUtilReference.submitBlocker(event);" onkeydown="return submitUtilReference.submitHandler(event);">
	<%-- tpl:put name="submitHandleArea" --%>
	<jsp:include page="/page/rbce/common/SubmitRestrict.jsp">
		<jsp:param name="ENTER_SUBMIT_ID" value="" />
	</jsp:include>
		<%-- /tpl:put --%>
	<TABLE width="100%" border="0" cellpadding="0" cellspacing="0">
		<TBODY>
			<TR>
				<TD valign="top">
					<TABLE width="100%">
						<TR>
							<%-- tpl:put name="titleimagearea" --%>
							<TD valign="top" align="center" height="30" width="30">
								<hx:graphicImageEx id="switchImageId" styleClass="graphicImageEx" value="/images/entity/sas_switch_32.gif" 
								title="#{bundle.Image_Switch}" alt="#{bundle.Image_Switch}"></hx:graphicImageEx>
							</TD>
							<%-- /tpl:put --%>
							<TD valign="top" align="left">
								<%-- tpl:put name="titlearea" --%>									
<!-- ----------------------------------------- MAIN BODY -------------------------------------------------------------------- -->																										
								<TABLE width="100%" class="dmc_outputText">
								<TBODY>
									<TR>
										<TD width="25%" valign="top">
											<h:outputText id="nickname" value="#{bundle.SwitchModule_ModuleName}"></h:outputText></TD>
										<TD width="75%" valign="top" align="left"><h:outputText styleClass="dmc_outputText" id="name"
											value="#{pc_SwitchModule.switchModulePageBean.switchModuleBean.name}"></h:outputText></TD>										
									</TR>
									<TR>
										<TD valign="top">
											<h:outputText id="status" value="#{bundle.SwitchModule_Status}"></h:outputText>
										</TD>
									    <TD valign="top" align="left">
											<h:outputText escape="false" id="statusValue" value="#{pc_SwitchModule.switchModulePageBean.switchModuleBean.propertiesStatus}"></h:outputText>
										</TD>																		
									</TR>
								</TBODY>
								</TABLE>
								<%-- /tpl:put --%>
							</TD>	
							<TD align="right" valign="top">		
								<%-- tpl:put name="helplinkarea" --%>						
								<A href="#" styleClass="commandLink" id="help_link" target="helpwin" 
									onclick="window.open('/help/topic/com.ibm.storage.rssm.doc/scm_rss_switch_properties_help.html', 'helpwin', 'status,resizable,scrollbars,width=740,height=290'); return false;">
									<h:outputText id="text1" styleClass="dmc_outputText"
										value="#{bundle.Help}"></h:outputText>
								</A>
								<%-- /tpl:put --%>
							</TD>						
						</TR>
					</TABLE>
					<%-- tpl:put name="bodyarea" --%>
					<TABLE cellpadding="0" cellspacing="0" style="padding-left:18px" border="0" width="100%">
						<TBODY>
							<TR>
							<TD  valign="top" >
<!-- ----------------------------------------- ODC TAB -------------------------------------------------------------------- -->																										
							<h:inputHidden id="hiddenText"
								value="#{pc_SwitchModule.tabValue}"></h:inputHidden>								
							<odc:tabbedPanel slantActiveRight="5" width="100%"
								styleClass="scm_tabbedPanel" slantInactiveRight="5"
								variableTabLength="false" showBackNextButton="false"
								showTabs="true" id="tabbedPanelProperties" slantActiveLeft="5"
								slantInactiveLeft="5" height="200">																	
								<odc:bfPanel id="switch_tab"
									name="#{bundle.SwitchModule_General}"
									showFinishCancelButton="false">
									<scmc:scmJspPanel id="switch_general_tab_panel_iframe">
									<iframe id="switch_iframe" title="#{bundle.Switch_Properties_General_Frame_Title}" name="switch_iframe" frameborder="0"
										style="width:100%; height:100%"
										src="">
									</iframe>
									</scmc:scmJspPanel>							
								</odc:bfPanel>
								<odc:bfPanel id="a_switch_tab"
									name="#{bundle.Agent_Advanced}"
									showFinishCancelButton="false">
									<scmc:scmJspPanel id="switch_advanced_tab_panel_iframe">
									<iframe id="a_switch_iframe" title="#{bundle.Switch_Properties_Advanced_Frame_Title}" name="a_switch_iframe" frameborder="0"
										style="width:100%; height:100%"
										src=""> </iframe>
									</scmc:scmJspPanel>
								</odc:bfPanel>							
								<odc:bfPanel id="product_tab"
									name="#{bundle.Agent_ProductNumbers}"
									showFinishCancelButton="false">
									<scmc:scmJspPanel id="switch_product_numbers_tab_panel_iframe">
									<iframe id="product_iframe" title="#{bundle.Switch_Properties_Product_Numbers_Frame_Title}" name="product_iframe" frameborder="0"
										style="width:100%; height:100%"   
										src=""> </iframe>
									</scmc:scmJspPanel>
								</odc:bfPanel>
								<f:facet name="back">
									<hx:commandExButton type="submit" value="&lt; Back"
										id="tabbedPanel1_back" style="display:none"></hx:commandExButton>
								</f:facet>
								<f:facet name="next">
									<hx:commandExButton type="submit" value="Next &gt;"
										id="tabbedPanel1_next" style="display:none"></hx:commandExButton>
								</f:facet>
								<f:facet name="finish">
									<hx:commandExButton type="submit" value="Finish"
										id="tabbedPanel1_finish" style="display:none"></hx:commandExButton>
								</f:facet>
								<f:facet name="cancel">
									<hx:commandExButton type="submit" value="Cancel"
										id="tabbedPanel1_cancel" style="display:none"></hx:commandExButton>
								</f:facet>										
							</odc:tabbedPanel>

							</TD>							
							</TR>
							<TR>
								<TD height="3"><h:inputHidden id="isNext"></h:inputHidden></TD>							                
							</TR>
							<TR>
								<TD align="left"><hx:commandExButton id="close_Button"  type="button" value="#{bundle.Close}"  onclick="parent.document.getElementById(parent.namespace_g + 'myForm:dialog_closer').click();" styleClass="dmc_commandExButton"></hx:commandExButton></TD>							                
							</TR>
						</TBODY>
					</TABLE>															
					<%-- /tpl:put --%>					
				</TD>
			</TR>
			<TR>
			<%-- tpl:put name="tailarea" --%>
			<%-- /tpl:put --%>
			</TR>
		</TBODY>
	</TABLE>
	</h:form>
	</hx:scriptCollector></BODY>
</f:view>
</HTML>
<%-- /tpl:insert --%>