<%-- tpl:insert page="/page/templates/ObjectProperties.jtpl" --%><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>
<%@ include file="/page/rbce/common/Header.jsp"%>
<BASE href="<%=basePath%>" />
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />
<META http-equiv="Content-Style-Type" content="text/css" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbstyle.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbtables.css" title="Style" />
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/templates/template_common.js"></SCRIPT>
<%-- tpl:put name="scriptarea" --%>
<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/ports/Ports.js"></SCRIPT>
<%-- /tpl:put--%>
<%-- tpl:put name="headarea" --%>
	<TITLE>ExternalPortProperties</TITLE>
<%-- /tpl:put --%>
</HEAD>
<f:view>
	<BODY onload="customOnLoad();">
	<%-- tpl:put name="scriptcollectorarea"--%>
	<hx:scriptCollector id="collector"  preRender="#{pc_ExternalPortProperties.onPageLoadBegin}">
	<%-- /tpl:put --%>
	<h:form id="myForm" styleClass="dmc_outputText" onsubmit="return submitUtilReference.submitBlocker(event);" onkeydown="return submitUtilReference.submitHandler(event);">
	<%-- tpl:put name="submitHandleArea" --%>
	<jsp:include page="/page/rbce/common/SubmitRestrict.jsp">
		<jsp:param name="ENTER_SUBMIT_ID" value="" />
	</jsp:include>
	<%-- /tpl:put --%>
	<TABLE width="100%" border="0" cellpadding="0" cellspacing="0">
		<TBODY>
			<TR>
				<TD valign="top">
					<TABLE width="100%">
						<TR>
							<TD valign="top">
								<%-- tpl:put name="titlearea" --%>
								<%-- /tpl:put --%>
							</TD>
							<TD align="right" valign="top">
								<%-- tpl:put name="titleimagearea" --%>
								<%-- /tpl:put --%>
							</TD>							
						</TR>
						<%-- tpl:put name="description" --%>
						<%-- /tpl:put --%>					
					</TABLE>
					<%-- tpl:put name="bodyarea" --%>
					<TABLE width="100%" align="left">
						<TBODY>
						<TR>
						<TD>
						
						<h:outputFormat id="external_port_properties_title" styleClass="dmc_outputText" style="text-decoration: underline; font-weight: bold;" value="#{bundle.Ports_PortProperties}"></h:outputFormat>
						
						<TABLE width="100%" cellspacing="0" class="dmc_outputText">
							<TBODY>
								<TR>
									<TD align="left" width="40%">
										<h:outputFormat id="external_port_portid_text" styleClass="dmc_outputText" value="#{bundle.Ports_PortID}"></h:outputFormat>
									</TD>
									
									<TD align="left" id="externalPortPropertiesPortID">
										<h:outputText id="portID" styleClass="dmc_outputText" value="#{pc_ExternalPortProperties.epb.selectedExternalPort.displayName}"></h:outputText>
									</TD>
									
									<TD rowspan="8" valign="top" align="right">
										<A href="#" onclick="window.open('/help/topic/com.ibm.storage.rssm.doc/scm_nss_view_properties_ep_help.html', 'helpwin', 'status,resizable,scrollbars,width=740,height=290'); return false;" target="helpwin">
											<h:outputText id="external_port_help_text" styleClass="dmc_outputText" value="#{bundle.Help}"></h:outputText>
										</A>
				
										<BR/>
										
										<IMG id="externalPortPropertiesImg" alt="" src="<%=path %>/images/common/components/external_port_32.gif" />
									</TD>
									
								</TR>
								<TR>
									<TD colspan="2">
										&nbsp;<!-- Spacing row -->
									</TD>
								</TR>
								<TR>
									
									<TD align="left" width="40%">
										<h:outputFormat id="external_port_attached_sasaddress_text" styleClass="dmc_outputText" value="#{bundle.Ports_AttachedSASAddress}"></h:outputFormat>
									</TD>
									
									<TD align="left" id="externalPortPropertiesAddress">
										<h:outputText id="portAddress" styleClass="dmc_outputText" value="#{pc_ExternalPortProperties.epb.selectedExternalPort.attachedPortAddress}"></h:outputText>
									</TD>
									
								</TR>
								<TR>
									
									<TD align="left" width="40%">
										<h:outputFormat id="external_port_attached_type_text" styleClass="dmc_outputText" value="#{bundle.Ports_AttachedType}"></h:outputFormat>
									</TD>
									
									<TD align="left" id="externalPortPropertiesType">
										<h:outputText id="portType" styleClass="dmc_outputText" value="#{pc_ExternalPortProperties.epb.selectedExternalPort.attachedType}"></h:outputText>
									</TD>
									
								</TR>
								<TR>
									
									<TD align="left" width="40%">
										<h:outputFormat id="external_port_routing_setting_text" styleClass="dmc_outputText" value="#{bundle.Ports_RoutingSetting}"></h:outputFormat>:
									</TD>
									
									<TD align="left" id="externalPortPropertiesRoutingSetting">
										<h:outputText id="portRoutingSetting" styleClass="dmc_outputText" value="#{pc_ExternalPortProperties.epb.selectedExternalPort.routingSetting}"></h:outputText>
									</TD>
									
								</TR>
								<TR>
									<TD colspan="2">
										&nbsp;<!-- Spacing row -->
									</TD>
								</TR>
								<TR>
									
									<TD align="left" width="40%">
										<h:outputFormat id="external_port_enabled_text" styleClass="dmc_outputText" value="#{bundle.Ports_Enabled}"></h:outputFormat>
									</TD>
									
									<TD align="left" id="externalPortPropertiesEnabled">
										<h:outputText id="portEnabled" styleClass="dmc_outputText" value="#{pc_ExternalPortProperties.epb.selectedExternalPort.enabled?bundle.Yes:bundle.No}"></h:outputText>
									</TD>
									
								</TR>
								<TR>
									
									<TD align="left" width="40%">
										<h:outputFormat id="external_port_status_format" styleClass="dmc_outputText" value="#{bundle.Ports_Status}"></h:outputFormat>
									</TD>
									
									<TD align="left" id="externalPortPropertiesStatus">
										<h:outputText id="portStatus" styleClass="dmc_outputText" value="#{pc_ExternalPortProperties.epb.selectedPortStatus}" escape="false"></h:outputText>
									</TD>
									
								</TR>				
								
							</TBODY>
						</TABLE>
						
						<BR/>
						
						<h:outputFormat id="external_port_phy_properties_title" styleClass="dmc_outputText" style="text-decoration: underline; font-weight: bold;" value="#{bundle.Ports_PHYProperties}"></h:outputFormat>
						
						<TABLE id="externalPortPropertiesPHYsTable" style="background-color:9eb0d1" cellspacing="1" cellpadding="0" width="100%">
							<TBODY>
								<TR>
									<TD style="background-color:FFFFFF">
										<div id="headerTableDivId" bgcolor="#FFFFFF" class="scm_DataTableHeaderDiv">
										<hx:dataTableEx border="0" cellpadding="0" cellspacing="0" style="border-top: 0px; border-bottom: 0px; table-layout: fixed;"
												headerClass="dmc_headerClass" footerClass="dmc_footerClass"
												rowClasses="dmc_rowClass1,dmc_rowClass2"
												id="phyTable" width="100%"
												rendered="#{pc_ExternalPortProperties.epb.PHYTableAvailable}">
											<hx:columnEx id="external_port_phyid_text" align="left"  width="11%">														
												<f:facet name="header">
										            <h:outputText value="#{bundle.Ports_PHYID}" id="text1" styleClass="dmc_outputText"></h:outputText>
												</f:facet>
											</hx:columnEx>
											<hx:columnEx id="external_port_link_rate_text" align="left"  width="22%">														
												<f:facet name="header">
										            <h:outputText value="#{bundle.Ports_LinkRate}" id="text2" styleClass="dmc_outputText"></h:outputText>
												</f:facet>
											</hx:columnEx>
											<hx:columnEx id="external_port_max_link_rate_text" align="left"  width="30%">														
												<f:facet name="header">
										            <h:outputText value="#{bundle.Ports_MaxLinkRate}" id="text3" styleClass="dmc_outputText"></h:outputText>
												</f:facet>
											</hx:columnEx>
											<hx:columnEx id="external_port_connected_text" align="left"  width="17%">														
												<f:facet name="header">
										            <h:outputText value="#{bundle.Ports_Connected}" id="text4" styleClass="dmc_outputText"></h:outputText>
												</f:facet>
											</hx:columnEx>
											<hx:columnEx id="external_port_status_text" align="left"  width="20%">														
												<f:facet name="header">
										            <h:outputText value="#{bundle.Ports_Status}" id="text5" styleClass="dmc_outputText"></h:outputText>
												</f:facet>
											</hx:columnEx>
										</hx:dataTableEx></div>
									</TD>
								</TR>		
								<TR>
									<TD style="background-color:FFFFFF">
									<div style="width:100%;height:70;overflow-y:scroll;" id="TableScrollingDiv">
										<hx:dataTableEx border="0" cellpadding="0" cellspacing="0"
												headerClass="dmc_headerClass scm_DataTable_Body_Header" style="border-top: 0px; border-bottom: 0px; table-layout: fixed;"
												rowClasses="dmc_rowClass1,dmc_rowClass2"
												id="phyTable_tableHeader"  summary="#{bundle.Table_Summary_Phys}"
												value="#{pc_ExternalPortProperties.epb.phys}"
												var="varPHYs"
												rendered="#{pc_ExternalPortProperties.epb.PHYTableAvailable}"
												width="100%">
											<hx:columnEx id="external_port_phyid_text_tableHeader" align="left" width="11%">														
												<f:facet name="header">
										            <h:outputText value="#{bundle.Ports_PHYID}" id="text1_tableHeader" styleClass="dmc_outputText"></h:outputText>
												</f:facet>
												<h:outputText id="phyid_tableHeader" value="#{varPHYs.displayName}" styleClass="dmc_outputText">
												</h:outputText>
											</hx:columnEx>
											<hx:columnEx id="external_port_link_rate_text_tableHeader" align="left" width="22%">														
												<f:facet name="header">
										            <h:outputText value="#{bundle.Ports_LinkRate}" id="text2_tableHeader" styleClass="dmc_outputText"></h:outputText>
												</f:facet>
												<h:outputText id="phyLinkRate_tableHeader" value="#{varPHYs.linkRate}" styleClass="dmc_outputText">
												</h:outputText>
											</hx:columnEx>
											<hx:columnEx id="external_port_max_link_rate_text_tableHeader" align="left" width="30%">														
												<f:facet name="header">
										            <h:outputText value="#{bundle.Ports_MaxLinkRate}" id="text3_tableHeader" styleClass="dmc_outputText"></h:outputText>
												</f:facet>
												<h:outputText id="phyMaxLinkRate_tableHeader" value="#{varPHYs.maximumLinkRate}" styleClass="dmc_outputText">
												</h:outputText>
											</hx:columnEx>
											<hx:columnEx id="external_port_connected_text_tableHeader" align="left" width="17%">														
												<f:facet name="header">
										            <h:outputText value="#{bundle.Ports_Connected}" id="text4_tableHeader" styleClass="dmc_outputText"></h:outputText>
												</f:facet>
												<h:outputText id="phyConnected_tableHeader" value="#{varPHYs.connected?bundle.Yes:bundle.No}" styleClass="dmc_outputText">
												</h:outputText>
											</hx:columnEx>
											<hx:columnEx id="external_port_status_text_tableHeader" align="left" width="20%">														
												<f:facet name="header">
										            <h:outputText value="#{bundle.Ports_Status}" id="text5_tableHeader" styleClass="dmc_outputText"></h:outputText>
												</f:facet>
												<h:outputText id="phyStatus_tableHeader" value="#{varPHYs.statusImage12AndTextLink}" styleClass="dmc_outputText" escape="false">
												</h:outputText>
											</hx:columnEx>
										</hx:dataTableEx></div>
									</TD>
								</TR>														
							</TBODY>
						</TABLE>
						
						</TD>
						</TR>
						</TBODY>
					</TABLE>
					<%-- /tpl:put --%>					
				</TD>
			</TR>
			<TR>
				<%-- tpl:put name="bodybehaviorarea"--%>
				<TD align="left" valign="bottom">
					<hx:commandExButton id="close_Button_ID" value="#{bundle.Close}" styleClass="dmc_commandExButton" type="button" onclick="parent.document.getElementById(parent.namespace_g + 'form1:dialog_closer').click();"></hx:commandExButton>	
				</TD>
				<%-- /tpl:put --%>
			</TR>
		</TBODY>
	</TABLE>
	</h:form>
	<%-- tpl:put name="scriptcollectorareaEnd"--%>
	</hx:scriptCollector>
	<%-- /tpl:put --%>
	</BODY>
</f:view>
</HTML>
<%-- /tpl:insert --%>
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/rbce/ports/ExternalPortProperties.java" --%><%-- /jsf:pagecode --%>
