<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/ports/Ports.java" --%><%-- /jsf:pagecode --%>


<%@ include file="/page/rbce/common/HeaderPortlet.jsp"%>


<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>


<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() +  "/css/dmcsbstyle.css") %>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() +  "/css/dmcsbtables.css") %>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() +  "/page/rbce/ports/Ports.css") %>' rel="stylesheet" type="text/css">
<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +  "/page/rbce/common/common.js") %>' ></SCRIPT>
<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +  "/page/templates/template_common.js") %>' ></SCRIPT>
<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +  "/page/rbce/common/InnMessages.js") %>'></SCRIPT>

<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />



<SCRIPT src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +  "/page/rbce/ports/Ports.js") %>' ></SCRIPT>


<f:view>
	<BODY onload="initErrorMessage();">
	<hx:scriptCollector id="ports_page_script_collector" preRender="#{pc_Ports.onPageLoadBegin}" >
		<jsp:include page="/page/rbce/common/InnMessages.jsp">
			<jsp:param name="SCM_MSGHOLDERKEY_PARAM" value="Ports" />
		</jsp:include>
	
		<jsp:include page="/page/rbce/fabric/WaitHeader.jsp"/>
		
		<TABLE width="100%" cellspacing="0" cellpadding="0">
		<TBODY>
		<TR>
		<TD valign="top">
		<!--<h:outputFormat id="ports_page_title" styleClass="dmc_outputTextTitle" value="#{bundle.Ports_Ports}"></h:outputFormat> -->
		</TD>
		<TD align="right">
			<h:form id="currentDeviceForm">
				<h:outputLabel for="menu1" styleClass="dmc_outputText" id="label_menu1">
					<h:outputText styleClass="dmc_outputText" value="#{bundle.Current_Device}"></h:outputText>
				</h:outputLabel>
				<h:selectOneMenu styleClass="dmc_selectOneMenu" id="menu1"
					valueChangeListener="#{pc_Ports.handleMenu1ValueChange}"
					onchange="changeDeviceList(this.form)"
					value="#{pc_Ports.viewPortsBean.currentDeviceIdentifier}">
					<f:selectItems value="#{pc_Ports.viewPortsBean.storageSystemGroups}" />
				</h:selectOneMenu>	
			</h:form>		
		</TD>
		</TR>
		</TBODY>
		</TABLE>
		
		<h:outputFormat id="ports_page_instructions" styleClass="dmc_outputText" value="#{bundle.Ports_Instructions}"></h:outputFormat>
		<HR>
		<h:form id="myForm">
			<jsp:include page="/page/templates/UtilityModalDialog.jsp"></jsp:include>		
			<h:outputText	value="#{bundle.Ports_BladeBayPortProperties}"
								id="bladePropertiesTitle" style="display:none"></h:outputText> 
			<h:outputText	value="#{bundle.Ports_ExternalPortProperties}"
								id="externalPropertiesTitle" style="display:none"></h:outputText> 
			<h:outputText	value="#{bundle.Ports_RAIDControllerProperties}"
								id="controllerPropertiesTitle" style="display:none"></h:outputText> 
			<hx:commandExButton type="submit"
										style="display:none" 
										id="showBladePortProperties"
										action="#{pc_Ports.doShowBladePortPropertiesAction}">
										<hx:behavior event="onclick" targetAction="myForm:util_subview:util_dialog"
													 behaviorAction="show;"										
													 onActionFunction="setFormTargetFromPort(520,300);setUtilDialogTitle(document.getElementById(namespace_g + 'myForm:bladePropertiesTitle').innerHTML);"></hx:behavior>
			</hx:commandExButton> 						
			<hx:commandExButton type="submit"
								style="display:none" 
								id="showExternalPortProperties" action="#{pc_Ports.doShowExternalPortPropertiesAction}">
								<hx:behavior event="onclick" targetAction="myForm:util_subview:util_dialog"
											 behaviorAction="show;"										
											 onActionFunction="setFormTargetFromPort(520,360);setUtilDialogTitle(document.getElementById(namespace_g + 'myForm:externalPropertiesTitle').innerHTML);"></hx:behavior>
			</hx:commandExButton>			        				       				
			<hx:commandExButton type="submit"
								style="display:none" 
								id="showControllerPortProperties"
								action="#{pc_Ports.doShowControllerPortPropertiesAction}">
								<hx:behavior event="onclick" targetAction="myForm:util_subview:util_dialog"
											 behaviorAction="show;"										
											 onActionFunction="setFormTargetFromPort(520,300);setUtilDialogTitle(document.getElementById(namespace_g + 'myForm:controllerPropertiesTitle').innerHTML);"></hx:behavior>
			</hx:commandExButton>
			<hx:commandExButton type="button" style="display:none"
						id="dialog_closer">
						<hx:behavior event="onclick"
							targetAction="myForm:util_subview:util_dialog"
							behaviorAction="hide;"></hx:behavior>
					</hx:commandExButton>
			<h:inputHidden id="selectedBladePortID" value="#{pc_BladePortProperties.bpb.selectedPortID}"></h:inputHidden> 	
			<h:inputHidden id="selectedExternalPortID" value="#{pc_ExternalPortProperties.epb.selectedPortID}"></h:inputHidden> 		
			<h:inputHidden id="selectedControllerPortID" value="#{pc_ControllerPortProperties.cpb.selectedPortID}"></h:inputHidden> 			
		</h:form>
		<TABLE width="660" cellspacing="0" cellpadding="0">
			<TBODY>
				<TR>
					<TD width="50" class="tabLevelCell"><h:outputFormat id="ports_page_goto_text" styleClass="dmc_outputText" value="#{bundle.Ports_GoTo}"></h:outputFormat></TD>
					<TD class="unSelectedTab dmc_outputText" id="tab0"><h:outputFormat id="ports_page_sasswitch_text" styleClass="dmc_outputText" value="#{bundle.Ports_SASSwitch}"></h:outputFormat></TD>
										
					<!-- Tabs for space -->
					<TD class="unClickableTab dmc_outputText" id="tab1">&nbsp;</TD>
					<TD class="unClickableTab dmc_outputText" id="tab2">&nbsp;</TD>
					
					<!-- just a bottom border for the rest of the table -->
					<TD class="tabLevelCell">&nbsp;</TD>
				</TR>
				
				<TR>
					<!-- Three sided border -->
					<TD colspan="5" height="510" valign="top" style="border-width: 1; border-style: solid; border-color: black; border-top-width: 0;">
						
						<DIV id="waitDiv" style="display: none">
							<TABLE>
								<TBODY>
									<TR>
										<TD colspan="3" height="25%">&nbsp;</TD>
									</TR>
									<TR>
										<TD><IMG border="0" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +  "/images/common/loading/busy.gif")%>' alt=''></TD>
										<TD>&nbsp;</TD>
										
										<TD align="left">
											<h:outputFormat id="ports_page_wait_message" styleClass="dmc_outputText" value="#{bundle.Ports_WaitMessage}"></h:outputFormat>
										</TD>
									</TR>
									<TR>
										<TD colspan="3" height="25%">&nbsp;</TD>
									</TR>
								</TBODY>
							</TABLE>
						</DIV>
						
						<!-- The frames start with src = "" -->
						<IFRAME width="100%" height="100%" onLoad="stopPortsWait(0)" id="frame0" title="portFrame" style="display: none" src="" frameborder="0"></IFRAME>
					
					</TD>
				</TR>
				
			</TBODY>
		</TABLE>
		
		<SCRIPT>
		// Setting which tab will be displayed first
		clickedTab(0);
		</SCRIPT>

		<jsp:include page="/page/rbce/fabric/WaitFooter.jsp"/>


	</hx:scriptCollector>
	</BODY>
</f:view>

