<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/rbce/storage/VolumesGeneral.java" --%><%-- /jsf:pagecode --%>
<%-- tpl:insert page="/page/templates/ObjectProperties.jtpl" --%><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>
<%@ include file="/page/rbce/common/Header.jsp"%>
<BASE href="<%=basePath%>" />
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />
<META http-equiv="Content-Style-Type" content="text/css" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbstyle.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbtables.css" title="Style" />
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/templates/template_common.js"></SCRIPT>
<%-- tpl:put name="scriptarea" --%>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/storage/storage.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/InnMessages.js"></SCRIPT>
	<%-- /tpl:put--%>
<%-- tpl:put name="headarea" --%>
		<TITLE>VolumesGeneral</TITLE>
	<%-- /tpl:put --%>
</HEAD>
<f:view>
	<BODY onload="customOnLoad();">
	<%-- tpl:put name="scriptcollectorarea"--%>
			<hx:scriptCollector id="collector" preRender="#{pc_VolumesGeneral.onPageLoadBegin}">
				<jsp:include page="/page/rbce/common/InnMessages.jsp">
					<jsp:param name="SCM_MSGHOLDERKEY_PARAM" value="VolumesGeneral" />
				</jsp:include>
		<%-- /tpl:put --%>
	<h:form id="myForm" styleClass="dmc_outputText" onsubmit="return submitUtilReference.submitBlocker(event);" onkeydown="return submitUtilReference.submitHandler(event);">
	<%-- tpl:put name="submitHandleArea" --%>
	<jsp:include page="/page/rbce/common/SubmitRestrict.jsp">
		<jsp:param name="ENTER_SUBMIT_ID" value="" />
	</jsp:include>
		<%-- /tpl:put --%>
	<TABLE width="100%" border="0" cellpadding="0" cellspacing="0">
		<TBODY>
			<TR>
				<TD valign="top">
					<TABLE width="100%">
						<TR>
							<TD valign="top">
								<%-- tpl:put name="titlearea" --%>
				<hx:commandExButton type="button" style="display:none" id="onloadBehaviorBtn">
					<hx:behavior id="onloadBehaviorBtn_behavior_ID" event="onclick" behaviorAction="get;stop" targetAction="ajaxpanel" onActionFunction="return true;" />
				</hx:commandExButton> 
								<%-- /tpl:put --%>
							</TD>
							<TD align="right" valign="top">
								<%-- tpl:put name="titleimagearea" --%>

								<%-- /tpl:put --%>
							</TD>							
						</TR>
						<%-- tpl:put name="description" --%>
						
							<%-- /tpl:put --%>					
					</TABLE>
					<%-- tpl:put name="bodyarea" --%>
							<h:panelGroup id="ajaxpanel">
								<hx:ajaxRefreshRequest id="ajaxpanel_Request_ID" oncomplete="parent.showErrorMessageStorage();updateVolumePiePercentage();beepWhenRefresh();"
									onerror="parent.showErrorMessageStorage();commonAjaxOnError();" />
								<TABLE width="100%">
									<TR>
										<TD align="left" valign="top" bgcolor="#FFFFFF"><hx:graphicImageEx
											id="waiting_image"
											rendered="#{!pc_VolumesGeneral.volumePropertiesPageBean.ajaxed}"
											value="/images/sort_of_slow_progress_bar.gif" 
											title="#{bundle.Image_Waiting}" alt="#{bundle.Image_Waiting}"
											align="middle" hspace="10" vspace="10"></hx:graphicImageEx> <h:outputText
											id="waiting_text"
											value="#{bundle.Obtaining_Volume_properties}"
											rendered="#{!pc_VolumesGeneral.volumePropertiesPageBean.ajaxed}"
											styleClass="dmc_outputText"></h:outputText></TD>
									</TR>
								</TABLE>
								<hx:jspPanel id="auditJspPanel"
									rendered="#{pc_VolumesGeneral.volumePropertiesPageBean.ajaxed}">
									<TABLE width="100%" cellpadding="0" cellspacing="0">
										<TR>
											<TD width="20%"><h:outputText styleClass="dmc_outputText"
												id="format_volume_Capacity" value="#{bundle.VolumePropertyCapacity}"></h:outputText><h:outputText id="empty_Text_ID" styleClass="dmc_outputText"></h:outputText> </TD>
											<TD>
												<h:outputFormat styleClass="dmc_outputText" id="p_capacity" value="#{bundle.Common_Capacity_GB}">
													<f:param value="#{pc_VolumesGeneral.selectedVolume.capacityStr}"></f:param>
												</h:outputFormat>
											</TD>
										</TR>
										<TR>
											<TD><h:outputFormat styleClass="dmc_outputText"
												id="format_volume_StoragePool"
												value="#{bundle.DiskProps_StoragePool}"></h:outputFormat><h:outputText id="empty_Text_ID2" styleClass="dmc_outputText"></h:outputText>  </TD>
											<TD><h:outputText styleClass="dmc_outputText" id="p_pool"
												value="#{pc_VolumesGeneral.selectedVolume.pool}"
												escape="false"></h:outputText></TD>
										</TR>
										<TR>
											<TD><h:outputFormat styleClass="dmc_outputText"
												id="format_volume_RaidLevel" value="#{bundle.VolumeProperty_Raid_Level}"></h:outputFormat><h:outputText id="empty_Text_ID3" styleClass="dmc_outputText"></h:outputText>  </TD>
											<TD><h:outputText styleClass="dmc_outputText" id="p_raid"
												value="#{pc_VolumesGeneral.selectedVolume.raidType}"
												escape="false"></h:outputText></TD>
										</TR>
										<TR>
										<TD>&nbsp;</TD>
										</TR>
										<TR>
											<TD valign="top">
											<DIV class="pie" id="usagePie"
												style="background-position: 0px 0">
											</DIV>
											</TD>
											<TD valign="top">
											<TABLE width="90%">
												<TR>
													<TD valign="top">
													<TABLE width="50%" class="borderDarkGray"
														cellpadding="5" cellspacing="0">
														<tr>
															<td align="left">
																<hx:graphicImageEx styleClass="graphicImageEx" id="imageDark" value="/images/legend_darkblue.gif" title="#{bundle.Image_Darkblue}" alt="#{bundle.Image_Darkblue}" />
																<h:outputFormat id="volumeCapacityStr_Text_ID" styleClass="dmc_outputText" value="#{bundle.Common_Entity_With_Capacity_GB}">
																	<f:param value="#{pc_VolumesGeneral.selectedVolume.nickName}"></f:param>
																	<f:param value="#{pc_VolumesGeneral.selectedVolume.volumeCapacityStr}"></f:param>
																</h:outputFormat>
															</td>
														</tr>
														<tr>
															<td align="left">
																<hx:graphicImageEx styleClass="graphicImageEx" id="imageLite" value="/images/legend_liteblue.gif" title="#{bundle.Image_Lightblue}" alt="#{bundle.Image_Lightblue}" />
																<h:outputFormat id="poolCapacityStr_Text_ID" styleClass="dmc_outputText" value="#{bundle.Common_Entity_With_Capacity_GB}">
																	<f:param value="#{pc_VolumesGeneral.selectedVolume.pool}"></f:param>
																	<f:param value="#{pc_VolumesGeneral.selectedVolume.poolCapacityStr}"></f:param>
																</h:outputFormat>
															</td>
														</tr>
													</TABLE>
													</TD>
												</TR>
												<TR>
													<TD valign="top">
														<h:outputFormat id="storage_Pool_Capacity_Percent" styleClass="dmc_outputText" value="#{bundle.of_storage_pool_capacity}">
																<f:param value="#{pc_VolumesGeneral.selectedVolume.percentageStr}"></f:param>
														</h:outputFormat>
													</TD>
												</TR>
											</TABLE>
											<h:outputText id="volumeTotal" style="display:none"
												value="#{pc_VolumesGeneral.selectedVolume.volumeCapacity}"></h:outputText>
											<h:outputText id="poolTotal" style="display:none"
												value="#{pc_VolumesGeneral.selectedVolume.poolCapacity}"></h:outputText>
											</TD>
										</TR>
									</TABLE>
								</hx:jspPanel>

							</h:panelGroup>
						<%-- /tpl:put --%>					
				</TD>
			</TR>
			<TR>
				<%-- tpl:put name="bodybehaviorarea"--%>

						<%-- /tpl:put --%>
			</TR>
		</TBODY>
	</TABLE>
	</h:form>
	<%-- tpl:put name="scriptcollectorareaEnd"--%>
			</hx:scriptCollector>
		<%-- /tpl:put --%>
	</BODY>
</f:view>
</HTML>
<%-- /tpl:insert --%>
