<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/rbce/storage/VolumesTab.java" --%><%-- /jsf:pagecode --%>
<%-- tpl:insert page="/page/templates/SCMTabedPage.jtpl" --%><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />
<%@ include file="/page/rbce/common/Header.jsp"%>
<BASE href="<%=basePath%>" />
<META http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<META name="GENERATOR" content="IBM Software Development Platform" />
<META http-equiv="Content-Style-Type" content="text/css" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbstyle.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbtables.css" title="Style" />
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/templates/template_common.js"></SCRIPT>
<%-- tpl:put name="scriptarea" --%>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/CommonSortObject.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/storage/storage.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/storage/storageVolume.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/InnMessages.js"></SCRIPT>
<%-- /tpl:put--%>
<%-- tpl:put name="headarea" --%>
<%@ taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component" prefix="scmc"%>
	<TITLE>VolumesTab</TITLE> 
<%-- /tpl:put --%>
</HEAD>
<f:view>
	<BODY onload="customOnLoad();">
	<%-- tpl:put name="scriptcollectorarea"--%>
		<hx:scriptCollector id="scriptCollector1" preRender="#{pc_VolumesTab.onPageLoadBegin}">
		<jsp:include page="/page/rbce/common/InnMessages.jsp">
			<jsp:param name="SCM_MSGHOLDERKEY_PARAM" value="VolumesTab" />
		</jsp:include>
	<%-- /tpl:put --%>
	<h:form id="myForm" styleClass="dmc_outputText" onsubmit="return submitUtilReference.submitBlocker(event);"  onkeydown="return submitUtilReference.submitHandler(event);">
		<%-- tpl:put name="submitHandleArea" --%>
				<jsp:include page="/page/rbce/common/SubmitRestrict.jsp">
					<jsp:param name="ENTER_SUBMIT_ID" value="" />
				</jsp:include>
					<%-- /tpl:put --%>
		<%-- tpl:put name="pageOnloadBehavior"--%>
				<hx:commandExButton type="button" style="display:none" id="onloadBehaviorBtn">
					<hx:behavior id="onloadBehaviorBtn_behavior_ID" event="onclick" behaviorAction="get;stop" targetAction="ajaxpanel" onActionFunction="disableRefreshButton(true)" />
				</hx:commandExButton> 
				<hx:panelDialog id="confirm_dialog_vols" movable="true"
					initiallyShow="false" saveState="false" onshow="initDeleteTable();focusDialog(this,event);"
					style="width:600px; height:275px;" type="modal" title="#{bundle.ConfirmationMessage}"
					showTitleCloseButton="false" styleClass="dmc_panelDialog">
					
					<TABLE width="100%" cellpadding="0" cellspacing="0" border="0" style="padding-left: 5px;padding-right: 5px" onkeydown="return submitUtilReference.submitHandler(event);">
						<TBODY>
						<TR height="10"><TD></TD></TR>
						<TR>
							<TD valign="top" align="left" width="10%">
								<hx:graphicImageEx id="confirm_msg_img" value="/images/status/statusUnknown_obj30.gif" title="#{bundle.Image_Confirm}" alt="#{bundle.Image_Confirm}" />
							</TD>
							<TD width="90%">

								<TABLE width="96%" cellpadding="0" cellspacing="0" align="center">
									<TR id="volConfirmDeleteWarningTr">
										<TD height="20" valign="middle">
											<hx:graphicImageEx id="confirm_warning_img" value="/images/status/status_warning16.gif" title="#{bundle.Image_Confirm}" alt="#{bundle.Image_Confirm}" />
											<h:outputText id="volConfirmDeleteWarningTxt" style="color:red" value="#{bundle.VolumeConfirmDeleteWarning}" styleClass="dmc_outputText" />
										</TD>
									</TR>
									<TR>
										<TD height="20" valign="middle">
											<h:outputText id="volConfirmDeleteTxt" value="#{bundle.VolumeDeletionConfirm}" styleClass="dmc_outputText" />
										</TD>
									</TR>
									<TR>
										<TD height="5" valign="middle">
										</TD>
									</TR>
								</TABLE>
								<TABLE width="96%" cellpadding="0" cellspacing="0" align="center">
									<TR>
										<TD colspan="2">
											<TABLE width="100%" cellpadding="0" cellspacing="0" class="dmc_dataTableEx">
												<TR>
													<TD colspan="2" height="70%">
														<div id="delVolheaderTableDivId" bgcolor="#FFFFFF" class="scm_DataTableHeaderDiv">
														<TABLE cellspacing="0" id="deleteVolumeTableHead" width="100%" border="0" align="left" style="border-top: 0px; border-bottom: 0px; table-layout: fixed;">
															<TR class="rbceTableHeaderRow">
																<TH align="left" width="40%" class="dmc_headerClass">
																	<h:outputText id="Volume_Text_ID" value="#{bundle.Volume}" styleClass="dmc_outputText"></h:outputText>
																</TH>
																<TH align="left" width="30%" class="dmc_headerClass">
																	<h:outputText id="Volume_Capacity_Table_Text_ID" value="#{bundle.Volume_Capacity_Table}" styleClass="dmc_outputText"></h:outputText>
																</TH>
																<TH align="left" width="30%" class="dmc_headerClass">
																	<h:outputText id="Volume_Mapped_Hosts_Text_ID" value="#{bundle.Volume_Mapped_Hosts}" styleClass="dmc_outputText"></h:outputText>
																</TH>
															</TR>
														</TABLE></div>
													</TD>
												</TR>						
												<TR>
													<TD colspan="2" height="100%">
														<Div style="overflow-y:scroll;height:150;">
															<scmc:scmJspPanel id="deleteVolumeTablePanelID">
															<TABLE id="deleteVolumeTable_tableHeader" class="dmc_dataTableEx" style="border-right: 0px;border-top: 0px; border-bottom: 0px; table-layout: fixed;"
																cellpadding="0" cellspacing='0' width="100%" border="0"  summary="#{bundle.Table_Summary_Volume_deletion}">
																<COLGROUP><COL width="40%"/><COL width="30%"/><COL width="30%"/></COLGROUP>
																<THEAD>
																<TR height="5" class="scm_DataTable_Body_Header">
																	<TH align="left" width="40%" class="dmc_headerClass">
																		<h:outputText id="Volume_Text_ID_tableHeader" value="#{bundle.Volume}" styleClass="dmc_outputText"></h:outputText>
																	</TH>
																	<TH align="left" width="30%" class="dmc_headerClass">
																		<h:outputText id="Volume_Capacity_Table_Text_ID_tableHeader" value="#{bundle.Volume_Capacity_Table}" styleClass="dmc_outputText"></h:outputText>
																	</TH>
																	<TH align="left" width="30%" class="dmc_headerClass">
																		<h:outputText id="Volume_Mapped_Hosts_Text_ID_tableHeader" value="#{bundle.Volume_Mapped_Hosts}" styleClass="dmc_outputText"></h:outputText>
																	</TH>
																</TR>
																</THEAD>
																<TBODY></TBODY>
															</TABLE>
															</scmc:scmJspPanel>
														</Div>
													</TD>
												</TR>								
											</TABLE>
										</TD>
									</TR>
								</TABLE>
				            
							</TD>
						</TR>
						<TR height="10"><TD></TD></TR>
						<TR>
							<TD colspan="2">
								<TABLE cellspacing="0" cellpadding="0" width="100%"><TBODY><TR>
									<TD align="left" width="20%">
									<hx:commandExButton id="confirm_dialog_left" type="button" styleClass="dmc_commandExButton"	value="#{bundle.OK}">
										<hx:behavior id="confirm_dialog_left_behavior_ID" event="onclick" targetAction="myForm:deletePanel" 
											behaviorAction="get;" onActionFunction="volumesDeleteAction();">
										</hx:behavior>
									</hx:commandExButton>
									<hx:commandExButton id="confirm_dialog_right" type="button" styleClass="dmc_commandExButton" value="#{bundle.Cancel}">
										<hx:behavior id="confirm_dialog_right_behavior_ID" event="onclick" targetAction="confirm_dialog_vols;"
											behaviorAction="hide;stop;" onActionFunction="return true;">
										</hx:behavior>
									</hx:commandExButton>
									<hx:commandExButton id="confirmHiddenBtn" type="button" style="display:none">
										<hx:behavior id="confirmHiddenBtn_behavior_ID" event="onclick" targetAction="confirm_dialog_vols;"
											behaviorAction="hide;stop;" onActionFunction="return true;"></hx:behavior>
									</hx:commandExButton>									
									</TD>
									<TD align="left" width="80%">
									<DIV id="spinningDiv">
									</DIV>
									</TD>
									</TR>
								</TABLE>							
							</TD>
						</TR>
						</TBODY>
					</TABLE>					
						<h:panelGroup id="deletePanel">
						<hx:ajaxRefreshSubmit id="deletePanel_Submit_ID" onstart="showProgressIndicator('spinningDiv');enableSelectedStorageTabs(1);" oncomplete="onVolumeDeleted();" onerror="onVolumeDeleted();commonAjaxOnError();"/>
						<span style="display:none">delete volume panel</span>
						</h:panelGroup>
				</hx:panelDialog>
				
				<hx:panelDialog id="warning_defineVolumePrecondition" onshow="focusDialog(this,event);"
							movable="true" initiallyShow="false" saveState="false"
							style="width:500px; height:100px;" type="modal"
							title="#{bundle.InformationMessage}" showTitleCloseButton="false"
							styleClass="dmc_panelDialog">

							<TABLE width="100%" cellpadding="0" cellspacing="0" border="0" style="padding-left: 5px;padding-right: 5px">
								<TBODY>
									<TR height="10">
										<TD></TD>
									</TR>
									<TR>
										<TD valign="top" align="left" width="10%">
											<hx:graphicImageEx id="warning_img" value="/images/status/statusInformation_obj30.gif" title="#{bundle.Image_Confirm}" alt="#{bundle.Image_Confirm}" />
										</TD>
										<TD width="90%"><h:outputText id="warning_txt"
											value="#{bundle.DefineVolumePrecondition_ReachMaxVolumeNumber}"
											styleClass="dmc_outputText" /></TD>
									</TR>
									<TR height="10">
										<TD></TD>
									</TR>
									<TR>
										<TD colspan="2"><hx:commandExButton id="warning_close"
											type="button" styleClass="dmc_commandExButton"
											value="#{bundle.OK}">
											<hx:behavior id="warning_close_behavior_ID" event="onclick"
												targetAction="warning_defineVolumePrecondition"
												behaviorAction="hide;stop;" onActionFunction="return true;"></hx:behavior>
										</hx:commandExButton></TD>
									</TR>									
								</TBODY>
							</TABLE>
						</hx:panelDialog>					
				<!-- Begin of Expand Volume precondition not met DIALOG PANEL -->
				<hx:panelDialog id="cantExpandVolume_dialog" type="modal"
					initiallyShow="false" align="center" valign="middle"
					styleClass="dmc_panelDialog" showTitleBar="true"
					showTitleCloseButton="false" movable="true" style="width: 375px;"
					onshow="focusDialog(this,event);">
					<TABLE border="0" width="90%">
						<TBODY>
							<TR>
								<TD width="35px"><IMG border="0"
									src="<%=path%>/images/info/status_warning32.gif" 
									title="#{bundle.Image_Warning}" alt="#{bundle.Image_Warning}"/></TD>
								<TD colspan="2"><h:outputText styleClass="dmc_outputText"
									id="ExpandVolume_Precondition_Failed_Message"
									value="#{bundle.ExpandVolume_Precondition_Failed_Message}" /></TD>
							</TR>
							<TR>
								<TD valign="middle" colspan="3" align="center"><hx:commandExButton
									id="cantExpandVolume_Btn" type="button" value="#{bundle.Close}"
									styleClass="dmc_commandExButton">
									<hx:behavior id="cantExpandVolume_Btn_behavior_ID" event="onclick" targetAction="cantExpandVolume_dialog"
										behaviorAction="hide;"></hx:behavior>
								</hx:commandExButton></TD>
							</TR>
						</TBODY>
					</TABLE>
				</hx:panelDialog>
				<!--End of Expand Volume precondition not met DIALOG PANEL-->
		<%-- /tpl:put --%>
		<TABLE width="100%">
			<TBODY>
				<%-- tpl:put name="pageHeaderColumn"--%>
				<%-- /tpl:put --%>
				<TR style="white-space:nowrap;">
					<%-- tpl:put name="pagetitle"--%>
					<%-- /tpl:put --%>
					<TD align="right"><h:outputText styleClass="dmc_outputText"
						id="textRefresh" value="#{bundle.Last_Refresh}" style="display:none"></h:outputText> <span
						id="templ_date" class="dmc_outputText" style="display:none"> </span> <h:outputText
						styleClass="dmc_outputText" id="textRefresh_hint"
						style="display:none" value="#{bundle.Refreshing}"></h:outputText></TD>
				</TR>
			</TBODY>
		</TABLE>
		<TABLE cellspacing="1" width="100%" class="dmc_dataTable">
			<TBODY>
				<TR class="rbceTableHeaderRow">
					<TD colspan="10">
					<TABLE width="100%">
						<TR>
							<%-- tpl:put name="pageHeaderActions"--%>
								
								<TD>
								<hx:commandExButton type="button" disabled="true"
									value="#{bundle.Create_Volume}" styleClass="dmc_commandExButton"
									id="createVolumeBtn"
									onclick="createVolumeFromVolumesTab();" >
								</hx:commandExButton>
								<hx:commandExButton type="button" disabled="true"
									value="#{bundle.Map_Hosts}" styleClass="dmc_commandExButton"
									id="mapvolumesBtn" 
									onclick="document.getElementById(namespace_g + 'myForm:mapvolumesBtn_hidden').click();">
								</hx:commandExButton>
								
								<hx:commandExButton type="submit" style="display:none"
									id="createVolumeBtn_hidden"
									onclick="syncCheckbox(false, 'rowLinkHidden');this.form.target='detail';" action="#{pc_VolumesTab.doCreateVolumeBtnAction}">
								</hx:commandExButton>
								<hx:commandExButton type="submit"  style="display:none"
									 id="mapvolumesBtn_hidden" 
									onclick="syncCheckbox(false, 'rowLinkHidden');setFormTargetFromStorage(650,410);parent.setStorageUtilTitle('mapVolumesToHostTitle');"
									action="#{pc_VolumesTab.mappingVolume}">
								</hx:commandExButton>								
								<scmc:scmJspPanel id="menu1_scmPanel_ID">
								<select role="menu" id="menu1" title="#{bundle.MoreActionOption }" onchange="volumeSubmitAction(this);" class="dmc_selectOneMenu" disabled>
								<OPTION><h:outputText id="MoreActionOption_Text_ID" style="text-align: center"
											value="#{bundle.MoreActionOption}"></h:outputText></OPTION>
									</select></scmc:scmJspPanel>
							<%-- /tpl:put --%>

							<TD align="right"><hx:commandExButton type="reset"
								value="#{bundle.Button_Refresh}" disabled="true"
								styleClass="dmc_commandExButton" id="refreshBtn" style="display:none">
								<%-- tpl:put name="refreshAction"--%>
                                    <%-- add startRefresh(); by Hatteras--%>
									<hx:behavior id="refreshBtn_behavior_ID" event="onclick" behaviorAction="get"
										targetAction="ajaxpanel"
										onActionFunction="disableRefreshButton(true); displayMainContents(false);startRefresh();" />
								<%-- /tpl:put --%>
							</hx:commandExButton></TD>
						</TR>
					</TABLE>
					</TD>
				</TR>
				<%-- tpl:put name="bodyarea" --%>
					<TR>
						<TD colspan="7"  bgcolor="#FFFFFF" width="100%">
						<div id="request_div">
                        <%-- add alertRefresh(); by Hatteras--%>
						<h:panelGroup id="ajaxpanel" >
							<hx:ajaxRefreshRequest id="ajaxpanel_Request_ID" 
							onerror="disableRefreshButton(false);setLastRefreshStamp();parent.TabAjaxComplete();parent.enableStorageRefreshButton(REFRESH_MASK_VOLUME);commonAjaxOnError();" 
							onstart="enableVolumeBtn(false);"
							oncomplete="innerMessagesInstance.display();disableRefreshButton(false);setLastRefreshStamp();displayMainContents(true);initVolumeMenu();enableVolumeBtn(true);initStorageTable(namespace_g + 'myForm:volumesTable');parent.TabAjaxComplete();parent.enableStorageRefreshButton(REFRESH_MASK_VOLUME);beepWhenRefresh();"/>
							<hx:jspPanel id="volumesPanel">		
								<h:outputText id="volumeNumber" value="#{pc_VolumesTab.viewVolumesPageBean.volumeNumber}" style="display:none;"></h:outputText>								
								<TABLE border="0" cellpadding="0" cellspacing="0" width="100%">
									<TR>
											<TD align="left" valign="top">
												<h:outputText id="noRecordsDescription" escape="false"
												value="#{pc_VolumesTab.viewVolumesPageBean.volumeUnavailableText}"
												styleClass="dmc_outputText"
												rendered="#{pc_VolumesTab.viewVolumesPageBean._noRecords && pc_VolumesTab.viewVolumesPageBean.ajaxed}"></h:outputText>
														<hx:graphicImageEx id="waiting_image"
															rendered="#{!pc_VolumesTab.viewVolumesPageBean.ajaxed}"
															title="#{bundle.Image_Waiting}" alt="#{bundle.Image_Waiting}"
															value="/images/sort_of_slow_progress_bar.gif" align="middle" hspace="10"
															vspace="10"></hx:graphicImageEx>
														<h:outputText id="waiting_text" value="#{bundle.Volume_Loading_Volume}" rendered="#{!pc_VolumesTab.viewVolumesPageBean.ajaxed}" styleClass="dmc_outputText"></h:outputText>										
											</TD>
									</TR>
									<hx:jspPanel id="ContentTablesPanelId" rendered="#{pc_VolumesTab.viewVolumesPageBean.ajaxed && !pc_VolumesTab.viewVolumesPageBean._noRecords}">
									<TR>
										<TD bgcolor="#FFFFFF">
										   <div id="headerTableDivId" bgcolor="#FFFFFF" class="scm_DataTableHeaderDiv">
											<hx:dataTableEx border="0" cellpadding="0" cellspacing="0" style="border-top: 0px; border-bottom: 0px; table-layout: fixed;"
												headerClass="dmc_headerClass" footerClass="dmc_footerClass"
												rowClasses="dmc_rowClass1,dmc_rowClass2" 
												id="DataTableHead" width="100%">
												<hx:columnEx id="id_column_head" align="left" width="5%">
													<f:facet name="header">
														<h:outputText value="" id="text22" styleClass="dmc_outputText"></h:outputText>
													</f:facet>
												</hx:columnEx>
												<hx:columnEx id="VolumeName_head" align="left" width="15%" >														
													<f:facet name="header">
											            <hx:sortHeader id="volumes_sort_name" defaultSortOrder="sortbi" styleClass="sortHeader" onclick="sortStorageTable(1);">
											            	<h:outputText value="#{bundle.Volume}" id="text1" styleClass="dmc_outputText"></h:outputText>
											            </hx:sortHeader>																
													</f:facet>
												</hx:columnEx>
												<hx:columnEx id="States_head" align="left" width="23%" >														
													<f:facet name="header">
											            <hx:sortHeader id="volumes_sort_status" defaultSortOrder="sortbi" styleClass="sortHeader" onclick="sortStorageTable(2);">
											            	<h:outputText value="#{bundle.Status}" id="text2" styleClass="dmc_outputText"></h:outputText>
											            </hx:sortHeader>															
													</f:facet>															
												<f:attribute value="white-space:nowrap" name="style" />
												</hx:columnEx>
												<hx:columnEx id="Capacity_head" align="left" width="18%" >														
													<f:facet name="header">
											            <hx:sortHeader id="volumes_sort_capacity" defaultSortOrder="sortbi" styleClass="sortHeader" onclick="sortStorageTable(3);">
											            	<h:outputText value="#{bundle.Volume_Capacity_Table}" id="text3" styleClass="dmc_outputText"></h:outputText>
											            </hx:sortHeader>
													</f:facet>															
												</hx:columnEx>
												<hx:columnEx id="StoragePool_head" align="left" width="15%" >														
													<f:facet name="header">
											            <hx:sortHeader id="volumes_sort_pool" defaultSortOrder="sortbi" styleClass="sortHeader" onclick="sortStorageTable(4);">
											            	<h:outputText value="#{bundle.Volume_Storage_Pool}" id="text4" styleClass="dmc_outputText"></h:outputText>
											            </hx:sortHeader>
													</f:facet>															
												<f:attribute value="white-space:nowrap" name="style" />
												</hx:columnEx>
												<hx:columnEx id="RAID_head" align="left" width="8%" >														
													<f:facet name="header">
											            <hx:sortHeader id="volumes_sort_raid" defaultSortOrder="sortbi" styleClass="sortHeader" onclick="sortStorageTable(5);">
											            	<h:outputText value="#{bundle.Volume_RAID}" id="text5" styleClass="dmc_outputText"></h:outputText>
											            </hx:sortHeader>
													</f:facet>															
												</hx:columnEx>
												<hx:columnEx id="MappedHosts_head" align="left" width="16%" >														
													<f:facet name="header">
											            <h:outputText value="#{bundle.Volume_Mapped_Hosts}" id="text6" styleClass="dmc_outputText"></h:outputText>
													</f:facet>																			
												</hx:columnEx>	
											</hx:dataTableEx></div>
										</TD>
									</TR>
									<TR>
										<TD bgcolor="#FFFFFF" >
										<div style="width:100%;height:235;overflow-y:scroll;" id="contentTableScrollDiv">
											<hx:dataTableEx border="0" cellpadding="0" cellspacing="0" style="border-top: 0px; border-bottom: 0px; table-layout: fixed;" summary="#{bundle.Table_Summary_Volumes}"
												headerClass="dmc_headerClass scm_DataTable_Body_Header" footerClass="dmc_footerClass"
												rowClasses="dmc_rowClass1,dmc_rowClass2"
												id="volumesTable" width="100%" 
												value="#{pc_VolumesTab.viewVolumesPageBean._Volumes}"
												var="varVolumes">
												<hx:columnEx id="id_column" align="left" width="5%">
													<f:facet name="header">
														<h:outputText value="" id="text22_tableHeader" styleClass="dmc_outputText"></h:outputText>
													</f:facet>
													<h:selectBooleanCheckbox id="rowSelectShow" title="#{varVolumes.nickName}" value="#{varVolumes.selected}" onclick="volumeOnClicked(this,'#{varVolumes.nickName}','#{varVolumes.pool}','#{varVolumes.raidType}',#{varVolumes.volumeMappedHostsNumbers},'#{varVolumes.volumeParentPoolDismounted}','#{varVolumes.volumeParentPoolMissing}')">
													</h:selectBooleanCheckbox>	
													<h:selectBooleanCheckbox id="rowLinkSelectHidden" style="display:none;" value="#{varVolumes.linkSelected}">
													</h:selectBooleanCheckbox>
													<h:selectBooleanCheckbox id="rowLinkHidden" style="display:none;" value="#{varVolumes.link}">
													</h:selectBooleanCheckbox>												
												<f:attribute value="left" name="align" />
												</hx:columnEx>
												<hx:columnEx id="VolumeName" align="left" width="15%" >														
													<f:facet name="header">
											            	<h:outputText value="#{bundle.Volume}" id="text1_tableHeader" styleClass="dmc_outputText"></h:outputText>
													</f:facet>
													<hx:outputLinkEx id="volumeNameLink" onclick="clickVolumeColumnLink(this, 'volumeName')" title="#{bundle.VolumeLinkTitle}" style="text-decoration:none;">
														<h:outputText id="name_output_display" escape="false" value="#{varVolumes.nickName}" styleClass="dmc_outputText">
														</h:outputText>
													</hx:outputLinkEx>
													<h:outputText id="name_output_hidden" value="#{varVolumes.nickName}" style="display:none;">
													</h:outputText>
												<f:attribute value="left" name="align" />
												</hx:columnEx>
												<hx:columnEx id="States" align="left" width="23%" >														
													<f:facet name="header">
											            	<h:outputText value="#{bundle.Status}" id="text2_tableHeader" styleClass="dmc_outputText"></h:outputText>
													</f:facet>															
													<h:outputText id="states_output" escape="false"
														value="#{varVolumes.linkStatus}" styleClass="dmc_outputText">
													</h:outputText>															
												<f:attribute value="white-space:nowrap" name="style" />
												<f:attribute value="left" name="align" />
												</hx:columnEx>
												<hx:columnEx id="Capacity" align="left" width="18%" >														
													<f:facet name="header">
											            	<h:outputText value="#{bundle.Volume_Capacity_Table}" id="text3_tableHeader" styleClass="dmc_outputText"></h:outputText>
													</f:facet>															
													<h:outputText id="capacity_output" escape="false"
														value="#{varVolumes.capacityStr}" styleClass="dmc_outputText">
													</h:outputText>															
												<f:attribute value="left" name="align" />
												</hx:columnEx>
												<hx:columnEx id="StoragePool" align="left" width="15%" >														
													<f:facet name="header">
											            	<h:outputText value="#{bundle.Volume_Storage_Pool}" id="text4_tableHeader" styleClass="dmc_outputText"></h:outputText>
													</f:facet>															
													<h:outputText id="storagepool_output" escape="false"
														value="#{varVolumes.pool}" styleClass="dmc_outputText">
													</h:outputText>															
												<f:attribute value="left" name="align" />
												<f:attribute value="white-space:nowrap" name="style" />
												</hx:columnEx>
												<hx:columnEx id="RAID" align="left" width="8%" >														
													<f:facet name="header">
											            	<h:outputText value="#{bundle.Volume_RAID}" id="text5_tableHeader" styleClass="dmc_outputText"></h:outputText>
													</f:facet>															
													<h:outputText id="raid_output" escape="false"
														value="#{varVolumes.raidType}" styleClass="dmc_outputText">
													</h:outputText>															
												<f:attribute value="left" name="align" />
												</hx:columnEx>
												<hx:columnEx id="MappedHosts" align="left" width="16%" >														
													<f:facet name="header">
											            	<h:outputText value="#{bundle.Volume_Mapped_Hosts}" id="text6_tableHeader" styleClass="dmc_outputText"></h:outputText>
													</f:facet>																			
													<hx:outputLinkEx id="mappedHostLink" onclick="clickVolumeColumnLink(this, 'mappedHost')" title="#{bundle.VolumeLinkTitle}" style="text-decoration:none;">												
														<h:outputText id="mappedhost_output" escape="false"
															value="#{varVolumes.hosts}" styleClass="dmc_outputText">
														</h:outputText>
													</hx:outputLinkEx>
													<h:outputText id="mappedhost_output_hidden" value="#{varVolumes.hosts}" style="display:none;">
													</h:outputText>
													<h:outputText id="isVolumeMapped_output_hidden" value="#{varVolumes.volumeMapped}" style="display:none;">
													</h:outputText>																								
												<f:attribute value="left" name="align" />
												</hx:columnEx>												
											</hx:dataTableEx></div>
										</TD>
									</TR>
									</hx:jspPanel>
								</TABLE>
								</hx:jspPanel>
						</h:panelGroup>
						</div>
						<div id="progress_div" style="display:none"><hx:graphicImageEx
							id="refreshing_img"
							value="/images/sort_of_slow_progress_bar.gif" 
							title="#{bundle.Image_Waiting}" alt="#{bundle.Image_Waiting}"
							align="middle" hspace="10" vspace="10"></hx:graphicImageEx> <h:outputText
							id="refreshing_txt" value="#{bundle.Refreshing_Data}"
							styleClass="dmc_outputText"></h:outputText></div>
						</TD>
						<hx:commandExButton type="button" 
							id="property_link" style="display:none">
							<hx:behavior id="property_link_behavior_ID" event="onclick" targetAction="myForm:util_subview:util_dialog"
								behaviorAction="show;" onActionFunction="setFormTargetFromStorage(700,395);">
							</hx:behavior>									
						  </hx:commandExButton>
						 <hx:commandExButton type="submit" style="display:none" 
						  id="viewProperties" onclick="setFormTargetFromStorage(700,400);" 
						  action="#{pc_VolumesTab.doViewPropertiesAction}">
						</hx:commandExButton>
						 <hx:commandExButton type="submit" style="display:none" 
						  id="linkViewProperties" onclick="setFormTargetFromStorage(700,400);" 
						  action="#{pc_VolumesTab.doLinkViewPropertiesAction}">
						</hx:commandExButton>
						<h:inputHidden id="link_column_name_hidden" value="#{pc_VolumesTab.linkColumnName}"></h:inputHidden>
						 <hx:commandExButton type="submit" style="display:none" 
						  id="UnmapHostHiddeBtn" onclick="setFormTargetFromStorage(700,395);" 
						  action="#{pc_VolumesTab.doUnMapHostsAction}">
						</hx:commandExButton>
						<hx:commandExButton type="button" style="display:none"
								id="deleteVolsDialogPopup">
								<hx:behavior id="deleteVolsDialogPopup_behavior_ID" event="onclick" targetAction="confirm_dialog_vols"
									behaviorAction="show;stop;" onActionFunction="this.form.target='_self'" />
							</hx:commandExButton>
						<hx:commandExButton type="button" style="display:none"
								id="expandVolume"
										onclick="doCheckExpandVolumePrecondition(this,700,400,event)">
						</hx:commandExButton>
						<hx:commandExButton type="button" id="defineVolumeWarningPopuper" style="display:none">
							<hx:behavior id="defineVolumeWarningPopuper_behavior_ID" event="onclick" targetAction="myForm:warning_defineVolumePrecondition"
								behaviorAction="show;stop;">
							</hx:behavior>
						</hx:commandExButton>
						<hx:commandExButton type="button" id="expandVolumeWarningPopuper" style="display:none">
							<hx:behavior id="expandVolumeWarningPopuper_behavior_ID" event="onclick" targetAction="myForm:cantExpandVolume_dialog"
								behaviorAction="show;stop;">
							</hx:behavior>
						</hx:commandExButton>
						<hx:commandExButton type="submit" style="display:none"
								id="expandVolumePopuper"
										onclick="setFormTargetFromStorage(700,390)" action="#{pc_VolumesTab.doExpandVolumeAction}">
						</hx:commandExButton>
						<h:outputText id="menu_1" style="display:none" value="#{bundle.MoreActionOption}"></h:outputText>
						<h:outputText id="menu_2" style="display:none" value="#{bundle.VolumePropertiesOption}"></h:outputText> 
						<h:outputText id="menu_3" style="display:none" value="#{bundle.ExpandVolumeOption}"></h:outputText> 
						<h:outputText id="menu_4" style="display:none" value="#{bundle.UnmapHostOption}"></h:outputText>
						<h:outputText id="menu_5" style="display:none" value="#{bundle.DeleteVolumeOption}"></h:outputText>
						<h:outputText id="action" style="display:none" value="#{pc_VolumesTab.viewVolumesPageBean.refreshFlag}"></h:outputText>
						<h:outputText id="unmappedStr" style="display:none" value="#{bundle.Host_Volume_Unmapped}"></h:outputText>
						 <hx:commandExButton type="submit" style="display:none" 
						  id="gotoViewAlertsPage" 
						  action="#{pc_VolumesTab.gotoViewAlerts}">
						</hx:commandExButton>
						<hx:commandExButton type="button" style="display:none" id="hiddenRefreshBtn">
							<hx:behavior id="hiddenRefreshBtn_behavior_ID" event="onclick" behaviorAction="get;stop;"
										targetAction="ajaxpanel"
										onActionFunction="clearAllInnMessages();disableRefreshButton(true);displayMainContents(false);" />
						</hx:commandExButton>
					</TR>
				<%-- /tpl:put --%>
			</TBODY>
		</TABLE>
	</h:form>
	<%-- tpl:put name="pageEndBehavior"--%>
		</hx:scriptCollector>
	<%-- /tpl:put --%>
	</BODY>
</f:view>
</HTML>
<%-- /tpl:insert --%>