<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component"
	prefix="scmc"%>
	
<f:subview id="menus">		
 <scmc:scmJspPanel id="scmMenusId">
	<DIV id="defaultMenuDIV" name="menuDIV">
		<f:subview id="defaultMenu">  
		 	<h:panelGrid  styleClass="scm_PanelGridDefault" id="defaultMenuGrid"  width="300px" columns="2"  cellpadding="0" cellspacing="0" columnClasses="menuHeaderLeftCol,menuHeaderRightCol">
		    	<h:outputText id="allresouceTextId" styleClass="dmc_outputText" escape="false" value="#{bundle.ViewAllBladeCenter_AllRsource}"></h:outputText>
		        <h:graphicImage id="downarrowImagId" style="border: 0; padding: 0;" styleClass="graphicImageEx" value="/images/common/tree/down_arrow_disabled.gif"></h:graphicImage>
			</h:panelGrid>
		 </f:subview>       
	</DIV>
	<DIV id="noChassisMenuDIV" name="menuDIV" style="display:none">
		<f:subview id="noChassisMenu">  
	     	<hx:panelMenu id="noChassisMenuid" flyOpen="false" styleClass="rbceMenu">
		        <f:facet name="header">
		            <h:panelGrid  styleClass="scm_PanelGrid" id="noChassisGrid" border="1" width="300px" columns="2"  cellpadding="0" cellspacing="0" columnClasses="menuHeaderLeftCol,menuHeaderRightCol">
		            	<h:outputText id="noChassisActioiText1" styleClass="dmc_outputText" escape="false" value="#{bundle.ViewAllBladeCenter_BladeCenterAction}"></h:outputText>
		            	<h:graphicImage id="noChassisDownArrowImageId11" style="border: 0; padding: 0;" styleClass="graphicImageEx" value="/images/common/tree/down_arrow.gif"></h:graphicImage>
		            </h:panelGrid>
		        </f:facet>
	            <hx:outputLinkEx id="noChassisMenu_CollectSupportData" styleClass="outputLinkEx" value="javascript: document.getElementById(namespace_g + 'myForm:hiddenbuttonpage:ViewAllBladeCenter_CollectSupportData').click();">
		            <h:outputText id="noChassisclolseSptTextId" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_CollectSupportData}"></h:outputText>
		        </hx:outputLinkEx>		            		           
		    </hx:panelMenu>
		 </f:subview>       
	</DIV>
	<%-- BladeCenterMenuDIV End --%> 	
	<DIV id="BladeCenterMenuDIV" name="menuDIV" style="display:none">	
		<f:subview id="bladeCenterMenu">
	     	<hx:panelMenu id="bladeCenterMenuid" flyOpen="false" styleClass="rbceMenu">
		        <f:facet name="header">
		            <h:panelGrid  styleClass="scm_PanelGrid" id="bladeCenterGrid" border="1" width="300px" columns="2"  cellpadding="0" cellspacing="0" columnClasses="menuHeaderLeftCol,menuHeaderRightCol">
		            	<h:outputText id="vbActioiText1" styleClass="dmc_outputText" escape="false" value="#{bundle.ViewAllBladeCenter_BladeCenterAction}"></h:outputText>
		            	<h:graphicImage id="vbDownArrowImageId11" style="border: 0; padding: 0;" styleClass="graphicImageEx" value="/images/common/tree/down_arrow.gif"></h:graphicImage>
		            </h:panelGrid>
		        </f:facet>

		        <hx:outputLinkEx id="bcMenu_Physical" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('BladeCenterAction_PhysicalView')">
						<h:outputText id="physicalviewTextId" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_PhysicalView}"></h:outputText>
				</hx:outputLinkEx>
		        		        				
				<hx:panelMenu id="cfgPanelMenuid">
		            <f:facet name="header">
		                <h:panelGrid id="switchConfigGrid"  width="95%"columns="2" columnClasses="menuLeftCol,menuRightCol" cellpadding="0" cellspacing="0">
						    <h:outputText id="configurationTextId" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_Configuration}"></h:outputText>
						    <h:graphicImage id="cfgTextImageId" style="border: 0" styleClass="graphicImageEx" value="/images/common/tree/right_arrow.gif"></h:graphicImage>
						</h:panelGrid>
		            </f:facet>
		       		
					<hx:outputLinkEx id="bcMenu_Storage" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('ViewAllBladeCenter_Storage')">
						<h:outputText id="ellipseId11" styleClass="dmc_outputText" value="#{bundle.Storage} #{bundle.Ellipses}"></h:outputText>
					</hx:outputLinkEx>
		        
					<hx:outputLinkEx id="bcMenu_Zoning" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('ViewAllBladeCenter_StorageZoning')">
		                <h:outputText id="zoningTextId11" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_StorageZoning}"></h:outputText>
					</hx:outputLinkEx>
	       		</hx:panelMenu>
	
				<hx:panelMenu id="servicePanelMenuID">
		            <f:facet name="header">
		                <h:panelGrid id="switchServiceGrid"  width="95%"columns="2" columnClasses="menuLeftCol,menuRightCol" cellpadding="0" cellspacing="0">
						    <h:outputText id="serviceTextId" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_Service}"></h:outputText>
						    <h:graphicImage id="righarrowImageId" style="border: 0" styleClass="graphicImageEx" value="/images/common/tree/right_arrow.gif"></h:graphicImage>
						</h:panelGrid>
		            </f:facet>					
	        
		            <hx:outputLinkEx id="bcMenu_CollectSupportData" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('ViewAllBladeCenter_CollectSupportData')">
		                <h:outputText id="clolseSptTextId" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_CollectSupportData}"></h:outputText>
		            </hx:outputLinkEx>		            		           
		        </hx:panelMenu>
		        
				<hx:outputLinkEx id="bcMenu_Remove" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('BladeCenterAction_Remove')">
					<h:outputText id="removeBladerTextId" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_Remove}"></h:outputText>
				</hx:outputLinkEx>				
		    </hx:panelMenu>
		</f:subview>
	</DIV>
	<%-- BladeCenterMenuDIV End --%>

	<%-- StorageSystemMenuDIV End --%> 	
	<DIV id="StorageSystemMenuDIV" name="menuDIV" style="display:none">	
		<f:subview id="storageSystemMenu">
	     		<hx:panelMenu id="storageSystemMenuid" flyOpen="false" styleClass="rbceMenu">
		        <f:facet name="header">
		            <h:panelGrid  styleClass="scm_PanelGrid" id="storageSystemGrid" border="1" width="300px" columns="2"  cellpadding="0" cellspacing="0" columnClasses="menuHeaderLeftCol,menuHeaderRightCol">
		            	<h:outputText id="storatgeSystemId11" styleClass="dmc_outputText" escape="false" value="#{bundle.ViewAllBladeCenter_StorageSystemAction}"></h:outputText>
		            	<h:graphicImage id="wownArrsoId2" style="border: 0; padding: 0;" styleClass="graphicImageEx" value="/images/common/tree/down_arrow.gif"></h:graphicImage>
		            </h:panelGrid>
		        </f:facet>
		
				<hx:outputLinkEx id="phyViewLinkId1" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('BladeCenterAction_PhysicalView');">
	                <h:outputText id="phyTextID12" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_PhysicalView}"></h:outputText>
		        </hx:outputLinkEx>
			        
		        <hx:outputLinkEx id="storeagePropTextLink1" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('StorageSystemAction_Properties');">
	                <h:outputText id="bladeCenterPropId" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_Properties}"></h:outputText>
		        </hx:outputLinkEx>
				
				<hx:panelMenu id="storageCfgMnueid">
		            <f:facet name="header">
		                <h:panelGrid id="storageSystemConfigGrid"  width="95%"columns="2" columnClasses="menuLeftCol,menuRightCol" cellpadding="0" cellspacing="0">
						    <h:outputText id="cfgTextid100" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_Configuration}"></h:outputText>
						    <h:graphicImage id="rightArrowId100" style="border: 0" styleClass="graphicImageEx" value="/images/common/tree/right_arrow.gif"></h:graphicImage>
						</h:panelGrid>
		            </f:facet>
		       		
					<hx:outputLinkEx id="ellpses1002" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('ViewAllBladeCenter_Storage');">
						<h:outputText id="ellipseTextId1006" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_Storage}"></h:outputText>
					</hx:outputLinkEx>
		        
					<hx:outputLinkEx id="dateTimeLinkId2" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('ViewAllBladeCenter_SetDateAndTime');">
		                <h:outputText id="dateTimeIds" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_SetDateAndTime}"></h:outputText>
					</hx:outputLinkEx>
	       		</hx:panelMenu>
	
				<hx:panelMenu id="storageServiceMenuID">
		            <f:facet name="header">
		                <h:panelGrid id="storageSystemServiceGrid"  width="95%"columns="2" columnClasses="menuLeftCol,menuRightCol" cellpadding="0" cellspacing="0">
						    <h:outputText id="serviceTextId333" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_Service}"></h:outputText>
						    <h:graphicImage id="downarigImage110" style="border: 0" styleClass="graphicImageEx" value="/images/common/tree/right_arrow.gif"></h:graphicImage>
						</h:panelGrid>
		            </f:facet>					
	        
		            <hx:outputLinkEx id="alertLinkId" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('ViewAllBladeCenter_ActiveAlerts')">
		                <h:outputText id="alertTextId" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_ActiveAlerts}"></h:outputText>
		            </hx:outputLinkEx>
		            
		            <hx:outputLinkEx id="auditLogLinkId" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('ViewAllBladeCenter_AuditLog')">
		                <h:outputText id="auditLogText" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_AuditLog}"></h:outputText>
		            </hx:outputLinkEx>
		            
		            <hx:outputLinkEx id="locatingHwId" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('ViewAllBladeCenter_LocateHardware')">
		                <h:outputText id="locatingHwIdText" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_LocateHardware}"></h:outputText>
		            </hx:outputLinkEx>
		            
		            <hx:outputLinkEx id="firmwareLinkId" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('ViewAllBladeCenter_UpdateFirmware')">
		                <h:outputText id="firmwareTextId" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_UpdateFirmware}"></h:outputText>
		            </hx:outputLinkEx>
		            
		            <hx:outputLinkEx id="storageDeviceLogLink" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('ViewAllBladeCenter_DeviceLog')">
		                <h:outputText id="storageDeviceLogTextid" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_DeviceLog}"></h:outputText>
		            </hx:outputLinkEx>
							        
		            <hx:outputLinkEx id="shutdownLinkId" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('ViewAllBladeCenter_ShutdownAndRecover')">
		                <h:outputText id="shutdownTextId" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_ShutdownAndRecover}"></h:outputText>
		            </hx:outputLinkEx>					
		        </hx:panelMenu>
		        
		        <hx:outputLinkEx id="storageRetryConnectionLinkId" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('ViewAllBladeCenter_RetryConnection');">
	                <h:outputText id="storageRetryConnectionTextid" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_RetryConnection}"></h:outputText>
		        </hx:outputLinkEx>
		        
				<hx:outputLinkEx id="usersLinkId" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('ViewAllBladeCenter_Users')">
	                <h:outputText id="usersTextid" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_Users}"></h:outputText>
		        </hx:outputLinkEx>
		    </hx:panelMenu>
		</f:subview>
	</DIV>
	<%-- StorageSystemMenuDIV End --%>
	
	<%-- SASSwitchMenuDIV End --%>
	<DIV id="SASSwitchMenuDIV" name="menuDIV" style="display:none">	
		<f:subview id="sasSwitchMenu">
	     	<hx:panelMenu id="sasSwitchMenuid" flyOpen="false" styleClass="rbceMenu">
		        <f:facet name="header">
		            <h:panelGrid  styleClass="scm_PanelGrid" id="sasSwitchGrid" border="1" width="300px" columns="2"  cellpadding="0" cellspacing="0" columnClasses="menuHeaderLeftCol,menuHeaderRightCol">
		            	<h:outputText id="sasModuleAction" styleClass="dmc_outputText" escape="false" value="#{bundle.ViewAllBladeCenter_SASModuleAction}"></h:outputText>
		            	<h:graphicImage id="dowarowImage200" style="border: 0; padding: 0;" styleClass="graphicImageEx" value="/images/common/tree/down_arrow.gif"></h:graphicImage>
		            </h:panelGrid>
		        </f:facet>
		
				<hx:outputLinkEx id="siwtchPhyLinkId" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('BladeCenterAction_PhysicalView');">
	                <h:outputText id="siwtchPhyText" styleClass="dmc_outputText"   value="#{bundle.ViewAllBladeCenter_PhysicalView}"></h:outputText>
		        </hx:outputLinkEx>
			        
		        <hx:outputLinkEx id="switchPropLink" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('SASSwitchAction_Properties')">
	                <h:outputText id="switchPropText" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_Properties}"></h:outputText>
		        </hx:outputLinkEx>
		        				
				<hx:panelMenu id="switchCfgMenuId">
		            <f:facet name="header">
		                <h:panelGrid id="sasSwitchConfigGrid"  width="95%"columns="2" columnClasses="menuLeftCol,menuRightCol" cellpadding="0" cellspacing="0">
						    <h:outputText id="cfgGridText" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_Configuration}"></h:outputText>
						    <h:graphicImage id="cfgImage2001" style="border: 0" styleClass="graphicImageEx" value="/images/common/tree/right_arrow.gif"></h:graphicImage>
						</h:panelGrid>
		            </f:facet>
		        
					<hx:outputLinkEx id="zoneingLink200" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('SASSwitchAction_Configuration_SwitchZoning')">
		                <h:outputText id="zongingSwitchText" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_SwitchZoning}"></h:outputText>
					</hx:outputLinkEx>
		        
					<hx:outputLinkEx id="switchPortId" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('SASSwitchAction_Configuration_SwitchPorts')">
		                <h:outputText id="switchPortTextId" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_SwitchPorts}"></h:outputText>
					</hx:outputLinkEx>
					
					<hx:outputLinkEx id="switchDateTimeLinkid" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('ViewAllBladeCenter_SetDateAndTime')">
	          			<h:outputText id="switchDatetimeText" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_SetDateAndTime}"></h:outputText>
					</hx:outputLinkEx>
	       		</hx:panelMenu>
	
				<hx:panelMenu id="switchServiceMenuId">
		            <f:facet name="header">
		                <h:panelGrid id="sasSwitchServiceGrid"  width="95%" columns="2" columnClasses="menuLeftCol,menuRightCol" cellpadding="0" cellspacing="0">
						    <h:outputText id="serviceA100" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_Service}"></h:outputText>
						    <h:graphicImage id="serviceAImage100" style="border: 0" styleClass="graphicImageEx" value="/images/common/tree/right_arrow.gif"></h:graphicImage>
						</h:panelGrid>
		            </f:facet>					
	        
		            <hx:outputLinkEx id="switchAuditLogLinkId" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('ViewAllBladeCenter_AuditLog')">
		                <h:outputText id="switchAuditlogText" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_AuditLog}"></h:outputText>
		            </hx:outputLinkEx>
		            
		            <hx:outputLinkEx id="switchLocatingHdwLinkid" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('ViewAllBladeCenter_LocateHardware')">
		                <h:outputText id="switchLocatingHdwText" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_LocateHardware}"></h:outputText>
		            </hx:outputLinkEx>
		            
		            <hx:outputLinkEx id="sasfirmwareLinkId" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('ViewAllBladeCenter_UpdateFirmware')">
		                <h:outputText id="sasfirmwareText" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_UpdateFirmware}"></h:outputText>
		            </hx:outputLinkEx>
		            
		            <hx:outputLinkEx id="deviceLogLink" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('ViewAllBladeCenter_DeviceLog')">
		                <h:outputText id="devicelogTest10" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_DeviceLog}"></h:outputText>
		            </hx:outputLinkEx>
		            
		            <hx:outputLinkEx id="errocounterLink" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('ViewAllBladeCenter_ErrorCounters')">
		                <h:outputText id="erroCounterText" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_ErrorCounters}"></h:outputText>
		            </hx:outputLinkEx>
		                
				</hx:panelMenu>
				
				<hx:outputLinkEx id="switchRetryConnectionLinkId" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('ViewAllBladeCenter_RetryConnection');">
	                <h:outputText id="switchRetryConnectionTextid" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_RetryConnection} #{bundle.Ellipses}"></h:outputText>
		        </hx:outputLinkEx>
		        
				<hx:outputLinkEx id="switchUsersLinkId" styleClass="outputLinkEx" value="javascript: rbce.gui.domains.Menu.getInstance()._clickMenuItem('ViewAllBladeCenter_Users')">
					<h:outputText id="switchUsersText" styleClass="dmc_outputText" value="#{bundle.ViewAllBladeCenter_Users}"></h:outputText>
				</hx:outputLinkEx>	
		        </hx:panelMenu>
		</f:subview>
	</DIV>
	<%-- SASSwitchMenuDIV End --%>	
	
		
	<h:inputHidden id="selectItemType" valueChangeListener="#{pc_ViewAllBladeCenter.selectTypeChanged}" value=""></h:inputHidden>
	<h:inputHidden id="selectObject" valueChangeListener="#{pc_ViewAllBladeCenter.selectItemChanged}" value=""></h:inputHidden>
	<h:inputHidden id="selectMenuItem" valueChangeListener="#{pc_ViewAllBladeCenter.selectMenuChanged}" value=""></h:inputHidden>	
</scmc:scmJspPanel>
</f:subview>	