<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/fabric/BackupAllConfigurations.java" --%><%-- /jsf:pagecode --%>
<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter,com.ibm.scm.gui.rbce.nls.GWMSBL" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/rbce/common/Header.jsp"%>
<BASE href="<%=basePath%>" />

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>

<%@ taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component" prefix="scmc"%>

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" import="java.util.*, pagecode.page.fabric.*, javax.faces.context.FacesContext, com.ibm.sysmgmt.scm.nbce.backing.fabric.*"%>


<META http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<META name="GENERATOR" content="IBM Software Development Platform" />
<META http-equiv="Content-Style-Type" content="text/css" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbstyle.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbtables.css" title="Style" />

<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/templates/template_common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/InnMessages.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/fabric/ManageFabric.js"></SCRIPT>

<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />

<TITLE>BackupAllConfigurations</TITLE>

<%
FacesContext fc = FacesContext.getCurrentInstance();
ManageFabric mf = (ManageFabric) com.ibm.scm.gui.ifs.session.util.FacesUtil.getFacesManagedBean(pagecode.ManagedBean.MANAGE_FABRIC_PAGE_CODE);
ManageFabricBean mfb = mf.getManageFabricBean();
%>

<SCRIPT>
<% 
// If there are no available switches, dont try to get the active index
if(mf.getSwitches().length != 0)
{
%>
var activeIndex = '<%= mf.getWorkingSwitch().getActiveConfigurationIndex() %>';
<%
}
%>
var backupServletPath = '<%=path%>/faces/ManageFabricBackupConfigurationServlet';
</SCRIPT>

</HEAD>
<f:view>
<BODY onload="onLoad_BackupAllConfigurations();">
	
	<hx:scriptCollector id="backupAllConfigurationsScriptCollector">
	
	<jsp:include page="/page/rbce/common/InnMessages.jsp">
				<jsp:param name="SCM_MSGHOLDERKEY_PARAM" value="backupAllConfigurations" />
	</jsp:include>
	<h:form id="myForm" >
	<TABLE width="100%" cellpadding="0" cellspacing="0" border="0" style="padding-left: 5px;padding-right: 5px">
		<TBODY>
		<TR height="10"><TD></TD></TR>
		<TR>
			<TD valign="top" align="left" width="10%">
				<scmc:scmJspPanel id="backupall_confirm_image_panel">
					<IMG id="confirm_msg_img3" src="<%=path%>/images/status/statusUnknown_obj30.gif" title="#{bundle.Image_Confirm}" alt="#{bundle.Image_Confirm}" />
				</scmc:scmJspPanel>
			</TD>
			<TD width="90%">            
				<P><h:outputFormat  id="manageFabricBackupAllInstructions" styleClass="dmc_outputText" value="#{bundle.ManageFabric_BackupInstructions}"></h:outputFormat></P>
				<P><h:outputLabel for="backupAllSwitchMenu" id="label_backupAllSwitchMenu" styleClass="scm_flyaway_component" >
							<h:outputText
							id="Current_Switch_Module"
							styleClass="dmc_outputText" value="#{bundle.ManageFabric_Current_Switch}"></h:outputText>
				</h:outputLabel>
				<SELECT id="backupAllSwitchMenu" class="dmc_selectOneMenu" onchange="showBackupSwitchConfigurations()">
				<%
				MFSASSwitch[] switches = mf.getSwitches();
				
				for(int x = 0; x < switches.length; x++)
				{
				%>
					<OPTION value="<%= switches[x].getID() %>"> <%= switches[x].getDisplayName() %></OPTION>
				<%
				}
				%>	
				</SELECT>
				</P>
				<h:outputFormat id="manageFabricBackupAllWillBeSaved" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfigurationsWillBeSaved}:"></h:outputFormat>
				<%
				for(int x = 0; x < switches.length; x++)
				{
				
				// Show only the first one to start
				String display = "none";
				if(x == 0)
				{
					// We want this to show up
					display="block";
				}
				%>
				
				<DIV id="<%= switches[x].getID() %>" style="display: <%=display%>;" >
			
				<TABLE  class="dmc_domain_dataTable dmc_outputText" cellspacing="0" cellpadding="0" width="95%"
						summary="<%=MessageFormatter.formatLabel(GWMSBL.Table_Summary_SAS_Backup_All_Configurations, null)%>">
					<TBODY>
						<TR class="rbceTableHeaderRow">
							<TD class="dmc_outputTextB" style="border-right: 1px solid #C0C0C0" width="40%">
								<SPAN class="dmc_outputText"><%=MessageFormatter.formatLabel(GWMSBL.ManageFabric_ConfigurationStore, null)%></SPAN>
							</TD>
							<TD class="dmc_outputTextB" style="border-right: 1px solid #C0C0C0">
								<SPAN class="dmc_outputText"><%=MessageFormatter.formatLabel(GWMSBL.ManageFabric_Nickname, null)%></SPAN>
							</TD>
						</TR>
						
						<%
						MFZoneConfiguration[] configs = switches[x].getNonCannedZoneDescriptors();
						
						for(int y = 0; y < configs.length; y ++)
						{
						%>	
						<TR class="rbceTableRow rbceTableUnselectedRow">
							<TD>
								<SPAN class="dmc_outputText"><%= configs[y].getIndex() %></SPAN>
							</TD>
							<TD>
								<SPAN class="dmc_outputText"><%= configs[y].getName() %></SPAN>
							</TD>
						</TR>
						<%
						}
						%>
					
					</TBODY>
				</TABLE>
				
				</DIV>			
				<%
				}
				%>
			</TD>
		</TR>
		<TR height="10"><TD></TD></TR>
		<TR>
			<TD colspan="2">
			<TABLE>
			<TR>
				<TD>
					<hx:commandExButton id="manageFabricBackupAllOK" styleClass="dmc_commandExButton" type="button" value="#{bundle.OK}" onclick="backupAll();">
					</hx:commandExButton>
					
					<hx:commandExButton id="manageFabricBackupAllSubmit" style="display:none" type="submit" onclick="backupAll();">
					</hx:commandExButton>
					
					<hx:commandExButton id="manageFabricBackupAllCancel" styleClass="dmc_commandExButton" type="button" value="#{bundle.Cancel}" onclick="backupAll_CancleClick();">
					</hx:commandExButton>	
				</TD>
				<TD><div id="spinningDiv_backupAllModal" style="visibility:visible"></div></TD>
			</TR>	
			</TABLE>
			</TD>
		</TR>
		<TR height="10"><TD></TD></TR>
		</TBODY>
	</TABLE>   	
	
	</h:form>
	</hx:scriptCollector>
	
	</BODY>
</f:view>
</HTML>
	