<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/fabric/ManageFabric.java" --%><%-- /jsf:pagecode --%>
<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter,pagecode.ManagedBean,com.ibm.scm.gui.rbce.nls.GWMSBL" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/rbce/common/Header.jsp"%>
<BASE href="<%=basePath%>" />

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>

<%@ taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component" prefix="scmc"%>

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" import="java.util.*, pagecode.page.fabric.*, javax.faces.context.FacesContext, com.ibm.sysmgmt.scm.nbce.backing.fabric.*"%>


<META http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<META name="GENERATOR" content="IBM Software Development Platform" />
<META http-equiv="Content-Style-Type" content="text/css" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbstyle.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbtables.css" title="Style" />
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/templates/template_common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/fabric/ManageFabric.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/InnMessages.js"></SCRIPT>
<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />

<TITLE>ManageFabric.jsp</TITLE>

<%
FacesContext fc = FacesContext.getCurrentInstance();
//When this main page load, refresh the session bean data, and set the bean back to session.  Defect 11612
ManageFabricBean mfb = new ManageFabricBean(false);
fc.getApplication().createValueBinding(ManagedBean.MANAGE_FABRIC_BEAN).setValue(fc,mfb);
ManageFabric mf = (ManageFabric) com.ibm.scm.gui.ifs.session.util.FacesUtil.getFacesManagedBean(pagecode.ManagedBean.MANAGE_FABRIC_PAGE_CODE);
ResourceBundle nls = ResourceBundle.getBundle("com.ibm.scm.gui.rbce.nls.GWMSBL",fc.getExternalContext().getRequestLocale());
%>

<SCRIPT>
<% 
// If there are no available switches, dont try to get the active index
if(mf.getSwitches().length != 0)
{
%>
var activeIndex = '<%= mf.getWorkingSwitch().getActiveConfigurationIndex() %>';
<%
}
%>
var backupServletPath = '<%=path%>/faces/ManageFabricBackupConfigurationServlet';
var backupDialogPath = "<%=path%>/faces/page/rbce/fabric/BackupAllConfigurations.jsp";
</SCRIPT>

</HEAD>
<f:view>
	<BODY onLoad="disableActionButtons();initErrorMessage();;stopShellLoading();">
	
	<hx:scriptCollector id="manageFabricScriptCollector" preRender="#{pc_ManageFabric.onPageLoadBegin}">
	<jsp:include page="/page/rbce/common/InnMessages.jsp">
		<jsp:param name="SCM_MSGHOLDERKEY_PARAM" value="ManageFabric" />
	</jsp:include>
	
	<TABLE width="100%" cellspacing="0" cellpadding="0">
	<TBODY>
	<TR>
	<!--<TD valign="top">
	<h:outputFormat id="manageFabricTitle" styleClass="dmc_outputTextTitle" value="#{bundle.ManageFabric_Title}"></h:outputFormat> 
	</TD>-->
	<TD align="right" style="white-space: nowrap">
		<h:form id="currentDeviceForm">
		<hx:jspPanel id="panel_menu1">
		<h:outputLabel for="menu1" id="label_menu1" styleClass="dmc_outputText">
			<h:outputText id="currentDeviceForm_Current_Device_ID" styleClass="dmc_outputText" value="#{bundle.Current_Device}"></h:outputText> 	
		</h:outputLabel>
			<h:selectOneMenu styleClass="dmc_selectOneMenu" id="menu1" onchange="this.form.submit()" valueChangeListener="#{pc_ManageFabricShell.manageFabricBean.changeCurrentChassis}" value="#{pc_ManageFabricShell.manageFabricBean.currentDeviceIdentifier}">
				<f:selectItems value="#{pc_ManageFabricShell.manageFabricBean.chassisItems}" />
			</h:selectOneMenu>	
		</hx:jspPanel>
		</h:form>
	</TD>
	</TR>
	</TBODY>
	</TABLE>
	
	<h:outputFormat id="manageFabricInstructions" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Instructions}"></h:outputFormat>
	<HR/>
	
	<TABLE width="100%">
	<TR>
	<TD align="right">
	<h:outputText styleClass="dmc_outputText" id="manageFabricLastRefresh" value="#{bundle.Last_Refresh}"></h:outputText>
	<h:outputText styleClass="dmc_outputText" id="lastRefreshTimestamp" value="#{bundle.Refreshing_Data}"></h:outputText>
	<h:inputHidden id="hiddenNLSRefreshingData" value="#{bundle.Refreshing_Data}"></h:inputHidden>
	</TD>
	</TR>
	</TABLE>
	
	<!-- ------------------------------------------ ACTIVE CONFIGURATIONS ---------------------------------------------- -->
	<TABLE>
		<TR>
			<TD valign="top">
			<scmc:scmJspPanel id="panel_active_configuration">
				<IMG src="<%=path%>/images/fabric/active_configuration.gif" alt="#{bundle.ManageFabric_ActiveConfiguration}"/>
			</scmc:scmJspPanel>
			</TD>
			<TD valign="top" style="white-space: nowrap; padding-right: 10px;">
				<h:outputFormat id="activeConfigLabel" styleClass="dmc_outputTextTitle2UL" value="#{bundle.ManageFabric_ActiveConfiguration}:"></h:outputFormat>
			</TD>
			<TD valign="top">
				<% 
				if(mf.existsSwtich(3))
				{
				%>
					<h:outputFormat id="activeConfigIOBay3" styleClass="dmc_outputText" value="#{bundle.ManageFabric_IOBay3}"></h:outputFormat>
					<SPAN class="dmc_outputText"> - <%= mf.getSwitch(3).getActiveConfiguration().getName() %></SPAN>
					<BR/>
				<%
				}
				%>
				<% 
				if(mf.existsSwtich(4))
				{
				%>
					<h:outputFormat id="activeConfigIOBay4" styleClass="dmc_outputText" value="#{bundle.ManageFabric_IOBay4}"></h:outputFormat>
					<SPAN class="dmc_outputText"> - <%= mf.getSwitch(4).getActiveConfiguration().getName() %></SPAN>
					<BR/>
				<%
				}
				%>
			</TD>
		</TR>
		<TR>
			<TD valign="top"></TD>
			<TD valign="top" style="white-space: nowrap; padding-right: 10px;">
				<h:outputFormat id="descriptionLabel" styleClass="dmc_outputTextTitle2UL" value="#{bundle.ManageFabric_Description}:"></h:outputFormat>
			</TD>
			<TD valign="top">
				<% 
				if(mf.existsSwtich(3))
				{
				%>
					<h:outputFormat id="descriptionIOBay3" styleClass="dmc_outputText" value="#{bundle.ManageFabric_IOBay3}"></h:outputFormat>
					<SPAN class="dmc_outputText"> - <%= mf.getSwitch(3).getActiveConfiguration().getDescription() %></SPAN>
					<BR/>
				<%
				}
				%>
				<% 
				if(mf.existsSwtich(4))
				{
				%>
					<h:outputFormat id="descriptionIOBay4" styleClass="dmc_outputText" value="#{bundle.ManageFabric_IOBay4}"></h:outputFormat>
					<SPAN class="dmc_outputText"> - <%= mf.getSwitch(4).getActiveConfiguration().getDescription() %></SPAN>
					<BR/>
				<%
				}
				%>
			</TD>
		</TR>
		<TR>
			<TD valign="top"></TD>
			<TD valign="top" style="white-space: nowrap; padding-right: 10px;">
				<h:outputFormat id="lastSaveLabel" styleClass="dmc_outputTextTitle2UL" value="#{bundle.ManageFabric_LastSaved}:"></h:outputFormat>
			</TD>
			<TD valign="top">
				<% 
				if(mf.existsSwtich(3))
				{
				%>
					<h:outputFormat id="lastSaveIOBay3" styleClass="dmc_outputText" value="#{bundle.ManageFabric_IOBay3}"></h:outputFormat>
					<SPAN class="dmc_outputText"> - <%= mf.getSwitch(3).getActiveConfiguration().getLastSaveDate() %></SPAN>
					<BR/>
				<%
				}
				%>
				<% 
				if(mf.existsSwtich(4))
				{
				%>
					<h:outputFormat id="lastSaveIOBay4" styleClass="dmc_outputText" value="#{bundle.ManageFabric_IOBay4}"></h:outputFormat>
					<SPAN class="dmc_outputText"> - <%= mf.getSwitch(4).getActiveConfiguration().getLastSaveDate() %></SPAN>
					<BR/>
				<%
				}
				%>
			</TD>
		</TR>		
	</TABLE>
	
	<BR/>
	
	
	<!-- ------------------------------------------ NO SWITCHES ---------------------------------------------- -->
	<% 
	// If there are no available switches in the selected Chassis
	if(mf.getSwitches().length == 0)
	{
	%>
		<h:outputFormat id="manageFabricNoSwitchesAvailable" styleClass="dmc_outputText" value="#{bundle.ManageFabric_NoSwitchesAvailable}"></h:outputFormat>
	<%
	}
	else
	{
	%>		
	
	<!-- ------------------------------------------ ACTION BUTTONS ---------------------------------------------- -->
	
	<h:form id="mainForm" target="_parent">
	<table class="dmc_domain_dataTable dmc_outputText" width="748" boder="1" cellpadding="0" cellspacing="0"><TR><TD bgcolor="ffffff">
	<!-- to align the buttons -->
	<TABLE class="dmc_domain_dataTable dmc_outputText" width="748" height="40px" cellpadding="2" cellspacing="0">
	<TBODY>
	<TR class="rbceTableHeaderRow">
	<TD valign="bottom" style="padding-left: 10px;">
		<hx:commandExButton id="modifyButton" styleClass="dmc_commandExButton" value="#{bundle.ManageFabric_Edit}" action="#{pc_ManageFabric.modify}"></hx:commandExButton>
	</TD>
	<TD valign="bottom" style="padding-left: 10px;">
		<hx:commandExButton id="activateButton" styleClass="dmc_commandExButton" value="#{bundle.ManageFabric_Activate}" onclick="activateModalSetUp()" target=></hx:commandExButton>

	</TD>
	<TD valign="bottom" style="padding-left: 10px;">
    <hx:commandExButton  id="restoreConfigurationButton" style="display: none"  action="#{pc_ManageFabric.restoreConfiguration}"></hx:commandExButton>
        
         
	<hx:panelMenu styleClass="rbceMenu" id="moreActionsMenu" flyOpen="false" initialSelection="">
	
		<f:facet name="header">
            <h:panelGrid  styleClass="scm_PanelGrid" id="agentGrid"  border="1" width="300px" columns="2"  cellpadding="0" cellspacing="0" columnClasses="menuHeaderLeftCol,menuHeaderRightCol">
            	<h:outputText id="managefabric_moreactions_ID" styleClass="dmc_outputText" escape="false" value="#{bundle.ManageFabric_MoreActions}"></h:outputText>
            	<h:graphicImage id="agentGrid_image_ID" style="border: 0; padding: 0;" styleClass="graphicImageEx" value="/images/common/tree/down_arrow.gif"></h:graphicImage>
            </h:panelGrid>            
        </f:facet>
        
		
        <hx:outputLinkEx id="backupAllLauncher" onclick="document.getElementById(namespace_g+'mainForm:util_dialog_backupall_launcher').click();" value="javascript:;">
       		<h:outputText id="manageFabricBackupAllLauncher" styleClass="dmc_outputText" value="#{bundle.ManageFabric_BackupAllConfigurations}"></h:outputText>
        </hx:outputLinkEx>
        
        <hx:outputLinkEx id="restoreOneLauncher" onclick="restoreConfiguration('one')" value="javascript:;">
       		<h:outputText id="manageFabricRestoreOneLauncher" styleClass="dmc_outputText" value="#{bundle.ManageFabric_RestoreConfiguration}"></h:outputText>
        </hx:outputLinkEx>
        
        <hx:outputLinkEx id="restoreAllLauncher" onclick="restoreConfiguration('all')" value="javascript:;">
       		<h:outputText id="manageFabricRestoreAllLauncher" styleClass="dmc_outputText" value="#{bundle.ManageFabric_RestoreAllConfigurations}"></h:outputText>
        </hx:outputLinkEx>
	</hx:panelMenu>
	<hx:commandExButton type="button" value="openBackupAllDialog"
		id="util_dialog_backupall_launcher" style="display:none">
		<hx:behavior id="util_dialog_backupall_launcher_behavior_ID" event="onclick" targetAction="myForm:util_subview:util_dialog"
			behaviorAction="show;stop;"
			onActionFunction="launchBackupAllDialog();">
		</hx:behavior>
	</hx:commandExButton>
	<hx:commandExButton type="button" value="closeBackupAllDialog"
		id="util_dialog_backupall_closer" style="display:none">
		<hx:behavior id="util_dialog_backupall_closer_behavior_ID" event="onclick" targetAction="myForm:util_subview:util_dialog"
			behaviorAction="hide;stop;">
		</hx:behavior>
	</hx:commandExButton>
    <h:outputText id="backupAllTitleStr" style="display:none" value="#{bundle.ManageFabric_BackupAllModalTitle}"></h:outputText>
	</TD>
	<TD align="right" valign="bottom" width="100%" style="padding-right: 10px">
			<hx:commandExButton type="button" id="refreshButton" styleClass="dmc_commandExButton" value="#{bundle.Button_Refresh}" onclick="parent.refresh()"></hx:commandExButton>
	</TD>	
	</TR>
	</TBODY>	
	</TABLE>
	
	<!-- ---------------------------------------------- START TABLE --------------------------------------------------- -->
<div id="headerTableDivId" bgcolor="#FFFFFF" class="scm_DataTableHeaderDiv">
	<TABLE class="dmc_domain_dataTable dmc_outputText" cellspacing="0" cellpadding="0" width="100%" style="border-top: 0px; border-bottom: 0px; table-layout: fixed;">
		<THEAD>
			<TR class="rbceTableHeaderRow">
				<TD class="dmc_outputTextB" style="width:11%;border-right: 1px solid #C0C0C0" align="left">
					<h:outputFormat id="manageFabricTableSelect" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Select}"></h:outputFormat>
				</TD>
				<TD class="dmc_outputTextB" style="width:21%;border-right: 1px solid #C0C0C0" align="left">
					<h:outputFormat id="manageFabricTableConfigurationStore" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfigurationStore}"></h:outputFormat>
				</TD>
				<TD class="dmc_outputTextB" style="width:20%;border-right: 1px solid #C0C0C0">
					<h:outputFormat id="manageFabricTableNickname" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Nickname}"></h:outputFormat>
				</TD>
				<TD class="dmc_outputTextB" style="width:23%;border-right: 1px solid #C0C0C0">
					<h:outputFormat id="manageFabricTableDescription" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Description}"></h:outputFormat>
				</TD>
				<TD class="dmc_outputTextB" style="width:25%;border-right: 1px solid #C0C0C0" nowrap>
					<h:outputFormat id="manageFabricTableLastModified" styleClass="dmc_outputText" value="#{bundle.ManageFabric_LastModified}"></h:outputFormat>
				</TD>
			</TR>
		</THEAD>
	</TABLE>
	</div>
	<div id="tableDiv" style="overflow-y:scroll;height:135;">
	<TABLE id="zoningConfigsTable" class="dmc_domain_dataTable dmc_outputText" cellspacing="0" cellpadding="0" width="100%" style="border-top: 0px; border-bottom: 0px; table-layout: fixed;" summary="<%=MessageFormatter.formatLabel(GWMSBL.Table_Summary_SAS_Zoning, null)%>">
		<COLGROUP><COL width="11%"/><COL width="21%"/><COL width="20%"/><COL width="23%"/><COL width="25%"/></COLGROUP>
		<THEAD>
			<TR class="scm_DataTable_Body_Header">
				<TD class="dmc_outputTextB" style="width:11%;border-right: 1px solid #C0C0C0" align="left">
					<h:outputFormat id="manageFabricTableSelect_headerTable" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Select}"></h:outputFormat>
				</TD>
				<TD class="dmc_outputTextB" style="width:21%;border-right: 1px solid #C0C0C0" align="left">
					<h:outputFormat id="manageFabricTableConfigurationStore_headerTable" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfigurationStore}"></h:outputFormat>
				</TD>
				<TD class="dmc_outputTextB" style="width:20%;border-right: 1px solid #C0C0C0">
					<h:outputFormat id="manageFabricTableNickname_headerTable" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Nickname}"></h:outputFormat>
				</TD>
				<TD class="dmc_outputTextB" style="width:23%;border-right: 1px solid #C0C0C0">
					<h:outputFormat id="manageFabricTableDescription_headerTable" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Description}"></h:outputFormat>
				</TD>
				<TD class="dmc_outputTextB" style="width:25%;border-right: 1px solid #C0C0C0" nowrap>
					<h:outputFormat id="manageFabricTableLastModified_headerTable" styleClass="dmc_outputText" value="#{bundle.ManageFabric_LastModified}"></h:outputFormat>
				</TD>
			</TR>
		</THEAD>
		<TBODY>	
			<%
			// Get a list of zone configuratoins
			
			// Build the following structure
			// HashMap.get(zoneStoreIndex) returns:
			// ArrayList of [ZoneStore, SASSwitch]
			
			HashMap configurationMap = new HashMap();
			MFSASSwitch[] switches = mf.getSwitches();
			
			for(int x = 0; x < switches.length; x++)
			{
				MFZoneConfiguration[] configs = switches[x].getZoneDescriptors();
				
				for(int y = 0; y < configs.length; y++)
				{			
					// Get the ArrayList in the hash map for this index
					Integer key = new Integer(configs[y].getIndex());
					
					ArrayList list = (ArrayList) configurationMap.get(key);
					
					// If this is the first time we are accessing, make a new list
					if(list == null)
					{
						list = new ArrayList();
						
						configurationMap.put(key, list);
					}
					
					list.add(new Object[] {configs[y], switches[x]});
				}
			}
			
			Object[] keys = configurationMap.keySet().toArray();
			Arrays.sort(keys);
			
			for(int x = 0; x < keys.length; x++)
			{
			
				// Get the arraylist for this index
				ArrayList list = (ArrayList) configurationMap.get(keys[x]);
				
				if(list == null || list.size() == 0)
				{
					continue;
				}
				
				// Check to see if there different entries in the list
				String configName = null;
				String configDescription = null;
				boolean haveDifferent = false;
				
				for(int y = 0; y < list.size(); y++)
				{
					Object[] temp = (Object[]) list.get(y);
					
					MFZoneConfiguration currentConfig = (MFZoneConfiguration) temp[0];
					
					String currentName = currentConfig.getName();
					String currentDescription = currentConfig.getDescription();
					
					// At first we will have nothing to compare to
					if(configName == null && configDescription == null)
					{
						configName = currentName;
						configDescription = currentDescription;
						
						continue;
					}
					
					if(! currentName.equals(configName) || ! currentDescription.equals(configDescription))
					{
						haveDifferent = true;
						break;
					}
				}			 
				
				if(haveDifferent)
				{
					// Here the objects are different so we must display the values by switch
					
					String configurationStore = "<TABLE cellpadding='0' cellspacing='0' class='dmc_outputText'><TBODY><TR>";
					if(keys[x].toString().equals("" + mfb.getActiveConfigruationIndex()))
					{	
						// If this is the active configuration, then show the image
						
						String activeConfigurationNLS = nls.getString("ManageFabric_ActiveConfiguration");
						String warningNLS = nls.getString("ManageFabric_MismatchedWarningAlt");
						
						// Check if there is a mismatch and add the warning
						if(mf.existsActiveConfigurationMismatch())
						{
							// Two icons
							configurationStore += "<TD width='16px'><IMG src='images/status/status_warning16.gif' alt='" + warningNLS + "' title='" + warningNLS + "' /></TD><TD width='16px'><IMG src='images/fabric/active_configuration_16.gif' title='" + activeConfigurationNLS + "'  alt='" + activeConfigurationNLS + "' /></TD>";
						}
						else
						{
							configurationStore += "<TD width='16px'><IMG src='images/fabric/active_configuration_16.gif' title='" + activeConfigurationNLS + "'  alt='" + activeConfigurationNLS + "' /></TD>";						
						}					
					}
					else
					{
						// Check if there is a mismatch and add space for the warning
						if(mf.existsActiveConfigurationMismatch())
						{
							// Make space for two icons (warning and active)
							configurationStore += "<TD width='16px'>&nbsp;</TD><TD width='16px'>&nbsp;</TD>";
						}
						else
						{
							// Make space for just the active icon
							configurationStore += "<TD width='16px'>&nbsp;</TD>";
						}
					}
					
					configurationStore += "<TD valign='middle' align='left' style='padding-right: 10px'>" + keys[x].toString() + "</TD><TD>";
					
					String nickname = "";
					String description = "";
					String lastModified = "";
					String zoneStoreRadioTitle = "";
					
					for(int z = 0; z < list.size(); z++)
					{
						Object[] temp = (Object[]) list.get(z);
						MFZoneConfiguration currentConfig = (MFZoneConfiguration) temp[0];
						MFSASSwitch currentSwtich = (MFSASSwitch) temp[1];
						
						configurationStore += "(" + currentSwtich.getDisplayName() + ")<BR/>";
						nickname += currentConfig.getName() + "<BR/>";
						zoneStoreRadioTitle += currentConfig.getName() + " ";
						description += currentConfig.getDescription() + "<BR/>";
						lastModified += currentConfig.getLastSaveDate() + "<BR/>";
					}
					
					configurationStore += "</TD></TR></TBODY></TABLE>";				
			%>
			<TR class="rbceTableRow rbceTableUnselectedRow">
				<TD class="rbceTableRow" width="11%" align="left">
					<INPUT type="radio" name="zoneStore" title="<%=zoneStoreRadioTitle%>" value="<%= keys[x].toString() %>" onclick="activateActionButtons();"/>
				</TD>
				<TD class="rbceTableRow" width="21%">
					<SPAN class="dmc_outputText"><%= configurationStore %></SPAN>
				</TD>
				<TD class="rbceTableRow" width="20%" nowrap>
					<SPAN class="dmc_outputText"><%= nickname %></SPAN>
				</TD>
				<TD class="rbceTableRow" width="23%">
					<SPAN class="dmc_outputText"><%= description %></SPAN>
				</TD>
				<TD class="rbceTableRow" width="25%" nowrap>
					<SPAN class="dmc_outputText"><%= lastModified %></SPAN>
				</TD>
			</TR>
			<%
				}
				else
				{
					// Here the configs accross all switches are the same so we can just use the first one
					Object[] temp = (Object[]) list.get(0);
					MFZoneConfiguration currentConfig = (MFZoneConfiguration) temp[0];
			%>
			<TR class="rbceTableRow rbceTableUnselectedRow">
				<TD class="rbceTableRow" width="11%" align="left">
					<INPUT type="radio" name="zoneStore" title="<%=currentConfig.getName()%>" value="<%= currentConfig.getIndex() %>" onclick="activateActionButtons();"/>
				</TD>
				<TD class="rbceTableRow dmc_outputText" width="21%">
					
					<TABLE cellpadding='0' cellspacing='0' class='dmc_outputText'>
						<TBODY>
							<TR>
								<%
								if(currentConfig.getIndex() == mfb.getActiveConfigruationIndex())
								{
									String activeConfigurationNLS = nls.getString("ManageFabric_ActiveConfiguration");
									String warningNLS = nls.getString("ManageFabric_MismatchedWarningAlt");
									// If this is the active configuration, then show the image
									
									// Show the warning icon if there is mismatch
									if(mf.existsActiveConfigurationMismatch())
									{
									%>
									<TD width='16px' style="border: 0px" class="dmc_outputText"><IMG src='<%=path%>/images/status/status_warning16.gif' alt='<%= warningNLS %>' title='<%= warningNLS %>' /></TD><TD width='16px'><IMG src='images/fabric/active_configuration_16.gif' title='<%= activeConfigurationNLS %>' alt='<%= activeConfigurationNLS %>' /></TD>
									<%	
									}
									else
									{
									%>
									<TD width='16px' style="border: 0px" class="dmc_outputText"><IMG src='<%=path%>/images/fabric/active_configuration_16.gif' title='<%= activeConfigurationNLS %>' alt='<%= activeConfigurationNLS %>' /></TD>
									<%	
									}	
								}
								else
								{
									// Make space for the warning icon if there is mismatch
									if(mf.existsActiveConfigurationMismatch())
									{
										// Space for two icons
									%>
									<TD width='16px' style="border: 0px" class="dmc_outputText">&nbsp;</TD><TD width='16px'>&nbsp;</TD>
									<%	
									}
									else
									{
										// Space for one icon
									%>
									<TD width='16px' style="border: 0px">&nbsp;</TD>
									<%	
									}
								}
								%>
								
								<TD  style="border: 0px" class="dmc_outputText">
									<%= currentConfig.getIndex() %>
								</TD>
								
							</TR>
						</TBODY>
					</TABLE>
				</TD>
				<TD class="rbceTableRow" width="20%">
					<SPAN class="dmc_outputText"><%= currentConfig.getName() %></SPAN>
				</TD>
				<TD class="rbceTableRow" width="23%">
					<SPAN class="dmc_outputText"><%= currentConfig.getDescription() %></SPAN>
				</TD>
				<TD class="rbceTableRow" width="25%" nowrap>
					<SPAN class="dmc_outputText"><%= currentConfig.getLastSaveDate() %></SPAN>
				</TD>
			</TR>
			<%	
				}
			}
			%>
			
		</TBODY>
	</TABLE>
	</div>
	</TD></TR></table>
	<!--  ------------------  ZONE CONFIG NAMES ------------------------------------ -->
	<SCRIPT>
	<%
	// Working switch is the switch with the lowest bay number
	MFZoneConfiguration[] configurations = mf.getWorkingSwitch().getZoneDescriptors();
	
	for(int x = 0; x < configurations.length; x++)
	{
	%>
	config<%= configurations[x].getIndex() %>Name = '<%= configurations[x].getName() %>';
	<%
	}
	%>
	</SCRIPT>

	
	<!-- ----------------------------------------------------------- CONFIGURATION MISMATCH MODAL ---------------------------------------------------------------------- -->
	<%
	if(mf.existsActiveConfigurationMismatch())
	{
	%>
		
	<hx:panelDialog initiallyShow="true" style="width: 400px" id="configurationMismatchModal" styleClass="dmc_panelDialog" showTitleCloseButton="false" for="configurationMismatchLauncher" title="#{bundle.InformationMessage}" onshow="focusDialog(this,event);">
	
		<TABLE width="100%" cellpadding="0" cellspacing="0" border="0" style="padding-left: 5px;padding-right: 5px">
			<TBODY>
			<TR height="10"><TD></TD></TR>
			<TR>
				<TD valign="top" align="left" width="10%">
					<hx:graphicImageEx id="confirm_msg_img" value="/images/status/statusInformation_obj30.gif" title="#{bundle.Image_Confirm}" alt="#{bundle.Image_Confirm}" />
				</TD>
				<TD width="90%">
					<h:outputFormat id="manageFabricMismatchNote" styleClass="dmc_outputText" value="#{bundle.ManageFabric_MismatchNote}">
						<f:param name="0" value="#{manageFabricBean.switches[0].displayName}" id="paramBay3DisplayName"></f:param>
						<f:param name="0" value="#{manageFabricBean.switches[1].displayName}" id="paramBay4DisplayName"></f:param>
						<f:param name="0" value="#{manageFabricBean.chassisDisplayName}" id="paramChassisDisplayName"></f:param>
					</h:outputFormat>
				</TD>
			</TR>
			<TR height="10"><TD></TD></TR>
			<TR>
				<TD colspan="2">
					<hx:commandExButton id="mismatchOK" value="#{bundle.OK}" styleClass="dmc_commandExButton">
						<hx:behavior id="mismatchOKBehavior" event="onclick" targetAction="configurationMismatchModal" behaviorAction="HIDE;STOP"/>
					</hx:commandExButton>			
				</TD>
			</TR>
			<TR height="10"><TD></TD></TR>
			</TBODY>
		</TABLE>    	
	
	</hx:panelDialog>	

	<%
	}
	%>
	

	<!-- ----------------------------------------------------------- CONFIGURATION MISMATCH MODAL ---------------------------------------------------------------------- -->
	<%
	// Having a single switch in bay 4 (and no switch in bay 3) is not supported. Warn the user
	// Note: this wont get in the way of the active mismatch modal because that one requires both switches for a mismatch
	if(mf.getSwitch(3) == null && mf.getSwitch(4) != null)
	{
	%>
		
	<hx:panelDialog initiallyShow="true" style="width: 400px" id="unsupportedConfigurationModal" styleClass="dmc_panelDialog" showTitleCloseButton="false" title="#{bundle.ManageFabric_UnsupportedConfigurationModalTitle}" onshow="focusDialog(this,event);">
	
	
	<TABLE style="padding-left: 5px;padding-right: 5px">
	<TBODY>
	<TR>
	<TD valign="top">
		<h:graphicImage value="/images/status/status_warning16.gif"
									alt="#{bundle.Common_Status_Warning}"
									id="graphicWarningImage2"></h:graphicImage>
	</TD>
	<TD valign="top">	
		<h:outputFormat id="unsupportedConfigurationModalNote" styleClass="dmc_outputText" value="#{bundle.ManageFabric_UnsupportedConfigurationModalNote}"></h:outputFormat>
	</TD>
	</TR>
	</TBODY>
	</TABLE>
	
	<BR/>
	
	<CENTER>
		<hx:commandExButton id="unsupportedConfigurationModalOK" value="#{bundle.OK}" styleClass="dmc_commandExButton">
			<hx:behavior id="unsupportedConfigurationModalOKBehavior" event="onclick" targetAction="unsupportedConfigurationModal" behaviorAction="HIDE;STOP"/>
		</hx:commandExButton>
	</CENTER>
	
	</hx:panelDialog>	

	<%
	}
	%>
	
	<!-- ----------------------------------------------------------- ACTIVATE CONFIRMATION MODAL ---------------------------------------------------------------------- -->	
	<hx:commandExButton id="activateConfirmationLauncher" style="display: none"></hx:commandExButton>
	
	<hx:panelDialog style="width: 400px" id="activateConfirmationModal" styleClass="dmc_panelDialog" showTitleCloseButton="false" for="activateButton" title="#{bundle.ConfirmationMessage}" onshow="focusDialog(this,event);">
		
	<TABLE width="100%" cellpadding="0" cellspacing="0" border="0" style="padding-left: 5px;padding-right: 5px">
		<TBODY>
		<TR height="10"><TD></TD></TR>
		<TR>
			<TD valign="top" align="left" width="10%">
				<hx:graphicImageEx id="confirm_msg_img2" value="/images/status/statusUnknown_obj30.gif" title="#{bundle.Image_Confirm}" alt="#{bundle.Image_Confirm}" />
			</TD>
			<TD width="90%">			
			<%
			// Singular vs plural for the word switch
			if(mf.getSwitches().length > 1)
			{
			%>
			<h:outputFormat id="manageFabricActivateConfirmationPlural" escape="false" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfirmActivatePlural}">
								<f:param name="0" value="<SPAN id='selectedConfig'></SPAN>"
									id="paramSelectedConfig"></f:param>
								<f:param name="0"
									value="#{manageFabricBean.switches[0].displayName}"
									id="paramConfirmationBay3Display"></f:param>
								<f:param name="0"
									value="#{manageFabricBean.switches[1].displayName}"
									id="paramConfirmationBay4Display"></f:param>
							</h:outputFormat> 
			<%
			}
			else
			{
			%>
			<h:outputFormat id="manageFabricActivateConfirmationSingular" escape="false" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfirmActivateSingular}">
								<f:param name="0" value="<SPAN id='selectedConfig'></SPAN>"
									id="paramSelectedConfigSingle"></f:param>
								<f:param name="0"
									value="#{manageFabricBean.switches[0].displayName}"
									id="paramConfirmSingleSwitchDisplayName"></f:param>
							</h:outputFormat> 
			<%
			}
			%>						
			</TD>
		</TR>
		<TR height="10"><TD></TD></TR>
		<TR>
			<TD colspan="2">
			<TABLE>
			<TR>
				<TD>
					<hx:commandExButton id="activateModalOK" type="button" value="#{bundle.OK}" onclick="document.getElementById(namespace_g +'mainForm:activateModalSubmit').click();disableButton('mainForm:activateModalOK','mainForm:manageFabricActivateConfirmationCancel');" styleClass="dmc_commandExButton">
					</hx:commandExButton>	
					<hx:commandExButton id="activateModalSubmit" type="submit" style="display:none" action="#{pc_ManageFabric.activateConfiguration}" onclick="showProgressIndicator('spinningDiv_activateConfirmationModal');document.getElementById('mainForm').target='_self';" styleClass="dmc_commandExButton">
					</hx:commandExButton>			
					<hx:commandExButton  id="manageFabricActivateConfirmationCancel" styleClass="dmc_commandExButton" type="button" value="#{bundle.Cancel}">
						<hx:behavior id="manageFabricActivateConfirmationCancelBehavior" event="onclick" targetAction="activateConfirmationModal" behaviorAction="HIDE;STOP"/>
					</hx:commandExButton></TD>
				<TD><div id="spinningDiv_activateConfirmationModal" style="visibility:visible"></div></TD>		
			</TR>
			</TABLE>
			</TD>
		</TR>
		<TR height="10"><TD></TD></TR>
		</TBODY>
	</TABLE>
	<h:inputHidden id="restoreType" value="#{pc_ManageFabric.restoreType}"/>
	</hx:panelDialog>
	
	</h:form>
	
	<h:form id="myForm">
	<jsp:include page="/page/templates/UtilityModalDialog.jsp"></jsp:include>	
	</h:form>
	<IFrame name="backupAllHiddenFrame" id="backupAllHiddenFrame" title="backupAllHiddenFrame" frameborder="0" style="display:none" src="" ></IFrame>
	<%
		// End of else block on no switches condition
	}
	%>
	
	</hx:scriptCollector>
	
	</BODY>
</f:view>
</HTML>
