<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/fabric/ManageFabricModifyPage.java" --%><%-- /jsf:pagecode --%>
<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>
<%@ include file="/page/rbce/common/Header.jsp"%>
<BASE href="<%=basePath%>" />

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>

<%@ taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component" prefix="scmc"%>

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" import="javax.faces.model.SelectItem, pagecode.page.fabric.*, javax.faces.context.FacesContext, com.ibm.sysmgmt.scm.nbce.backing.fabric.*, java.util.ResourceBundle"%>


<META http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<META name="GENERATOR" content="IBM Software Development Platform" />
<META http-equiv="Content-Style-Type" content="text/css" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbstyle.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbtables.css" title="Style" />
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/templates/template_common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/fabric/ManageFabricModifyPage.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/fabric/common.js"></SCRIPT>
<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />


<TITLE>ManageFabricModifyPage.jsp</TITLE>

<%
FacesContext fc = FacesContext.getCurrentInstance();
ManageFabric mf = (ManageFabric) com.ibm.scm.gui.ifs.session.util.FacesUtil.getFacesManagedBean(pagecode.ManagedBean.MANAGE_FABRIC_PAGE_CODE);
ManageFabricBean mfb = mf.getManageFabricBean();

// Get the bundle
ResourceBundle bundle = ResourceBundle.getBundle("com.ibm.scm.gui.rbce.nls.GWMSBL",fc.getExternalContext().getRequestLocale());
%>

<SCRIPT>
<% 
// If there are no available switches, dont try to get the active index
if(mf.getSwitches().length != 0)
{
%>
var activeIndex = '<%= mf.getWorkingSwitch().getActiveConfigurationIndex() %>';
<%
}
%>
var backupServletPath = '<%=path%>/faces/ManageFabricBackupConfigurationServlet';
</SCRIPT>

</HEAD>
<f:view>
	<BODY>
	
	<hx:scriptCollector id="scriptCollector_ID" preRender="#{pc_ManageFabricModifyPage.onPageLoadBegin}">

	<jsp:include page="/page/rbce/common/InnerMessages.jsp"></jsp:include>
	
	<!-- ------------------------------------------ NO SWITCHES ---------------------------------------------- -->
	<% 
	// If there are no available switches in the selected Chassis
	if(mf.getSwitches().length == 0)
	{
	%>
		<h:outputFormat id="manageFabricEditNoSwitchesAvailable" styleClass="dmc_outputText" value="#{bundle.ManageFabric_EditNoSwitchesAvailable}"></h:outputFormat>
		
		<BR/>
		<BR/>
		
		<h:outputLink id="viewAllSwitches_Link_ID" value="/faces/page/viewswitches/ViewAllSwitches.jsp" >
			<h:outputFormat id="backLink" styleClass="dmc_outputText"  value="#{bundle.ManageFabric_Title}"></h:outputFormat>
		</h:outputLink>
	<%
	}
	else
	{
	%>
	
	<TABLE>
		<TBODY>
			<TR>
				<TD valign="top">
					<scmc:scmJspPanel id="panel_working_configuration">
					<IMG src="<%=path%>/images/fabric/working_configuration.gif" alt="#{bundle.ManageFabric_WorkingConfiguration}"/>
					</scmc:scmJspPanel>
				</TD>
				
				<TD valign="top">
					<h:outputFormat id="manageFabric_WorkingConfiguration_ID" styleClass="dmc_outputTextB" value="#{bundle.ManageFabric_WorkingConfiguration}"></h:outputFormat>
					<BR/>
					<BR/>
					<h:outputFormat id="manageFabricBean_workingConfiguration_name_ID" styleClass="dmc_outputText" value="#{manageFabricBean.workingConfiguration.name}"></h:outputFormat> 
					
					<BR/>
					<BR/>
					
					<h:outputFormat id="ManageFabric_Description_ID" styleClass="dmc_outputTextB" value="#{bundle.ManageFabric_Description}:"></h:outputFormat> 
					<h:outputFormat id="manageFabricBean_workingConfiguration_description_ID" styleClass="dmc_outputText" value="#{manageFabricBean.workingConfiguration.description}"></h:outputFormat>
					
					<BR/>
					
					<h:outputFormat id="manageFabric_LastSaved_ID" styleClass="dmc_outputTextB" value="#{bundle.ManageFabric_LastSaved}:"></h:outputFormat> 
					
					<%
					if(mf.existsSwtich(3))
					{
					%>
					<h:outputFormat id="manageFabric_IOBay3_ID" styleClass="dmc_outputText" value="#{bundle.ManageFabric_IOBay3}"></h:outputFormat> - 
					<SPAN class="dmc_outputText"><%= (mfb.getWorkingConfiguration() == null)?"":mf.getSwitch(3).getZoneDescriptor(mfb.getWorkingConfiguration().getIndex()).getLastSaveDate() %></SPAN>
					<%
					}
					%>
					
					<%
					// Show a coma if you have both
					if(mf.existsSwtich(3) && mf.existsSwtich(4))
					{
					%>
					, 
					<%
					}
					%>
					
					<%
					if(mf.existsSwtich(4))
					{
					%>
					<h:outputFormat id="ManageFabric_IOBay4_ID" styleClass="dmc_outputText" value="#{bundle.ManageFabric_IOBay4}"></h:outputFormat> - 
					<SPAN class="dmc_outputText"><%= (mfb.getWorkingConfiguration() == null)?"":mf.getSwitch(4).getZoneDescriptor(mfb.getWorkingConfiguration().getIndex()).getLastSaveDate() %></SPAN>
					<%
					}
					%> 
				</TD>
			</TR>
			<TR>
				<TD>
					&nbsp;
				</TD>
				<TD>
					<h:commandButton type="button" id="clearConfigurationButton" styleClass="dmc_commandExButton" onclick="clearConfig();" value="#{bundle.ManageFabric_ClearConfiguration}"></h:commandButton>
				</TD>
			</TR>
		</TBODY>
	</TABLE>
	
	<HR/>
	
	<!-- ---------------------------------------------- LOADING DIV AND EDITOR FRAME --------------------------------------------- -->
	<DIV id="editorLoadingDiv" style='display: block'>
		<TABLE>
			<TBODY>
				<TR>
					<TD colspan="3" height="25%">&nbsp;</TD>
				</TR>
				<TR>
					<TD><IMG border="0" src="<%=path%>/images/sort_of_slow_progress_bar.gif" alt='' /></TD>
					<TD>&nbsp;</TD>
					
					<TD align="left">
						<h:outputText id="Loading_Page_Text_ID" styleClass="dmc_outputText" value="#{bundle.Loading_Page}">
						</h:outputText>
					</TD>
				</TR>
				<TR>
					<TD colspan="3" height="25%">&nbsp;</TD>
				</TR>
			</TBODY>
		</TABLE>
	</DIV>
	<scmc:scmJspPanel id="panel_iframe_editor">
	<IFRAME name="editorFrame" title="#{bundle.Fabric_Editor_Frame_Title}" id="editorFrame" width="100%" frameborder="0" src="<%=path%>/faces/page/rbce/fabric/ManageFabricEditor.jsp" onload="editorFrameLoaded(); resizeFrameHeight(this.id, this.name); resizeFrameWidth(this.id, this.name)" scrolling="no"></IFRAME>
	</scmc:scmJspPanel>
	<HR/>
	
	<!-- ------------------------------------ BOTTOM ACTION BUTTONS -------------------------------------------------- -->
	<h:form id="cancelForm" target="_parent">
	
	<hx:commandExButton id="saveButton" styleClass="dmc_commandExButton" value="#{bundle.ManageFabric_Save}" disabled="#{manageFabricBean.workingConfiguration.canned}"></hx:commandExButton>
	
	<hx:commandExButton id="saveAsButton" styleClass="dmc_commandExButton" value="#{bundle.ManageFabric_SaveAs}"></hx:commandExButton>

	<hx:commandExButton id="mainCancel" styleClass="dmc_commandExButton" value="#{bundle.Cancel}" action="#{pc_ManageFabric.cancel}"></hx:commandExButton>
	
	</h:form>
	
	<SCRIPT>
		// Disable all buttons
		disableControlButtons();
	</SCRIPT>
	
	<!-- ----------------------------------------------------------- SAVE MODAL ---------------------------------------------------------------------- -->
	<h:form id="saveModalForm" style="margin: 0px; padding: 0px;" target="_parent">
		
	<hx:panelDialog onshow="saveModalOnshow();focusDialog(this,event);" style="width: 500px" id="saveModal" styleClass="dmc_panelDialog" showTitleCloseButton="false" for="saveButton" title="#{bundle.ManageFabric_SaveModalTitle}">
	
	<TABLE width="100%" style="padding-left: 5px;padding-right: 5px">
		<TBODY>
			<TR>
				<TD valign="top" style="padding-right: 15px;">
					<h:outputFormat id="ManageFabricConfigurationStoreID" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfigurationStore}:"></h:outputFormat>
				</TD>
				<TD valign="top">
					<h:outputFormat id="manageFabricBean_workingConfiguration_index_ID" styleClass="dmc_outputText" value="#{manageFabricBean.workingConfiguration.index}"></h:outputFormat>
				</TD>
			</TR>
			<TR>
				<TD valign="top" style="padding-right: 15px;">
					<%
					// Singular vs plural for the word switch
					if(mf.getSwitches().length > 1)
					{
					%>
					<h:outputFormat id="ManageFabric_Switches_ID" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Switches}:"></h:outputFormat> 
					<%
					}
					else
					{
					%>
					<h:outputFormat id="ManageFabricSwitcheID" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Switch}:"></h:outputFormat> 
					<%
					}
					%>
				</TD>
				<TD valign="top">
					<h:outputFormat id="displayName_ID" styleClass="dmc_outputText" value="#{manageFabricBean.switches[0].displayName}"></h:outputFormat>
					<%
					if(mf.getSwitches().length > 1)
					{
					%>
					<BR/>
					<h:outputFormat id="displayName_ID2" styleClass="dmc_outputText" value="#{manageFabricBean.switches[1].displayName}"></h:outputFormat>
					<%
					}
					%>
				</TD>
			</TR>
			<TR>
				<TD colspan="2">
					<BR/>
				
					<h:outputFormat id="ManageFabric_SaveInstructions_ID" styleClass="dmc_outputText" value="#{bundle.ManageFabric_SaveInstructions}"></h:outputFormat>
					
					<BR/>
					<BR/>
				</TD>			
			</TR>
			<TR>
				<hx:jspPanel id="panel_saveModalConfigurationNickname">
				<TD valign="top" style="padding-right: 15px;">
				<h:outputLabel for="saveModalConfigurationNickname" id="label_saveModalConfigurationNickname" styleClass="dmc_outputText">
					<h:outputFormat id="ManageFabric_Nickname_ID" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Nickname_Limit}"></h:outputFormat>
				</h:outputLabel>
				</TD>
				<TD  valign="top">
					<h:inputText styleClass="dmc_outputText" id="saveModalConfigurationNickname" maxlength="24" value="#{manageFabricBean.workingConfiguration.name}"></h:inputText>
					<BR/>
					<strong>
					<h:outputText id="saveCfgError" style="display:none" styleClass="dmc_message" value="#{bundle.ManageFabric_nickName_ErrMsg}"></h:outputText>
					</strong>
				</TD>
				</hx:jspPanel>
			</TR>
			<TR>
				<hx:jspPanel id="panel_saveModalConfigurationDescription">
				<TD valign="top" style="padding-right: 15px; padding-top: 10px;">
				<h:outputLabel for="saveModalConfigurationDescription" id="label_saveModalConfigurationDescription" styleClass="dmc_outputText">
					<h:outputFormat id="ManageFabric_Description_ID2" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Description_Limit}"></h:outputFormat>					
				</h:outputLabel>
				</TD>
				<TD  valign="top" style="padding-top: 10px;">
					<h:inputTextarea onkeyup="limitInput(this, 255)" onblur="limitInput(this, 255)" styleClass="dmc_outputText" id="saveModalConfigurationDescription" rows="3" cols="35" value="#{manageFabricBean.workingConfiguration.description}"></h:inputTextarea>
					<BR/>
					<strong>
					<h:outputText id="saveCfgDescError" style="display:none" styleClass="dmc_message" value="#{bundle.ManageFabric_nickName_ErrMsg}"></h:outputText>
					</strong>
				</TD>
				</hx:jspPanel>
			</TR>
			<TR height="10"><TD colspan="2"></TD></TR>
			<TR>
				<TD style="padding-right: 15px; padding-top: 10px;" align="left" colspan="2">
					<hx:commandExButton id="saveModalOK" value="#{bundle.OK}" styleClass="dmc_commandExButton" onclick="return validationSaveCfgInput();"></hx:commandExButton>
					
					<hx:commandExButton id="Cancel_Button_ID" styleClass="dmc_commandExButton" type="button" value="#{bundle.Cancel}">
						<hx:behavior id="Cancel_Button_ID_behavior_ID" event="onclick" targetAction="saveModal" behaviorAction="HIDE;STOP"/>
					</hx:commandExButton>
				</TD>
			</TR>
			<TR height="10"><TD colspan="2"></TD></TR>				
		</TBODY>
	</TABLE>	
	</hx:panelDialog>
	
	<!-- ----------------------------------------------------------- CONFIRM SAVE MODAL ---------------------------------------------------------------------- -->
	<hx:panelDialog style="width: 400px" id="confirmSaveModal" styleClass="dmc_panelDialog" showTitleCloseButton="false" for="saveModalOK" title="#{bundle.ConfirmationMessage}" onshow="focusDialog(this,event);">
	
	<TABLE width="100%" cellpadding="0" cellspacing="0" border="0" style="padding-left: 5px;padding-right: 5px">
		<TBODY>
		<TR height="10"><TD></TD></TR>
		<TR>
			<TD valign="top" align="left" width="10%">
				<scmc:scmJspPanel id="confirm_save_modal_image_panel">
					<IMG id="confirm_msg_img" src="<%=path%>/images/status/statusUnknown_obj30.gif" title="#{bundle.Image_Confirm}" alt="#{bundle.Image_Confirm}" />
				</scmc:scmJspPanel>
			</TD>
			<TD width="90%">
				<%
				// Singular vs plural for the word switch
				if(mf.getSwitches().length > 1)
				{
				%>
				<h:outputFormat id="ManageFabric_ConfirmSavePlural_ID" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfirmSavePlural}">
					<f:param name="0" value="#{manageFabricBean.workingConfiguration.index}"></f:param>
					<f:param name="0" value="#{manageFabricBean.switches[0].displayName}"></f:param>
					<f:param name="0" value="#{manageFabricBean.switches[1].displayName}"></f:param>
				</h:outputFormat> 
				<%
				}
				else
				{
				%>
				<h:outputFormat id="ManageFabric_ConfirmSaveSingular_ID" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfirmSaveSingular}">
					<f:param name="0" value="#{manageFabricBean.workingConfiguration.index}"></f:param>
					<f:param name="0" value="#{manageFabricBean.switches[0].displayName}"></f:param>
				</h:outputFormat> 
				<%
				}
				%>            
                        
				<%
				if(mfb.getWorkingConfiguration() != null && mfb.getWorkingConfiguration().getIndex() == mf.getWorkingSwitch().getActiveConfigurationIndex())
				{
				%>								
				<TABLE>
				<TBODY>
					<TR height="10"><TD></TD></TR>
					<TR>
					<TD valign="top">
						<IMG src="<%=path%>/images/status/status_warning16.gif" alt="<%=com.ibm.scm.gui.rbce.base.util.SCMUtils.formatLabel(com.ibm.scm.gui.rbce.nls.GWMSBL.Image_Warning, null)%>"/>
					</TD>
					<TD valign="top">
						<h:outputFormat id="workingEqualsActive" styleClass="dmc_outputText" value="#{bundle.ManageFabric_SaveActiveNote}"></h:outputFormat>
					</TD>
					</TR>
				</TBODY>
				</TABLE>  
				<% 
				}
				%>          
            
			</TD>
		</TR>
		<TR height="10"><TD></TD></TR>
		<TR>
			<TD colspan="2">
			<TABLE>
			<TR>
				<TD>
				<%
				if(mfb.getWorkingConfiguration() != null && mfb.getWorkingConfiguration().getIndex() == mf.getWorkingSwitch().getActiveConfigurationIndex())
				{
				%>		
				<hx:commandExButton type="button" onclick="submitForm(this,'saveModalForm:saveActiveSumitBtn','saveModalForm:saveActiveCancelBtn');" id="confirmSaveAndActivateModalOK" value="#{bundle.OK}"  styleClass="dmc_commandExButton">
				</hx:commandExButton>	
				<hx:commandExButton onclick="alreadyConfirmed=true;showProgressIndicator('spinningDiv');" style="display:none" id="saveActiveSumitBtn" value="#{bundle.OK}" action="#{pc_ManageFabric.saveAndActivateConfiguration}">
				</hx:commandExButton>	
				<% 
				} else {
				%>
				<hx:commandExButton onclick="submitForm(this,'saveModalForm:SaveSubmitBtn','saveModalForm:saveActiveCancelBtn');" type="button" id="confirmSaveModalOK" value="#{bundle.OK}"  styleClass="dmc_commandExButton">
				</hx:commandExButton>	
				<hx:commandExButton onclick="alreadyConfirmed=true;showProgressIndicator('spinningDiv');" style="display:none" id="SaveSubmitBtn" value="#{bundle.OK}" action="#{pc_ManageFabric.saveConfiguration}">
				</hx:commandExButton>	
				<%
				}
				%>		
				<hx:commandExButton id="saveActiveCancelBtn" styleClass="dmc_commandExButton" type="button" value="#{bundle.Cancel}">
					<hx:behavior id="saveActiveCancelBtn_behavior_ID" event="onclick" targetAction="confirmSaveModal" behaviorAction="HIDE;STOP"/>
				</hx:commandExButton>		
				</TD>
				<TD><div id="spinningDiv" style="visibility:visible"></div></TD>
			</TR>
			</TABLE>
			</TD>
		</TR>
		<TR height="10"><TD></TD></TR>
		</TBODY>
	</TABLE>
	</hx:panelDialog>
	
	</h:form>
	
	<!-- ----------------------------------------------------------- SAVE AS MODAL ---------------------------------------------------------------------- -->
	<h:form id="saveAsModalForm" style="margin: 0px; padding: 0px;" target="_parent">
		
	<hx:panelDialog onshow="saveAsModalOnshow();focusDialog(this,event);" style="width: 500px" id="saveAsModal" styleClass="dmc_panelDialog" showTitleCloseButton="false" for="saveAsButton" title="#{bundle.ManageFabric_SaveAsModalTitle}">
	
	<TABLE width="100%" style="padding-left: 5px;padding-right: 5px">
		<TBODY>
			<TR>
			<hx:jspPanel id="panel_saveAsModalFormnonCannedConfigurationIndexMenu">
				<TD valign="top" style="padding-right: 15px;">
				<label for="saveAsModalForm:nonCannedConfigurationIndexMenu" styleClass="dmc_outputText">
					<h:outputFormat id="nonCannedConfigurationIndexMenu_ManageFabric_ConfigurationStore_ID" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfigurationStore}:"></h:outputFormat>
				</label>
				</TD>
				<TD valign="top">
					
					<SELECT name="saveAsModalForm:nonCannedConfigurationIndexMenu" id="saveAsModalForm:nonCannedConfigurationIndexMenu" class="dmc_selectOneMenu">
					<%
					SelectItem[] items = mf.getNonCannedIndexSelectItems();
					
					for(int x = 0; x < items.length; x++)
					{
					%>
					<OPTION value="<%= items[x].getValue() %>"><%= items[x].getLabel() %></OPTION>
					<%
					}
					%>
					</SELECT>
					<input id="saveAsModalForm:selectedIndex" type="hidden" 
					name="saveAsModalForm:selectedIndex" value=""/>
					
				</TD>
				</hx:jspPanel>
			</TR>
			<TR>
				<TD valign="top" style="padding-right: 15px;">
					<%
					// Singular vs plural for the word switch
					if(mf.getSwitches().length > 1)
					{
					%>
					<h:outputFormat id="mf_ManageFabric_Switches_ID" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Switches}:"></h:outputFormat> 
					<%
					}
					else
					{
					%>
					<h:outputFormat id="mf_ManageFabric_Switch_ID" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Switch}:"></h:outputFormat> 
					<%
					}
					%>
				</TD>
				<TD valign="top">
					<h:outputFormat id="manageFabricBean_switches0_displayName_ID" styleClass="dmc_outputText" value="#{manageFabricBean.switches[0].displayName}"></h:outputFormat>
					<%
					if(mf.getSwitches().length > 1)
					{
					%>
					<BR/>
					<h:outputFormat id="manageFabricBean_switches0_displayName_ID2" styleClass="dmc_outputText" value="#{manageFabricBean.switches[1].displayName}"></h:outputFormat>
					<%
					}
					%>
				</TD>
			</TR>
			<TR>
				<TD colspan="2">
					<BR/>
				
					<h:outputFormat id="ManageFabric_Save_Instructions_ID" styleClass="dmc_outputText" value="#{bundle.ManageFabric_SaveInstructions}"></h:outputFormat>
					
					<BR/>
					<BR/>
				</TD>			
			</TR>
			<TR>
				<hx:jspPanel id="panel_saveAsModalConfigurationNickname">
				<TD valign="top" style="padding-right: 15px;">
				<h:outputLabel for="saveAsModalConfigurationNickname" id="label_saveAsModalConfigurationNickname" styleClass="dmc_outputText">
					<h:outputFormat id="Manage_Fabric_Nickname_ID" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Nickname_Limit}"></h:outputFormat>					
				</h:outputLabel>
				</TD>
				<TD  valign="top">
					<h:inputText  styleClass="dmc_outputText" id="saveAsModalConfigurationNickname" maxlength="24" value="#{pc_ManageFabric.saveAsConfigurationNickname}"></h:inputText>
					<BR/>
					<strong>
					<h:outputText id="saveAsCfgError" style="display:none" styleClass="dmc_message" value="#{bundle.ManageFabric_nickName_ErrMsg}"></h:outputText>
					</strong>
				</TD>
				</hx:jspPanel>
			</TR>
			<TR>
				<hx:jspPanel id="panel_saveAsModalConfigurationDescription">
				<TD valign="top" style="padding-right: 15px; padding-top: 10px;">
				<h:outputLabel for="saveAsModalConfigurationDescription" id="label_saveAsModalConfigurationDescription" styleClass="dmc_outputText">
					<h:outputFormat id="ManageFabric_Description_ID11" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Description_Limit}"></h:outputFormat>					
				</h:outputLabel>
				</TD>
				<TD  valign="top" style="padding-top: 10px;">
					<h:inputTextarea onkeyup="limitInput(this, 255)" onblur="limitInput(this, 255)" styleClass="dmc_outputText" id="saveAsModalConfigurationDescription" rows="3" cols="35" value="#{pc_ManageFabric.saveAsConfigurationDescription}"></h:inputTextarea>
					<BR/>
					<strong>
					<h:outputText id="saveAsCfgDescError" style="display:none" styleClass="dmc_message" value="#{bundle.ManageFabric_nickName_ErrMsg}"></h:outputText>
					</strong>
				</TD>
				</hx:jspPanel>
			</TR>
			<TR height="10"><TD colspan="2"></TD></TR>	
			<TR>
				<TD valign="top" style="padding-right: 15px; padding-top: 10px;" colspan="2">
					<hx:commandExButton id="saveAsModalOK" value="#{bundle.OK}" styleClass="dmc_commandExButton" onclick="return validationSaveAsCfgInput()" action=""></hx:commandExButton>
					
					<hx:commandExButton id="Cancel_Button_ID11" styleClass="dmc_commandExButton" type="button" value="#{bundle.Cancel}">
						<hx:behavior id="Cancel_Button_ID11_behavior_ID" event="onclick" targetAction="saveAsModal" behaviorAction="HIDE;STOP"/>
					</hx:commandExButton>
				</TD>
			</TR>
			<TR height="10"><TD colspan="2"></TD></TR>	
		</TBODY>
	</TABLE>	
	</hx:panelDialog>
		
	<!-- ----------------------------------------------------------- CONFIRM SAVE AS MODAL ---------------------------------------------------------------------- -->
	<hx:panelDialog style="width: 400px" id="confirmSaveAsModal" styleClass="dmc_panelDialog" showTitleCloseButton="false" for="saveAsModalOK" title="#{bundle.ConfirmationMessage}" onshow="focusDialog(this,event);">
	
	<TABLE width="100%" cellpadding="0" cellspacing="0" border="0" style="padding-left: 5px;padding-right: 5px">
		<TBODY>
		<TR height="10"><TD></TD></TR>
		<TR>
			<TD valign="top" align="left" width="10%">
				<scmc:scmJspPanel id="confirm_saveas_modal_image_panel">
					<IMG id="confirm_msg_img2" src="<%=path%>/images/status/statusUnknown_obj30.gif" title="#{bundle.Image_Confirm}" alt="#{bundle.Image_Confirm}" />
				</scmc:scmJspPanel>
			</TD>
			<TD width="90%">
				<%
				// Singular vs plural for the word switch
				if(mf.getSwitches().length > 1)
				{
				%>
				<h:outputFormat id="ManageFabric_ConfirmSaveAsPlural_ID11" escape="false" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfirmSaveAsPlural}">
					<f:param name="0" value="#{manageFabricBean.switches[0].displayName}"></f:param>
					<f:param name="1" value="#{manageFabricBean.switches[1].displayName}"></f:param>
				</h:outputFormat> 
				<%
				}
				else
				{
				%>
				<h:outputFormat id="ManageFabric_ConfirmSaveAsSingular_ID11" escape="false" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfirmSaveAsSingular}">
					<f:param name="0" value="#{manageFabricBean.switches[0].displayName}"></f:param>
				</h:outputFormat> 
				<%
				}
				%> 
									
				<DIV id="saveAsEqualsActive">				
					<TABLE>
					<TBODY>
						<TR height="10"><TD></TD></TR>
						<TR>
						<TD valign="top">
							<IMG src="<%=path%>/images/status/status_warning16.gif" alt="<%=com.ibm.scm.gui.rbce.base.util.SCMUtils.formatLabel(com.ibm.scm.gui.rbce.nls.GWMSBL.Image_Warning, null)%>"/>
						</TD>
						<TD valign="top">
							<h:outputFormat id="workingAsEqualsActive" styleClass="dmc_outputText" value="#{bundle.ManageFabric_SaveAsActiveNote}"></h:outputFormat>
						</TD>
						</TR>
					</TBODY>
					</TABLE>				
				</DIV>			           
			</TD>
		</TR>
		<TR height="10"><TD></TD></TR>
		<TR>
			<TD colspan="2">
			<TABLE>
			<TR>
				<TD>
					<hx:commandExButton onclick="submitForm(this,'saveAsModalForm:confirmSaveAsSubmitBtn','saveAsModalForm:saveAsModelCancelBtn');" id="confirmSaveAsModalOK" value="#{bundle.OK}" type="button" styleClass="dmc_commandExButton">
					</hx:commandExButton>
					<hx:commandExButton onclick="showProgressIndicator('spinningDiv_confirmSaveAsModal');alreadyConfirmed=true;" style="display:none" id="confirmSaveAsSubmitBtn" value="#{bundle.OK}" action="#{pc_ManageFabric.saveConfigurationAs}">
					</hx:commandExButton>
					
					<hx:commandExButton id="saveAsModelCancelBtn" styleClass="dmc_commandExButton" type="button" value="#{bundle.Cancel}">
						<hx:behavior id="saveAsModelCancelBtn_behavior_ID" event="onclick" targetAction="confirmSaveAsModal" behaviorAction="HIDE;STOP"/>
					</hx:commandExButton>
				</TD>
				<TD><div id="spinningDiv_confirmSaveAsModal" style="visibility:visible"></div></TD>
			<TR>
			</TABLE>
			</TD>
		</TR>
		<TR height="10"><TD></TD></TR>
		</TBODY>
	</TABLE>
		
	</hx:panelDialog>
		
	</h:form>
	
	<h:form id="hiddenForm">
	<!-- ----------------------   NLS messages for navigate away prompts ------------------------------->
	<h:inputHidden id='navigateAwayNLSMessage' value="#{pc_ManageFabric.navigateAwayNLSMessage}"></h:inputHidden>
	</h:form>
	
	<%
		// End of else block on no switches condition
	}
	%>
	
	</hx:scriptCollector>
	
	</BODY>
</f:view>
</HTML>
