<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/fabric/RestoreConfigurationStep1.java" --%><%-- /jsf:pagecode --%>
<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>
<%@ include file="/page/rbce/common/HeaderPortlet.jsp"%>

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>


<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" import="javax.faces.context.FacesContext"%>


<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">
<LINK rel="stylesheet" type="text/css" href="<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/css/dmcsbstyle.css")%>" title="Style">
<LINK rel="stylesheet" type="text/css" href="<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/css/dmcsbtables.css")%>" title="Style">
<LINK rel="stylesheet" type="text/css" href="<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/css/stylesheet.css")%>" title="Style">

<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />

<SCRIPT type="text/javascript" src="<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/rbce/fabric/RestoreConfigurationStep1.js")%>"></SCRIPT>

<TITLE>RestoreConfigurationStep1.jsp</TITLE>

</HEAD>
<f:view>
	<BODY> 
	<hx:scriptCollector id="restoreConfigurationStep1ScriptCollector" preRender="#{pc_RestoreConfigurationStep1.onPageLoadBegin}">
		
	<h:outputFormat id="title" styleClass="dmc_outputTextTitle" value="#{pc_RestoreConfigurationStep1.pageTitle}"></h:outputFormat> 
	<BR />
	<h:outputFormat id="instructions" styleClass="dmc_outputText" value="#{pc_RestoreConfigurationStep1.pageInstructions}"></h:outputFormat>
	<HR/>

	<h:form id="restoreForm">
	
	<jsp:include page="/page/rbce/common/InnerMessages.jsp"></jsp:include>	
	
	<!--<h:outputFormat id="restoreConfigurationStep1Title" styleClass="dmc_outputTextB" value="#{bundle.ManageFabric_Step1}"></h:outputFormat>-->
	
	<BR />
	
	<h:outputFormat id="restoreConfigurationStep1SpecifyFile" styleClass="dmc_outputText" value="#{bundle.ManageFabric_SpecifyFile}:"></h:outputFormat>
	
	<BR>
	<IFRAME name="uploadFileFrame" title="upload" id="uploadFileFrame" width="100%" height="30" marginwidth="0" marginheight="0" frameborder="0" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/faces/page/rbce/fabric/RestoreConfigurationUpload.jsp")%>' onload="lazyUpdateNext()" scrolling="no"></IFRAME>	
	<h:outputFormat id="restoreConfigurationStep2Title" styleClass="dmc_outputTextB" value="#{bundle.ManageFabric_Step2}"></h:outputFormat>
	<BR />
	<BR />	
	
	<hx:jspPanel id="panel_switchMenu">
	<h:outputLabel for="switchMenu" id="label_switchMenu" styleClass="dmc_outputText">
    <h:outputFormat id="restoreConfigurationStep1SelectedSwitchLabel" styleClass="dmc_outputText" value="#{bundle.ManageFabric_SelectSwitch}:"></h:outputFormat>
	</h:outputLabel>
	<BR />
	
	<h:selectOneMenu id="switchMenu" value="#{pc_RestoreConfigurationStep1.selectedSwitchID}" styleClass="dmc_selectOneMenu">
		<f:selectItems value="#{pc_RestoreConfigurationStep1.swichSelectItems}" />	
	</h:selectOneMenu>
	</hx:jspPanel>
	<BR />
	<BR />
	
	
	<hx:commandExButton id="nextButton" styleClass="dmc_commandExButton" value="#{bundle.ManageFabric_Next}" onclick="return uploadFileAndClickNext()" ></hx:commandExButton>
	<hx:commandExButton id="cancelButton" styleClass="dmc_commandExButton" value="#{bundle.Cancel}" action="#{pc_RestoreConfigurationStep1.cancel}"></hx:commandExButton>
	
	<hx:commandExButton id="hiddenNextButton" styleClass="dmc_commandExButton" style="display: none;" value="" action="#{pc_RestoreConfigurationStep1.next}" ></hx:commandExButton>
	
	<!-- Determines the next step (types are single and all) -->
	
	<h:inputHidden id="restoreType" value="#{pc_RestoreConfigurationStep1.restoreType}"/>
	
	<!-- Hidden input for the selected file path -->
	<INPUT type="hidden" id="filePath" name="filePath" value="">
	
	</h:form>
	
	</hx:scriptCollector>
	</BODY>
</f:view>
</HTML>
