<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/rbce/ras/AuditLog.java" --%><%-- /jsf:pagecode --%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />
<META http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<META name="GENERATOR" content="IBM Software Development Platform" />
<META http-equiv="Content-Style-Type" content="text/css" />
<%@ include file="/page/rbce/common/Header.jsp"%>
<BASE href="<%=basePath%>" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbstyle.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbtables.css" title="Style" />
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/ras/ras.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/templates/template_common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/InnMessages.js"></SCRIPT>

<TITLE>AuditLog</TITLE>

<f:view>
	<BODY onload="customOnLoad()" >
		<hx:scriptCollector id="collector"  preRender="#{pc_AuditLog.onPageLoadBegin}">
		<jsp:include page="/page/rbce/common/InnMessages.jsp">
			<jsp:param name="SCM_MSGHOLDERKEY_PARAM" value="AuditLog" />
		</jsp:include>
			<h:form id="myForm" styleClass="dmc_outputText" onsubmit="return submitUtilReference.submitBlocker(event);" onkeydown="return submitUtilReference.submitHandler(event);">
				<jsp:include page="/page/rbce/common/SubmitRestrict.jsp">
					<jsp:param name="ENTER_SUBMIT_ID" value="" />
				</jsp:include>	
					<hx:commandExButton type="button" style="display:none" id="onloadBehaviorBtn">
						<hx:behavior id="onloadBehaviorBtn_behavior_ID" event="onclick" behaviorAction="get;stop" targetAction="ajaxpanel" onActionFunction="disableRefreshButton(true)" />
					</hx:commandExButton> 				
				<table width="100%">
					<tr>
						<td align="left" valign="top" width="70%">
								<!--<h:outputText styleClass="dmc_outputTextTitle" value="#{bundle.AuditLog_Title}"></h:outputText>--> 
						</td>
						<td align="right" width="30%" valign="top" style="white-space:nowrap;">							
						</td>
					</tr>
					<tr>
						<td colspan="2">							
								<h:outputText id="AuditLog_Description_ID" styleClass="dmc_outputText" value="#{bundle.AuditLog_Description}"></h:outputText>
						</td>
					</tr>
				</table>
				<HR />
				
				<TABLE width="100%">
					<TBODY>
						<TR>
							<TD align="right">
								<hx:outputLinkEx target="_blank" style="color: #0000FF;text-decoration:none;"
									id="support_link"
									value="http://www.ibm.com/systems/support/bladecenter">
									<h:outputText id="support_link_text" styleClass="dmc_outputText"
										value="#{bundle.IBMSupport}"></h:outputText>
								</hx:outputLinkEx>
							</TD>
						</TR>
						<TR>
							<TD align="right"> 
								<h:outputText styleClass="dmc_outputText" id="textRefresh"
									value="#{bundle.Last_Refresh}"></h:outputText> 
								<span id="templ_date" class="dmc_outputText"> </span>
								<h:outputText styleClass="dmc_outputText" id="textRefresh_hint" style="display:none"
									value="#{bundle.Refreshing}"></h:outputText> 
							</TD>
						</TR>
						<TR>
							<TD align="right">
								<hx:commandExButton type="reset"
									value="#{bundle.Button_Refresh}" disabled="true"
									styleClass="dmc_commandExButton" id="refreshBtn">
									<hx:behavior id="refreshBtn_behavior_ID" event="onclick" behaviorAction="get;stop" targetAction="ajaxpanel" onActionFunction="clearAllInnMessages();disableRefreshButton(true); displayMainContents(false);" />
								</hx:commandExButton>
							</TD>
						</TR>
					</TBODY>
				</TABLE>
					
				<div id="request_div">	
								
				<BR/>
					<h:panelGroup id="ajaxpanel" >		
				 	<hx:ajaxRefreshRequest id="ajaxpanel_Request_ID" onerror="commonAjaxOnError();" 
						oncomplete="innerMessagesInstance.display();disableRefreshButton(false);setLastRefreshStamp();displayMainContents(true);beepWhenRefresh();alignHeaderTableAndContentTable('headerTableDivId','auditLogTable');"/>
					  <hx:jspPanel id="auditJspPanel">		
								<TABLE border="0" cellpadding="0" cellspacing="0" width="100%" class="dmc_dataTable">
									<TR>
											<TD align="left" valign="top" bgcolor="#FFFFFF">
												<h:outputText id="auditLogNoRecordsDesc"
											value="#{bundle.AuditLog_No_Records_Description}"
											styleClass="dmc_outputText"
											rendered="#{pc_AuditLog.auditLogPageBean._noRecords && pc_AuditLog.auditLogPageBean.ajaxed}">
										</h:outputText>
														<hx:graphicImageEx id="waiting_image"
															rendered="#{!pc_AuditLog.auditLogPageBean.ajaxed}"
															value="/images/sort_of_slow_progress_bar.gif" 
															title="#{bundle.Image_Waiting}" alt="#{bundle.Image_Waiting}" align="middle" hspace="10"
															vspace="10"></hx:graphicImageEx>
														<h:outputText id="waiting_text" value="#{bundle.AuditLog_Loading}" rendered="#{!pc_AuditLog.auditLogPageBean.ajaxed}" styleClass="dmc_outputText"></h:outputText>										
											</TD>
									</TR>
									<hx:jspPanel id="auditLogTableHeader_Panel_ID" rendered="#{pc_AuditLog.auditLogPageBean.ajaxed}">
									<TR>
										<TD bgcolor="#FFFFFF">										
										<div id="headerTableDivId" bgcolor="#FFFFFF" class="scm_DataTableHeaderDiv">
										<hx:dataTableEx border="0" cellpadding="0" cellspacing="0" style="border-top: 0px; border-bottom: 0px; table-layout: fixed;"
											headerClass="dmc_headerClass" footerClass="dmc_footerClass"
											rowClasses="dmc_rowClass1,dmc_rowClass2"  
											id="auditLogTableHeader" width="100%" 
											rendered="#{pc_AuditLog.auditLogPageBean.ajaxed && !pc_AuditLog.auditLogPageBean._noRecords }">
											<hx:columnEx id="auditLogCol1_1">
												<f:facet name="header">
													<h:outputText id="auditLogColTitle1"
														styleClass="dmc_outputText"
														value="#{bundle.AuditLog_Message_ID}"></h:outputText>
												</f:facet>
												<f:attribute value="12%" name="width" />
											</hx:columnEx>
											<hx:columnEx id="auditLogCol2_1">
												<f:facet name="header">
													<h:outputText id="auditLogColTitle2"
														styleClass="dmc_outputText"
														value="#{bundle.Date_and_Time}"></h:outputText>
												</f:facet>
												<f:attribute value="13%" name="width" />
											</hx:columnEx>
											<hx:columnEx id="auditLogCol3_1" align="left">
												<f:facet name="header">
													<h:outputText id="auditLogColTitle3"
														styleClass="dmc_outputText"
														value="#{bundle.Device}"></h:outputText>
												</f:facet>
												<f:attribute value="20%" name="width" />
											</hx:columnEx>
											<hx:columnEx id="auditLogCol4_1">
												<f:facet name="header">
													<h:outputText id="auditLogColTitle4"
														styleClass="dmc_outputText"
														value="#{bundle.User_ID}"></h:outputText>
												</f:facet>
												<f:attribute value="10%" name="width" />
											</hx:columnEx>
											<hx:columnEx id="auditLogCol5_1">
												<f:facet name="header">
													<h:outputText id="auditLogColTitle5"
														styleClass="dmc_outputText"
														value="#{bundle.Description}"></h:outputText>
												</f:facet>
												<f:attribute value="45%" name="width" />
											</hx:columnEx>
										</hx:dataTableEx></div>
										</TD>
									</TR>									
									<TR>
										<TD bgcolor="#FFFFFF">
										<div style="width:100%;height:270;overflow-y:scroll;" id="contentTableScrollDiv">
										<hx:dataTableEx border="0" cellpadding="0" cellspacing="0" style="border-top: 0px; border-bottom: 0px; table-layout: fixed;"
											headerClass="dmc_headerClass scm_DataTable_Body_Header" footerClass="dmc_footerClass"
											rowClasses="dmc_rowClass1,dmc_rowClass2"  
											id="auditLogTable" width="100%"  summary="#{bundle.Table_Summary_Audit_Log}"
											value="#{pc_AuditLog.auditLogPageBean.auditLogBeans}"
											var="varAuditBean"
											rendered="#{pc_AuditLog.auditLogPageBean.ajaxed && !pc_AuditLog.auditLogPageBean._noRecords }">
											<hx:columnEx id="auditLogCol1_2">
												<f:facet name="header">
													<h:outputText id="auditLogColTitle1_tableHeader"
														styleClass="dmc_outputText"
														value="#{bundle.AuditLog_Message_ID}"></h:outputText>
												</f:facet>
												<h:outputText id="auditLogID" value="#{varAuditBean.id}"
													styleClass="dmc_outputText">
												</h:outputText>
												<f:attribute value="left" name="align" />
												<f:attribute value="12%" name="width" />
											</hx:columnEx>
											<hx:columnEx id="auditLogCol2_2">
												<f:facet name="header">
													<h:outputText id="auditLogColTitle2_tableHeader"
														styleClass="dmc_outputText"
														value="#{bundle.Date_and_Time}"></h:outputText>
												</f:facet>
												<h:outputText id="auditLogTimeStamps" value="#{varAuditBean.timeStamp}"
													styleClass="dmc_outputText">
												</h:outputText>
												<f:attribute value="left" name="align" />
												<f:attribute value="13%" name="width" />
											</hx:columnEx>
											<hx:columnEx id="auditLogCol3_2" align="left">
												<f:facet name="header">
													<h:outputText id="auditLogColTitle3_tableHeader"
														styleClass="dmc_outputText"
														value="#{bundle.Device}"></h:outputText>
												</f:facet>
												<h:outputText id="auditLogDevice" value="#{varAuditBean.device}"
													styleClass="dmc_outputText">
												</h:outputText>
												<f:attribute value="left" name="align" />
												<f:attribute value="20%" name="width" />
											</hx:columnEx>
											<hx:columnEx id="auditLogCol4_2">
												<f:facet name="header">
													<h:outputText id="auditLogColTitle4_tableHeader"
														styleClass="dmc_outputText"
														value="#{bundle.User_ID}"></h:outputText>
												</f:facet>
												<h:outputText id="auditLogUserID" value="#{varAuditBean.userId}"
													styleClass="dmc_outputText">
												</h:outputText>
												<f:attribute value="left" name="align" />
												<f:attribute value="10%" name="width" />
											</hx:columnEx>
											<hx:columnEx id="auditLogCol5_2">
												<f:facet name="header">
													<h:outputText id="auditLogColTitle5_tableHeader"
														styleClass="dmc_outputText"
														value="#{bundle.Description}"></h:outputText>
												</f:facet>
												<h:outputText id="auditLogDescription" value="#{varAuditBean.description}"
													styleClass="dmc_outputText">
												</h:outputText>
												<f:attribute value="left" name="align" />
												<f:attribute value="45%" name="width" />
												<f:attribute value="top" name="valign" />
											</hx:columnEx>
										</hx:dataTableEx></div>							
										</TD>
									</TR>
									</hx:jspPanel>
								</TABLE>
								</hx:jspPanel>
							</h:panelGroup>
				</div>
				<div id="progress_div" style="display:none">
					<hx:graphicImageEx id="refreshing_img" title="#{bundle.Image_Waiting}" alt="#{bundle.Image_Waiting}"
						value="/images/sort_of_slow_progress_bar.gif" align="middle" hspace="10"
						vspace="10"></hx:graphicImageEx>
					<h:outputText id="refreshing_txt" value="#{bundle.Refreshing_Data}" styleClass="dmc_outputText"></h:outputText>									
				</div>
			</h:form>					
			</hx:scriptCollector>
</BODY>
</f:view>
</HTML>
