<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/rbce/storage/AssociatedDisk.java" --%><%-- /jsf:pagecode --%>
<%-- tpl:insert page="/page/templates/ObjectProperties.jtpl" --%><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>
<%@ include file="/page/rbce/common/Header.jsp"%>
<BASE href="<%=basePath%>" />
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />
<META http-equiv="Content-Style-Type" content="text/css" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbstyle.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbtables.css" title="Style" />
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/templates/template_common.js"></SCRIPT>
<%-- tpl:put name="scriptarea" --%>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/storage/storage.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/InnMessages.js"></SCRIPT>
	<%-- /tpl:put--%>
<%-- tpl:put name="headarea" --%>
		<TITLE>AssociatedDisk</TITLE>
	<%-- /tpl:put --%>
</HEAD>
<f:view>
	<BODY onload="customOnLoad();">
	<%-- tpl:put name="scriptcollectorarea"--%>
			<hx:scriptCollector id="collector" preRender="#{pc_AssociatedDisk.onPageLoadBegin}">
			<jsp:include page="/page/rbce/common/InnMessages.jsp">
				<jsp:param name="SCM_MSGHOLDERKEY_PARAM" value="AssociatedDisk" />
			</jsp:include><%-- /tpl:put --%>
	<h:form id="myForm" styleClass="dmc_outputText" onsubmit="return submitUtilReference.submitBlocker(event);" onkeydown="return submitUtilReference.submitHandler(event);">
	<%-- tpl:put name="submitHandleArea" --%>
	<jsp:include page="/page/rbce/common/SubmitRestrict.jsp">
		<jsp:param name="ENTER_SUBMIT_ID" value="" />
	</jsp:include>
	<%-- /tpl:put --%>
	<TABLE width="100%" border="0" cellpadding="0" cellspacing="0">
		<TBODY>
			<TR>
				<TD valign="top">
					<TABLE width="100%">
						<TR>
							<TD valign="top">
								<%-- tpl:put name="titlearea" --%>
								<%-- /tpl:put --%>
							</TD>
							<TD align="right" valign="top">
								<%-- tpl:put name="titleimagearea" --%>
									<hx:commandExButton type="button" style="display:none"
										id="onloadBehaviorBtn">
										<hx:behavior id="onloadBehaviorBtn_behavior_ID" event="onclick" behaviorAction="get;stop"
											targetAction="ajaxpanel" onActionFunction="return true;" />
									</hx:commandExButton>
								<%-- /tpl:put --%>
							</TD>							
						</TR>
						<%-- tpl:put name="description" --%>
								<TR>
									<TD valign="top"><h:outputText id="Volume_Related_Disk_Hint_Text_ID" styleClass="dmc_outputText"
										value="#{bundle.Volume_Related_Disk_Hint}"></h:outputText></TD>
									<TD align="right" valign="top"></TD>
								</TR>
								<TR>
									<TD valign="top" colspan="2"><hx:panelDialog
										title="#{bundle.LocateDriversTitle}" id="confirm_dialog"
										movable="true" initiallyShow="false" saveState="false"
										onshow="poolLocating(false);focusDialog(this,event);"
										style="width:300px; height:140px;" type="modal"
										showTitleCloseButton="false" styleClass="dmc_panelDialog">
										<TABLE width="95%" height="85%" style="margin-left: 8px" onkeydown="return submitUtilReference.submitHandler(event);">
											<TR>
												<TD align="left" width="30%"><hx:graphicImageEx
													id="locating_image"
													value="/images/locator/drive_locator_02.gif" 
													title="#{bundle.Image_Drive_Locator}" alt="#{bundle.Image_Drive_Locator}"></hx:graphicImageEx></TD>
												<TD align="left">
													<h:outputText id="startingLocate"
														styleClass="dmc_outputText"
														value="#{bundle.LocatingMessage}"></h:outputText></TD>
											</TR>
											<TR>
												<TD align="left" valign="bottom" colspan="2">
												<TABLE>
													<TR>
														<TD>
															<hx:commandExButton
																id="locating_starter" type="button"
																styleClass="dmc_commandExButton" style="display:none">
																<hx:behavior id="locating_starter_behavior_ID" event="onclick" behaviorAction="get;stop"
																	targetAction="locate_start_panel" />
															</hx:commandExButton> <hx:commandExButton
																id="confirm_dialog_right" type="button"
																styleClass="dmc_commandExButton" value="#{bundle.Stop}">
																<hx:behavior id="confirm_dialog_right_behavior_ID" event="onclick"
																	targetAction="locate_stop_panel"
																	behaviorAction="get;stop;"
																	onActionFunction="this.disabled = true;"></hx:behavior>
															</hx:commandExButton></TD>
														<TD></TD>
													</TR>
												</TABLE>
												</TD>
											</TR>
											<TR>
												<TD><h:panelGroup id="locate_start_panel">
													<hx:ajaxRefreshSubmit id="locate_start_panel_submit_ID" onerror="hideProgressIndicator('spinningDiv');parent.innerMessagesInstance.display();commonAjaxOnError();" 
														oncomplete="hideProgressIndicator('spinningDiv');parent.innerMessagesInstance.display();"/>
													<h:inputHidden id="hiddenParameter_1"
														value="need a value, otherwise ajax call will generate a null string, but this was useless" />
												</h:panelGroup> <h:panelGroup id="locate_stop_panel">
													<hx:ajaxRefreshSubmit id="locate_stop_panel_submit_ID" onerror="hideProgressIndicator('spinningDiv');parent.innerMessagesInstance.display();commonAjaxOnError();"
														oncomplete="hideProgressIndicator('spinningDiv');parent.innerMessagesInstance.display();closeConfirmDialog(event)" />
													<h:inputHidden id="hiddenParameter_2"
														value="need a value, otherwise ajax call will generate a null string, but this was useless" />
												</h:panelGroup></TD>
											</TR>
										</TABLE>
									</hx:panelDialog></TD>
								</TR>
							<%-- /tpl:put --%>					
					</TABLE>
					<%-- tpl:put name="bodyarea" --%>
							<TABLE cellspacing="0" width="100%" cellpadding="0" border="0">
								<TBODY>
									<TR>
										<TD width="100%">
										<TABLE cellspacing="0" width="100%" cellpadding="0" border="0">
											<TR>
												<TD align="left" class="rbceTableHeaderRow"><hx:commandExButton type="button"
													value="#{bundle.Locate_Drivers}"
													styleClass="dmc_commandExButton"
													id="LocateDriverBtn" disabled="true">
													<hx:behavior id="LocateDriverBtn_behavior_ID" event="onclick"
														targetAction="myForm:confirm_dialog"
														behaviorAction="show;stop;">
													</hx:behavior>
												</hx:commandExButton></TD>

											</TR>
											<TR>
												<TD><h:panelGroup id="ajaxpanel">
													<hx:ajaxRefreshRequest id="ajaxpanel_Request_ID"
													    oncomplete="parent.showErrorMessageStorage();beepWhenRefresh();alignHeaderTableAndContentTable('headerTableDivId','AssociatedDiskTable');"
														onerror="parent.showErrorMessageStorage();commonAjaxOnError();" />
													<hx:jspPanel id="AssociatedDiskPanel">
														<TABLE border="0" cellpadding="0" cellspacing="0"
															width="100%" class="borderGray">
															<TR>
																<TD align="left" valign="top"><h:outputText
																	id="noAvaliableDisks" value="#{bundle.No_Disks_Found}"
																	styleClass="dmc_outputText"
																	rendered="#{!pc_AssociatedDisk.volumePropertiesPageBean.showDisks && pc_AssociatedDisk.volumePropertiesPageBean.ajaxed}">
																</h:outputText> <hx:graphicImageEx id="waiting_image" title="#{bundle.Image_Waiting}" alt="#{bundle.Image_Waiting}"
																	rendered="#{!pc_AssociatedDisk.volumePropertiesPageBean.ajaxed}"
																	value="/images/sort_of_slow_progress_bar.gif"
																	align="middle" hspace="10" vspace="10"></hx:graphicImageEx>
																<h:outputText id="waiting_text"
																	value="#{bundle.PoolLoadingDiskText}"
																	rendered="#{!pc_AssociatedDisk.volumePropertiesPageBean.ajaxed}"
																	styleClass="dmc_outputText"></h:outputText></TD>
															</TR>
															<TR>
																<TD>
																<div id="headerTableDivId" bgcolor="#FFFFFF" class="scm_DataTableHeaderDiv" style="width:100%;">
																<hx:dataTableEx border="0" cellpadding="0" style="border-top: 0px; border-bottom: 0px; table-layout: fixed;"
																	cellspacing="0" headerClass="dmc_headerClass"
																	footerClass="dmc_footerClass"
																	rowClasses="dmc_rowClass1,dmc_rowClass2"
																	id="DataTableHead"	width="100%"
																	rendered="#{pc_AssociatedDisk.volumePropertiesPageBean.showDisks && pc_AssociatedDisk.volumePropertiesPageBean.ajaxed}">
																	<hx:columnEx id="DisksCol1_1" align="left" width="4%">
																		<f:facet name="header">
																			<h:outputText styleClass="dmc_outputText"
																				value="" id="text22"></h:outputText>
																		</f:facet>
																	</hx:columnEx>
																	<hx:columnEx id="DisksCol2_1" align="left" width="15%">
																		<f:facet name="header">
																			<h:outputText id="Location"
																				styleClass="dmc_outputText"
																				value="#{bundle.Volume_Storage_Module}"></h:outputText>
																		</f:facet>
																		<f:attribute value="white-space:nowrap" name="style" />
																	</hx:columnEx>
																	<hx:columnEx id="DisksCol4_1" align="left" width="10%">
																		<f:facet name="header">
																			<h:outputText id="DisksColTitle4"
																				styleClass="dmc_outputText"
																				value="#{bundle.Volume_Bay}"></h:outputText>
																		</f:facet>
																	</hx:columnEx>
																	<hx:columnEx id="DisksCol3_1" align="left" width="21%">
																		<f:facet name="header">
																			<h:outputText id="DisksColTitle3"
																				styleClass="dmc_outputText" value="#{bundle.Status}"></h:outputText>
																		</f:facet>
																		<f:attribute value="white-space:nowrap" name="style" />
																	</hx:columnEx>
																	<hx:columnEx id="DisksCol8_1" align="left" width="14%">
																		<f:facet name="header">
																			<h:outputText id="DisksColTitle8"
																				styleClass="dmc_outputText" value="#{bundle.Disk_MountState_Table_Header}"></h:outputText>
																		</f:facet>
																	</hx:columnEx>
																	<hx:columnEx id="DisksCol5_1" align="left" width="10%">
																		<f:facet name="header">
																			<h:outputText id="DisksColTitle5"
																				styleClass="dmc_outputText"
																				value="#{bundle.Volume_Capacity_Table}"></h:outputText>
																		</f:facet>
																	</hx:columnEx>
																	<hx:columnEx id="DisksCol6_1" align="left" width="16%">
																		<f:facet name="header">
																			<h:outputText id="DisksColTitle6"
																				styleClass="dmc_outputText" value="#{bundle.Speed}"></h:outputText>
																		</f:facet>
																	</hx:columnEx>
																	<hx:columnEx id="DisksCol7_1" align="left" width="10%">
																		<f:facet name="header">
																			<h:outputText id="DisksColTitle7"
																				styleClass="dmc_outputText" value="#{bundle.Type}"></h:outputText>
																		</f:facet>
																	</hx:columnEx>
																</hx:dataTableEx></div>
																</TD>
															</TR>
															<TR>
																<TD>
																<div style="width:100%;height:170;overflow-y:scroll;" id="contentTableScrollDiv">
																<hx:dataTableEx border="0" cellpadding="0" summary="#{bundle.Table_Summary_Volume_Properties_Disk_Drives}"
																	cellspacing="0" headerClass="dmc_headerClass scm_DataTable_Body_Header" style="border-top: 0px; border-bottom: 0px; table-layout: fixed;"
																	footerClass="dmc_footerClass"
																	rowClasses="dmc_rowClass1,dmc_rowClass2"
																	id="AssociatedDiskTable" width="100%"
																	value="#{pc_AssociatedDisk.volumePropertiesPageBean.diskTableData}"
																	var="varDiskBean"
																	rendered="#{pc_AssociatedDisk.volumePropertiesPageBean.showDisks && pc_AssociatedDisk.volumePropertiesPageBean.ajaxed}">
																	<hx:columnEx id="DisksCol1_2" align="left" width="4%">
																		<f:facet name="header">
																			<h:outputText styleClass="dmc_outputText"
																				value="" id="text22_tableHeader"></h:outputText>
																		</f:facet>
																		<h:selectBooleanCheckbox
																			title="#{bundle.Volume_Storage_Module} #{varDiskBean.location} #{bundle.Volume_Bay} #{varDiskBean.slotNumber}"
																			value="#{varDiskBean.selected}" id="rowSelect1"
																			onclick="selectVolumeDisk(this)"></h:selectBooleanCheckbox>
																	</hx:columnEx>
																	<hx:columnEx id="DisksCol2_2" align="left" width="15%">
																		<f:facet name="header">
																			<h:outputText id="Location_tableHeader"
																				styleClass="dmc_outputText"
																				value="#{bundle.Volume_Storage_Module}"></h:outputText>
																		</f:facet>
																		<h:outputText id="module"
																			value="#{varDiskBean.location}"
																			styleClass="dmc_outputText">
																		</h:outputText>
																		<f:attribute value="white-space:nowrap" name="style" />
																	</hx:columnEx>
																	<hx:columnEx id="DisksCol4_2" align="left" width="10%">
																		<f:facet name="header">
																			<h:outputText id="DisksColTitle4_tableHeader"
																				styleClass="dmc_outputText"
																				value="#{bundle.Volume_Bay}"></h:outputText>
																		</f:facet>
																		<h:outputText id="bayNumber"
																			value="#{varDiskBean.slotNumber}"
																			styleClass="dmc_outputText">
																		</h:outputText>
																	</hx:columnEx>
																	<hx:columnEx id="DisksCol3_2" align="left" width="21%">
																		<f:facet name="header">
																			<h:outputText id="DisksColTitle3_tableHeader"
																				styleClass="dmc_outputText" value="#{bundle.Status}"></h:outputText>
																		</f:facet>
																		<h:outputText id="poolStatus" escape="false"
																			value="#{varDiskBean.status}"
																			styleClass="dmc_outputText">
																		</h:outputText>
																		<f:attribute value="white-space:nowrap" name="style" />
																	</hx:columnEx>
																	<hx:columnEx id="DisksCol8_2" align="left" width="14%">
																		<f:facet name="header">
																			<h:outputText id="DisksColTitle8_tableHeader"
																				styleClass="dmc_outputText" value="#{bundle.Disk_MountState_Table_Header}"></h:outputText>
																		</f:facet>
																		<h:outputText id="state" value="#{varDiskBean.mountStateLabel}"
																			styleClass="dmc_outputText" escape="false">
																		</h:outputText>
																	</hx:columnEx>																	
																	<hx:columnEx id="DisksCol5_2" align="left" width="10%">
																		<f:facet name="header">
																			<h:outputText id="DisksColTitle5_tableHeader"
																				styleClass="dmc_outputText" style="white-space:nowrap"
																				value="#{bundle.Volume_Capacity_Table}"></h:outputText>
																		</f:facet>
																		<h:outputText id="diskAvaliableGB"
																			value="#{varDiskBean.capacityStr}"
																			styleClass="dmc_outputText">
																		</h:outputText>
																	</hx:columnEx>
																	<hx:columnEx id="DisksCol6_2" align="left" width="16%">
																		<f:facet name="header">
																			<h:outputText id="DisksColTitle6_tableHeader"
																				styleClass="dmc_outputText" value="#{bundle.Speed}"></h:outputText>
																		</f:facet>
																		<h:outputText id="speed" value="#{varDiskBean.rpm}"
																			styleClass="dmc_outputText">
																		</h:outputText>
																	</hx:columnEx>
																	<hx:columnEx id="DisksCol7_2" align="left" width="10%">
																		<f:facet name="header">
																			<h:outputText id="DisksColTitle7_tableHeader"
																				styleClass="dmc_outputText" value="#{bundle.Type}"></h:outputText>
																		</f:facet>
																		<h:outputText id="type" value="#{varDiskBean.type}"
																			styleClass="dmc_outputText">
																		</h:outputText>
																	</hx:columnEx>
																</hx:dataTableEx></div>
																</TD>
															</TR>
														</TABLE>
													</hx:jspPanel>
												</h:panelGroup></TD>
											</TR>
										</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						<%-- /tpl:put --%>					
				</TD>
			</TR>
			<TR>
				<%-- tpl:put name="bodybehaviorarea"--%>

						<%-- /tpl:put --%>
			</TR>
		</TBODY>
	</TABLE>
	</h:form>
	<%-- tpl:put name="scriptcollectorareaEnd"--%>
			</hx:scriptCollector>
		<%-- /tpl:put --%>
	</BODY>
</f:view>
</HTML>
<%-- /tpl:insert --%>
