<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/rbce/storage/DiscoverNewHosts.java" --%><%-- /jsf:pagecode --%>
<%-- tpl:insert page="/page/templates/ObjectProperties.jtpl" --%><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>
<%@ include file="/page/rbce/common/Header.jsp"%>
<BASE href="<%=basePath%>" />
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />
<META http-equiv="Content-Style-Type" content="text/css" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbstyle.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbtables.css" title="Style" />
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/templates/template_common.js"></SCRIPT>
<%-- tpl:put name="scriptarea" --%>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/storage/treetable.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/storage/DiscoverNewHosts.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/InnMessages.js"></SCRIPT>
<%@ taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component" prefix="scmc" %>
<%-- /tpl:put--%>
<%-- tpl:put name="headarea" --%>
		<TITLE>DiscoverNewHosts</TITLE>
	<%-- /tpl:put --%>
</HEAD>
<f:view>
	<BODY onload="customOnLoad();">
	<%-- tpl:put name="scriptcollectorarea"--%>
			<hx:scriptCollector id="collector"
				preRender="#{pc_DiscoverNewHosts.onPageLoadBegin}">
			<jsp:include page="/page/rbce/common/InnMessages.jsp">
				<jsp:param name="SCM_MSGHOLDERKEY_PARAM" value="DiscoverNewHosts" />
			</jsp:include>	
		<%-- /tpl:put --%>
	<h:form id="myForm" styleClass="dmc_outputText" onsubmit="return submitUtilReference.submitBlocker(event);" onkeydown="return submitUtilReference.submitHandler(event);">
	<%-- tpl:put name="submitHandleArea" --%>
	<jsp:include page="/page/rbce/common/SubmitRestrict.jsp">
		<jsp:param name="ENTER_SUBMIT_ID" value="createBtn" />
	</jsp:include>
	<jsp:include page="/page/templates/ClientValidationDialogs.jsp"></jsp:include>	
		<%-- /tpl:put --%>
	<TABLE width="100%" border="0" cellpadding="0" cellspacing="0">
		<TBODY>
			<TR>
				<TD valign="top">
					<TABLE width="100%">
						<TR>
							<TD valign="top">
								<%-- tpl:put name="titlearea" --%>
				<hx:commandExButton type="button" style="display:none" id="onloadBehaviorBtn">
					<hx:behavior id="onloadBehaviorBtn_behavior_ID" event="onclick" behaviorAction="get;stop" targetAction="ajaxpanel" />
				</hx:commandExButton> 				
				<h:inputHidden id="action" value="#{pc_DiscoverNewHosts.actionValue}" />
				<hx:panelDialog id="creatHost_dialog" movable="true"
					onshow="createHostOnShow();focusDialog(this,event);" style="width:400px;height:240px"
					initiallyShow="false" saveState="false" type="modal"
					showTitleCloseButton="false" styleClass="dmc_panelDialog">
					<TABLE cellspacing="0" width="95%" height="80%" style="margin-left: 8px" onkeydown="return submitUtilReference.submitHandler(event);">
						<tr>
							<td>
							<div id="request_createHost_div" style="overflow-y:hidden;"><h:panelGroup
								id="createHostpanel">
								<hx:ajaxRefreshSubmit id="createHostpanel_Submit_ID"
									onstart="displayCreateHostContent(false);showProgressIndicator('spinningDiv');"
									onerror="hideProgressIndicator('spinningDiv');commonAjaxOnError();"
									oncomplete="innerMessagesInstance.display();onCreateFinished();hideProgressIndicator('spinningDiv');" />
								<hx:jspPanel id="createHostJspPanel">
									<TABLE border="0" cellpadding="4" cellspacing="0" width="100%">
										<TBODY>
											<TR>
												<TD colspan="2" valign="top">
													<h:outputText id="Host_Creation_title_Text_ID" styleClass="dmc_outputTextTitle2UL" value="#{bundle.Host_Creation_title}">
													</h:outputText>
													<h:outputText id="validatePass" style="display:none" value="#{pc_DiscoverNewHosts.discoverHostsPageBean.validatePass}" />
												</TD>
											</TR>
											<TR>
												<TD colspan="2">
												<h:outputLabel for="hostName" id="label_hostName" styleClass="dmc_outputText">
													<h:outputText styleClass="dmc_outputText" id="text1" value="#{bundle.Host_Createion_Name}"></h:outputText>
												</h:outputLabel>	
												<span style="color: red;" class="dmc_outputText">*</span>
												<h:inputText styleClass="dmc_inputText" id="hostName"
													maxlength="16"
													value="#{pc_DiscoverNewHosts.discoverHostsPageBean.newHostName}">
												</h:inputText><BR />
												<strong>
												<h:outputText id="hostNameVMsg"
													styleClass="dmc_message" style="display:none"
													value="#{bundle.Host_creation_Host_Name_Required}"></h:outputText>
												</strong>
												</TD>
											</TR>
											<TR>
												<TD colspan="2">
												<strong>
												<h:message
													styleClass="dmc_message" id="message1" for="hostName"></h:message>
												</strong>
												</TD>
											</TR>
											<TR>
												<TD colspan="2"><h:outputText
													styleClass="dmc_outputTextTitle2UL" id="text6"
													value="#{bundle.Host_Creation_WWN_Title}"></h:outputText></TD>
											</TR>
											<TR>
												<TD width="50%" colspan="2"><h:outputText id="Host_Creation_Port_Address_Text_ID"
													styleClass="dmc_outputText" style="width:100%"
													value="#{bundle.Host_Creation_Port_Address}">
												</h:outputText></TD>
											</TR>
											<TR id="wwnnTR1">
												<TD width="40%" colspan="2">
													<h:outputLabel for="portwwn1" id="label_portwwn1" styleClass="dmc_outputText">
													<h:outputText styleClass="dmc_outputText" id="port1" value="#{bundle.Host_Creation_Port1}">
													</h:outputText>
													</h:outputLabel>
													<span style="color: red;" class="dmc_outputText">*</span>
													<h:inputText style="color:graytext" readonly="true"
														styleClass="dmc_inputText" id="portwwn1"
														value="">
													</h:inputText>
												</TD>
											</TR>
											<TR id="wwnnTR2">
												<TD colspan="2">
												<h:outputLabel for="portwwn2" id="label_portwwn2" styleClass="dmc_outputText">
													<h:outputText styleClass="dmc_outputText" id="port2" value="#{bundle.Host_Creation_Port2}">
													</h:outputText>
												</h:outputLabel>
													<span style="color: red;" class="dmc_outputText">*</span>
													<h:inputText style="color:graytext" styleClass="dmc_inputText" id="portwwn2"  readonly="true"
														value="">
													</h:inputText>
												</TD>
											</TR>
										</TBODY>
									</TABLE>
								</hx:jspPanel>
							</h:panelGroup></div>
							<!-- Begin message div for creat host precondition not met-->
							<div id="inner_message_div" style="display:none">
							<TABLE width="80%" border="0" cellpadding="0" cellspacing="10"
								align="center" style="background-color: #e6e6e6"
								class="borderMessageBlue">
								<TBODY>
									<TR>
										<TD width="42" align="center">
											<scmc:scmJspPanel id="status_info_scmPanel_ID">
												<img src="<%=path%>/images/info/status_info32.gif" title="#{bundle.Image_Info}" alt="#{bundle.Image_Info}" id="infoImag" />
											</scmc:scmJspPanel></TD>
										<TD><h:outputText
											id="Host_Creation_Hosts_Maximum_Exceeded" 
											value="#{bundle.Host_Creation_Hosts_Maximum_Exceeded}"
											styleClass="dmc_outputText" /> </TD>
									</TR>
								</TBODY>
							</TABLE>
							</div>
							<!-- End message div for create host precondition not met-->
							<div id="progress_Host_div" style="display:none"><hx:graphicImageEx
								id="refreshing_img_createHost"
								value="/images/sort_of_slow_progress_bar.gif" 
								title="#{bundle.Image_Waiting}" alt="#{bundle.Image_Waiting}"
								align="middle" hspace="10" vspace="10"></hx:graphicImageEx>
							<h:outputText id="refreshing_txt_creatHost"
								value="#{bundle.Host_Creating_Hint}"
								styleClass="dmc_outputText"></h:outputText> &nbsp;</div>
							</td>
						</tr>
						<tr>
							<td align="left">
							<TABLE>
								<TR>
									<TD>
										<hx:commandExButton
											type="button" value="#{bundle.OK}" onclick="return hostCreationForDiscover()"
											styleClass="dmc_commandExButton" id="createHostBtn">
											<hx:behavior id="createHostBtn_behavior_ID" event="onclick"
												targetAction="createHostpanel" behaviorAction="get;stop;"></hx:behavior>
										</hx:commandExButton> <hx:commandExButton type="button" id="closeCreateDialog" styleClass="dmc_commandExButton" 
											value="#{bundle.Cancel}">
											<hx:behavior id="closeCreateDialog_behavior_ID" event="onclick"
												targetAction="creatHost_dialog"
												behaviorAction="hide;stop;"
												onActionFunction="document.getElementById(namespace_g + 'myForm:hostName').value ='';">
											</hx:behavior>
										</hx:commandExButton><hx:commandExButton type="button" id="closeCreateDialogHidden" style="display:none;" 
											value="#{bundle.Cancel}">
											<hx:behavior id="closeCreateDialogHidden_behavior_ID" event="onclick"
												targetAction="creatHost_dialog"
												behaviorAction="hide;stop;"
												onActionFunction="document.getElementById(namespace_g + 'myForm:hostName').value ='';">
											</hx:behavior>
										</hx:commandExButton></TD>
										<TD><div id="spinningDiv" style="visibility:visible"></div></TD>
									</TR>
							</TABLE>
							</td>
						</tr>
					</table>
				</hx:panelDialog>
								<%-- /tpl:put --%>
							</TD>
							<TD align="right" valign="top">
								<%-- tpl:put name="titleimagearea" --%>
								<hx:jspPanel id="HelpLinkJspPanel"
									rendered="#{!pc_DiscoverNewHosts.discoverHostsPageBean.inWizard}">
								<A href="#" class="commandLink" id="help_link" target="helpwin"
											onclick="window.open('/help/topic/com.ibm.storage.rssm.doc/scm_rss_discover_hosts_help.html', 'helpwin', 'status,resizable,scrollbars,width=740,height=290'); return false;">
										<h:outputText id="helptext" styleClass="dmc_outputText"
											value="#{bundle.Help}"></h:outputText>
								</A>
								</hx:jspPanel>
								<%-- /tpl:put --%>
							</TD>							
						</TR>
						<%-- tpl:put name="description" --%>
							<%-- /tpl:put --%>					
					</TABLE>
					<%-- tpl:put name="bodyarea" --%>
					<div style="height:320px;overflow:hidden;" id="discover_new_hosts_body_area_div">
						<div id="request_div" style="overflow-x: hidden;height:320px;">
							<h:panelGroup id="ajaxpanel">
								<hx:ajaxRefreshSubmit id="request_div_Submit_ID"
									onstart="displayMainContents(false);disableBtns();"
									onerror="displayMainContents(true);commonAjaxOnError();"
									oncomplete="innerMessagesInstance.display();displayMainContents(true);checkFinished();beepWhenRefresh();alignHeaderTableAndContentTable('headerTableDivId','storagehostTable');alignHeaderTableAndContentTable('headerDiscoverNewHostTableDivId','discoverNewHostMainTable');" />
								<h:outputText id="allHostNames" style="display:none" value="#{pc_DiscoverNewHosts.discoverHostsPageBean.allHostNames}" />
								<h:outputText id="refreshFlag" style="display:none" value="#{pc_DiscoverNewHosts.discoverHostsPageBean.needRefresh}"></h:outputText>
								<h:outputText id="showNewHost" style="display:none" value="#{pc_DiscoverNewHosts.discoverHostsPageBean.newHost}" />
								<h:outputText id="showNoNewHost" style="display:none" value="#{pc_DiscoverNewHosts.discoverHostsPageBean.noNewHost}" />
								<h:outputText id="showReplaceHost" style="display:none" value="#{pc_DiscoverNewHosts.discoverHostsPageBean.replaceHost}" />
								<hx:jspPanel id="noNewHostFoundJspPanel" rendered="#{pc_DiscoverNewHosts.discoverHostsPageBean.ajaxed && pc_DiscoverNewHosts.discoverHostsPageBean.noNewHost}">
									<TABLE cellspacing="0" width="100%" align="center">
										<tr>
											<td align="center" valign="middle"><h:outputText
												id="noNewHostFound" styleClass="dmc_outputText"
												value="#{bundle.Host_Discover_No_New_Host}" /></td>
										</tr>
									<TR>
										<TD colspan="3">&nbsp;<h:outputText id="DiscoverHost_Note_Text_ID" styleClass="dmc_outputTextB"
												value="#{bundle.CreateBasicPool_Note}"></h:outputText>
											<h:outputText id="DisvoverNewHost_validHost_notes_ID" styleClass="dmc_outputText"
												value="#{bundle.Host_Discover_ValidHosts_Notes}"></h:outputText></TD>
									</TR>										
									</TABLE>
								</hx:jspPanel>
								<hx:jspPanel id="onlyNewHostFoundJspPanel" rendered="#{pc_DiscoverNewHosts.discoverHostsPageBean.ajaxed && pc_DiscoverNewHosts.discoverHostsPageBean.newHost}">
									<TABLE>
										<tr>
											<td align="left" valign="middle"><h:outputText
												id="hostCreated" styleClass="dmc_outputText"
												value="#{pc_DiscoverNewHosts.discoverHostsPageBean.discoveredNewHostNumber}" />&nbsp;<h:outputText
												id="hostCreatedNumber22" styleClass="dmc_outputText"
												value="#{bundle.Host_Discover_Number_Of_New_Host}" /></td>
										</tr>
										
									</TABLE>
									<TABLE cellspacing="0" width="100%" align="center" class="borderGray">
										<tr>
											<td align="left" valign="middle">
											<div id="headerTableDivId" class="scm_DataTableHeaderDiv">
											<hx:dataTableEx style="border-top: 0px; border-bottom: 0px; table-layout: fixed;"
												border="0" cellpadding="0" cellspacing="0"
												headerClass="dmc_headerClass" footerClass="dmc_footerClass"
												rowClasses="dmc_rowClass1,dmc_rowClass2"
												id="storagehostTableHead" style="width:100%">
												<hx:columnEx id="hostsCol2" align="left" width="50%"
													valign="top">
													<f:facet name="header">
														<h:outputText id="location_head" styleClass="dmc_outputText"
															value="#{bundle.Host_Main_Host_Port}"></h:outputText>
													</f:facet>
												</hx:columnEx>
												<hx:columnEx id="hostssCol3" align="left" width="50%"
													valign="top">
													<f:facet name="header">
														<h:outputText id="hostsColTitle3_head"
															styleClass="dmc_outputText"
															value="#{bundle.Host_Discover_New_Port_Address}"></h:outputText>
													</f:facet>
												</hx:columnEx>
											</hx:dataTableEx></div></td>
										</tr>
										<tr>
											<td>
											<DIV style="overflow-y:scroll;height:250px;">
											<hx:dataTableEx summary="#{bundle.Table_Summary_Discover_New_Hosts_New}"
												border="0" cellpadding="0" cellspacing="0" style="border-top: 0px; border-bottom: 0px; table-layout: fixed;"
												headerClass="dmc_headerClass scm_DataTable_Body_Header" footerClass="dmc_footerClass"
												rowClasses="dmc_rowClass1,dmc_rowClass2"
												id="storagehostTable" style="width:100%"
												value="#{pc_DiscoverNewHosts.discoverHostsPageBean.discoveredNewHost}"
												var="varhostBean">
												<hx:columnEx id="hostsCol22" align="left" width="50%"
													valign="top">
													<f:facet name="header">
														<h:outputText id="location_head_tableHeader" styleClass="dmc_outputText"
															value="#{bundle.Host_Main_Host_Port}"></h:outputText>
													</f:facet>
													<h:outputText id="locationVlaue" escape="false"
														value="#{varhostBean.name}"
														styleClass="dmc_outputText">
													</h:outputText>
												</hx:columnEx>
												<hx:columnEx id="hostssCol33" align="left" width="50%"
													valign="top">
													<f:facet name="header">
														<h:outputText id="hostsColTitle3_head_tableHeader"
															styleClass="dmc_outputText"
															value="#{bundle.Host_Discover_New_Port_Address}"></h:outputText>
													</f:facet>
													<h:outputText id="hostStatus" escape="false"
														value="#{varhostBean.wwn}" styleClass="dmc_outputText">
													</h:outputText>
												</hx:columnEx>
											</hx:dataTableEx>
											</DIV>
											</td>
										</tr>
											<TR>
												<td  bgcolor="#D6DBEF" height="2"></td>
											</TR>
										
									</TABLE>
								</hx:jspPanel>
								<hx:jspPanel id="replaceJspPanel" rendered="#{pc_DiscoverNewHosts.discoverHostsPageBean.ajaxed && pc_DiscoverNewHosts.discoverHostsPageBean.replaceHost}">
									<h:outputText id="hidden_newhost_wwn1" style="display:none" value="#{pc_DiscoverNewHosts.discoverHostsPageBean.currentNewHostWwn1}" />
									<h:outputText id="hidden_newhost_wwn2" style="display:none" value="#{pc_DiscoverNewHosts.discoverHostsPageBean.currentNewHostWwn2}" />
									<TABLE cellspacing="0" width="100%" border="0" height="100%">
										<TR style="display:none">
											<TD align="left" valign="top" colspan="2"><h:outputText id="Host_Discover_Mapping_Volume_Text_ID"
												styleClass="dmc_outputTextTitle"
												value="#{bundle.Host_Discover_Mapping_Volume}"></h:outputText>
											</TD>
										</TR>
										<TR>
											<TD valign="top" colspan="2">
											<TABLE class="rbceTableHeaderRow" width="100%" height="50"
												border="0" id="wizardTitle" style="display:none;">
												<TR>
													<TD><h:outputText id="MapVolumes_MapVolumes_Text_ID" styleClass="dmc_outputTextTitle2UL"
														value="#{bundle.MapVolumes_MapVolumes}"></h:outputText><BR/>
													<h:outputText id="MapVolumes_inWizard_description_Text_ID" styleClass="dmc_outputText"
														value="#{bundle.MapVolumes_inWizard_description}"></h:outputText></TD>
												</TR>
											</TABLE>
											</TD>
										</TR>
										<TR>
											<TD width="32" valign="top" align="left"><hx:graphicImageEx id="Image_Warning_image_ID"
												styleClass="graphicImageEx" 
												title="#{bundle.Image_Warning}" alt="#{bundle.Image_Warning}"
												value="/images/info/status_warning32.gif"></hx:graphicImageEx>&nbsp;&nbsp;</TD>
											<TD width="93%" align="left"><h:outputText id="Host_Discover_New_Host_Found_Text_ID"
												styleClass="dmc_outputText"
												value="#{bundle.Host_Discover_New_Host_Found}"></h:outputText></TD>
										</TR>
									<TR>
										<TD>&nbsp;</TD>
										<TD><h:outputText id="DiscoverHost_NewHostFound_Note_Text_ID" styleClass="dmc_outputTextB"
												value="#{bundle.CreateBasicPool_Note}"></h:outputText>
											<h:outputText id="DisvoverNewHost_NewHostFound_notes_ID" styleClass="dmc_outputText"
												value="#{bundle.Host_Discover_ValidHosts_Notes}"></h:outputText></TD>
									</TR>										
										<TR>
										<TD>&nbsp;</TD>
										<TD>
											<hx:dataTableEx border="0" cellpadding="0" cellspacing="0" summary="#{bundle.Table_Summary_Discover_New_Hosts_New}"
												headerClass="dmc_headerClass" footerClass="dmc_footerClass"
												rowClasses="dmc_rowClass1,dmc_rowClass2"
												styleClass="dmc_dataTableEx"
												id="storageNewHostTable" width="60%"
												value="#{pc_DiscoverNewHosts.discoverHostsPageBean.currentNewHost}"
												var="varhostBean">
												<hx:columnEx id="hostsCol24" align="left" width="15%"
													valign="top">
													<f:facet name="header">
														<h:outputText id="location_1" styleClass="dmc_outputText"
															value="#{bundle.Host_Properties_Port_Location}"></h:outputText>
													</f:facet>
													<h:outputText id="locationVlaue_1" escape="false"
														value="#{varhostBean.name}"
														styleClass="dmc_outputText">
													</h:outputText>
												</hx:columnEx>
												<hx:columnEx id="hostssCol34" align="left" width="15%"
													valign="top">
													<f:facet name="header">
														<h:outputText id="hostsColTitle3_1"
															styleClass="dmc_outputText"
															value="#{bundle.Host_Discover_New_Port_Address}"></h:outputText>
													</f:facet>
													<h:outputText id="hostStatus_1" escape="false"
														value="#{varhostBean.wwn}" styleClass="dmc_outputText">
													</h:outputText>
												</hx:columnEx>
											</hx:dataTableEx></TD>
										</TR>
										<TR>
											<TD valign="top" colspan="2"> 
												<h:outputText id="Host_Discover_Title2_Text_ID" styleClass="dmc_outputText" value="#{bundle.Host_Discover_Title2}"></h:outputText>
											</TD>
                                       </TR>
                                        <TR class="dmc_rowClass1">
												<TD colspan="2">
												<jsp:include page="HostsTabTableDiscover.jsp" />
											     </TD>
										</TR>
									</TABLE>
								</hx:jspPanel>
							</h:panelGroup></div>
							<div id="progress_div" style="display:none"><hx:graphicImageEx
								id="refreshing_img" 
								title="#{bundle.Image_Waiting}" alt="#{bundle.Image_Waiting}"
								value="/images/sort_of_slow_progress_bar.gif"
								align="middle" hspace="10" vspace="10"></hx:graphicImageEx> <h:outputText
								id="refreshing_txt"
								value="#{bundle.Host_Discover_Progress_message}"
								styleClass="dmc_outputText"></h:outputText></div>
						</div>
						<%-- /tpl:put --%>					
				</TD>
			</TR>
			<TR>
				<%-- tpl:put name="bodybehaviorarea"--%>
							<TD align="left" valign="bottom" colspan="2">
							<TABLE cellspacing="0" width="100%">
								<tr>
									<td width="130"><hx:commandExButton type="button"
										id="createBtn"
										value="#{bundle.Host_Discover_Create_New_HostBtn}"
										styleClass="dmc_commandExButton">
										<hx:behavior id="createBtn_behavior_ID" event="onclick" targetAction="creatHost_dialog"
											behaviorAction="show;" onActionFunction="return true;">
										</hx:behavior>

									</hx:commandExButton></td>
									<td width="130"><hx:commandExButton type="button"
										id="replaceBtn" disabled="true"
										value="#{bundle.Host_Discover_ReplaceBtn}"
										styleClass="dmc_commandExButton"
										onclick="displayMainContents(false);">
										<hx:behavior id="replaceBtn_behavior_ID" event="onclick" targetAction="ajaxpanel;"
											behaviorAction="get;stop;"
											onActionFunction="document.getElementById(namespace_g + 'myForm:action').value='REPLACE'"></hx:behavior>
									</hx:commandExButton></td>
									<td><hx:commandExButton type="button"
										value="#{bundle.Close}" styleClass="dmc_commandExButton"
										id="closeBtn" onclick="cancelClick()"></hx:commandExButton> <h:outputText
										value="#{pc_DiscoverNewHosts.discoverHostsPageBean.inWizard}"
										id="inWizard" style="display:none"></h:outputText></td>
								</tr>
							</TABLE>
							</TD>
						<%-- /tpl:put --%>
			</TR>
		</TBODY>
	</TABLE>
	</h:form>
	<%-- tpl:put name="scriptcollectorareaEnd"--%>
			</hx:scriptCollector>
		<%-- /tpl:put --%>
	</BODY>
</f:view>
</HTML>
<%-- /tpl:insert --%>
